R4317 | 1f83ea5a | biwa | 5/25/2026, 8:51 AM
--------------------------------------------------------------------------------
The temporary map WAD file is not immediately deleted after testing anymore. It will also use the same file name during the session.


R4316 | f2a516a7 | smoketh | 5/15/2026, 5:11 AM
--------------------------------------------------------------------------------
Fixed comments docker getting bogged down by continious redraw calls (#1345)


R4315 | 5d48064d | smoketh | 5/15/2026, 4:47 AM
--------------------------------------------------------------------------------
Changed how ZScript tokenizer handles EndOfStream (#1346)


R4314 | 0a211478 | smoketh | 5/15/2026, 4:28 AM
--------------------------------------------------------------------------------
Fixed ImageData Rounding error which made floors coordinates drift at large values (#1344)


R4313 | ab68ccb8 | LJSonik | 5/14/2026, 2:40 AM
--------------------------------------------------------------------------------
Minor plane-related fixes and improvements (#1340)


R4312 | 24841fe2 | GLide KS | 5/14/2026, 2:39 AM
--------------------------------------------------------------------------------
Ignore Build folder (#1337)


R4311 | f5f795d8 | elf-alchemist | 4/25/2026, 6:38 AM
--------------------------------------------------------------------------------
Added ELFBSP 1.2 to both Windows and Linux builds (#1323)


R4310 | e8615321 | Max Waine (Nightdive Studios) | 4/25/2026, 6:26 AM
--------------------------------------------------------------------------------
Added UDMF properties for Eternity wall scaling and wrapmidtex (#1324)


R4309 | 93dd0546 | biwa | 4/25/2026, 6:18 AM
--------------------------------------------------------------------------------
Add missing REJECT Explorer Mode to installer


R4308 | 1980b107 | biwa | 4/25/2026, 6:00 AM
--------------------------------------------------------------------------------
Added REJECT Explorer Mode (#1332)


R4307 | 27477a4f | Roy van der Wijk | 3/23/2026, 1:50 PM
--------------------------------------------------------------------------------
Update zt-bcc compiler (alpha 5 -&gt; 8) (#1321)


R4306 | 71bb2cd4 | biwa | 3/23/2026, 1:29 PM
--------------------------------------------------------------------------------
Changed Flatpak Github action to not try to create a release on pull requests


R4305 | abb9848f | biwa | 3/1/2026, 5:27 AM
--------------------------------------------------------------------------------
Fixed an issue where DeHackEd things with DoomEdNum -1 were shown in the placeable list of things. Fixes #1304


R4304 | 3a53c83e | biwa | 3/1/2026, 4:42 AM
--------------------------------------------------------------------------------
Fixed an issue where the line activation was not saved correctly in Hexen format. Fixes #1306


R4303 | 43a0b8e6 | biwa | 2/28/2026, 1:34 PM
--------------------------------------------------------------------------------
Blockmap Explorer Mode: drawing is now handled correctly when resizing the window. Fixes #1313


R4302 | a1f084fe | biwa | 2/28/2026, 1:30 PM
--------------------------------------------------------------------------------
Nodes Viewer Mode: it's now again possible to load ZDoom extended nodes in UDMF maps. It's now possible to load ZDoom extended nodes in non-UDMF maps


R4301 | c1b5fd05 | biwa | 2/26/2026, 12:48 PM
--------------------------------------------------------------------------------
Fixed installer to include the Blockmap Explorer Mode DLL


R4300 | 5e0bb055 | biwa | 2/26/2026, 12:20 PM
--------------------------------------------------------------------------------
Some fixes for building Blockmap Explorer Mode on Linux


R4299 | 77df095e | biwa | 2/26/2026, 12:05 PM
--------------------------------------------------------------------------------
Added Blockmap Explorer Mode


R4298 | ad1ddaf7 | Jaeden | 2/18/2026, 11:16 AM
--------------------------------------------------------------------------------
Add possibility to multiselect thing types in Find/Replace window. (#1288)


R4297 | 298c0385 | biwa | 2/18/2026, 7:14 AM
--------------------------------------------------------------------------------
More fixes to Flatpak build action


R4296 | c910c7ac | biwa | 2/18/2026, 7:04 AM
--------------------------------------------------------------------------------
Fixes to Flatpak build action


R4295 | 67b17676 | biwa | 2/18/2026, 6:47 AM
--------------------------------------------------------------------------------
Fixed an issue where the Decorate include directive did not work correctly when trying to include files with less than 9 characters and no extension. Fixes #1292


R4294 | db548bc0 | biwa | 2/18/2026, 6:27 AM
--------------------------------------------------------------------------------
Changes GitHub action for Flatpak building to update the the latest tag


R4293 | fc50f3f8 | biwa | 2/18/2026, 6:14 AM
--------------------------------------------------------------------------------
The Linux version now uses the Arimo font as a replacement for the Microsoft Sans Serif font


R4292 | 3b7a68f7 | Boondorl | 2/7/2026, 11:49 AM
--------------------------------------------------------------------------------
ZScript: added support for norollback keyword (#1302)


R4291 | 9d7a12b1 | biwa | 2/1/2026, 7:20 AM
--------------------------------------------------------------------------------
UDBScript: directories starting with a dot are not shown in the script browser anymore


R4290 | 34bc486f | biwa | 2/1/2026, 2:46 AM
--------------------------------------------------------------------------------
Fixed an issue where things in Visual Mode could not be moved when the grid size was smaller than 1. Fixes #1293


R4289 | 6d9bd727 | davidxn | 1/31/2026, 9:48 AM
--------------------------------------------------------------------------------
Move ZDoom stealth monsters to own folder (#1298)


R4288 | ca6d1f08 | biwa | 1/31/2026, 7:58 AM
--------------------------------------------------------------------------------
Fixed getting revision count in GitHub Action to build flatpak


R4287 | e6657b90 | biwa | 1/31/2026, 7:44 AM
--------------------------------------------------------------------------------
More fixes for flatpak build


R4286 | 50792399 | biwa | 1/31/2026, 7:36 AM
--------------------------------------------------------------------------------
Fixes to GitHub Actions for building the latest flatpak


R4285 | 893aaadb | biwa | 1/31/2026, 7:22 AM
--------------------------------------------------------------------------------
Added GitHub Action to build a flatpak (#1297)


R4284 | 9b526cd7 | biwa | 1/31/2026, 5:50 AM
--------------------------------------------------------------------------------
Fixed an issue where UDB would crash on Linux when compiling an ACS script with syntax errors


R4283 | b0260388 | biwa | 1/31/2026, 4:22 AM
--------------------------------------------------------------------------------
Added Flatpak build functionality (#1296)


R4282 | aa22cd71 | biwa | 1/2/2026, 6:30 AM
--------------------------------------------------------------------------------
Really fixed a problem where a redraw could be triggered when a texture was loaded even though accessing the map was not safe now (initial non-working fix in 754aa4a)


R4281 | be68eb9b | biwa | 1/2/2026, 6:18 AM
--------------------------------------------------------------------------------
Changed UDBScript project to use local System.Memory.dll


R4280 | 3691a7fc | biwa | 1/2/2026, 6:08 AM
--------------------------------------------------------------------------------
Fixed Builder project to use some additional DLLs from the Build directory


R4279 | e1d67406 | biwa | 1/1/2026, 2:52 PM
--------------------------------------------------------------------------------
Applied several code style recommendations to source files


R4278 | 0dc48a52 | biwa | 1/1/2026, 2:17 PM
--------------------------------------------------------------------------------
Fixed several compiler warnings


R4277 | c1561dbf | biwa | 1/1/2026, 1:47 PM
--------------------------------------------------------------------------------
Removed unused using directives from source files


R4276 | 50b37a27 | biwa | 1/1/2026, 3:16 AM
--------------------------------------------------------------------------------
Toolbar buttons now show their function and hotkey in their tool tips as expected on Linux/Mono


R4275 | 1794b6a3 | biwa | 12/31/2025, 5:00 PM
--------------------------------------------------------------------------------
Improved visibility of toolbar buttons and menu entries on Linux/Mono
Improved visibility of buttons in the jitter forms on Linux/Mono


R4274 | f749e43d | biwa | 12/31/2025, 9:22 AM
--------------------------------------------------------------------------------
Files from malformed ZIP files that use a backslash instead of a forward slash as directory separator can now be loaded. Fixes #1281


R4273 | c57beaf1 | biwa | 12/31/2025, 9:05 AM
--------------------------------------------------------------------------------
Fixed an issue where the ZScript include directive did not work correctly when trying to include files with less than 9 characters and no extension. Fixes #1268


R4272 | a3ce260b | biwa | 12/26/2025, 6:34 AM
--------------------------------------------------------------------------------
Fixed an issue where the toolbar in the script editor was not updated when switching tabs. Fixes #1275


R4271 | 01b39a6c | biwa | 12/26/2025, 6:12 AM
--------------------------------------------------------------------------------
Added missing player property constants to the ZDoom ACS configuration. Fixes #1276


R4270 | 142a1d3c | biwa | 12/26/2025, 4:36 AM
--------------------------------------------------------------------------------
Fixed a problem where sloped 3D floors with an alpha of 0 were shown fully opaque instead of invisible. Fixes #1279


R4269 | 48a20668 | Sean Baggaley | 12/26/2025, 4:19 AM
--------------------------------------------------------------------------------
Added green and gold player start things to the Zandronum configurations (#1280)


R4268 | 54a3a2ad | biwa | 12/21/2025, 4:00 PM
--------------------------------------------------------------------------------
Fixed a problem where the correct input boxes were not shown when the string checkbox was checked in the arguments control


R4267 | 609d915e | biwa | 12/21/2025, 3:25 PM
--------------------------------------------------------------------------------
Fixed an issue where the argument controls were not displayed correctly on displays with scaling


R4266 | b6b9aaf2 | biwa | 12/21/2025, 10:28 AM
--------------------------------------------------------------------------------
Improved visibility of labels in several dialogs and controls on Linux/Mono


R4265 | 754aa4a4 | biwa | 12/20/2025, 1:04 PM
--------------------------------------------------------------------------------
Fixed a problem where a redraw could be triggered when a texture was loaded even though accessing the map was not safe


R4264 | 373e6d40 | biwa | 12/15/2025, 1:39 AM
--------------------------------------------------------------------------------
UDBScript: fixed an issue where cached values of linedefs connected to a vertex were not updated immediately when a vertex was moved


R4263 | 36f0b94c | biwa | 12/14/2025, 12:58 PM
--------------------------------------------------------------------------------
Fixed typo in ZDoom game configurations


R4262 | f09b6cfc | biwa | 12/14/2025, 12:38 PM
--------------------------------------------------------------------------------
Added missing sector flags hurtmonsters and harminair to the ZDoom game configurations. Fixes #1271


R4261 | 12d5ca38 | biwa | 12/14/2025, 12:22 PM
--------------------------------------------------------------------------------
Fixed an issue where the ambient sound info for thing types 14001 to 14065 was not shown anymore in ZDoom game configurations


R4260 | 7ef84dd1 | biwa | 12/9/2025, 11:50 AM
--------------------------------------------------------------------------------
Fixed an issue with the CVARINFO parser where it failed when the "handlerclass" was the first option for a CVAR
Added unit tests for the CVARINFO parser


R4259 | 56402b7a | biwa | 12/8/2025, 12:17 PM
--------------------------------------------------------------------------------
Fixed build targets for unit tests


R4258 | 86d44fc2 | biwa | 12/8/2025, 11:57 AM
--------------------------------------------------------------------------------
Added unit tests for DirectoryFileEntry (converting long file names to short lump names)


R4257 | ca15388d | biwa | 12/8/2025, 5:11 AM
--------------------------------------------------------------------------------
Fixed a problem where files from directories or PK3/PK7/PKE were not loaded correctly due to port-specific naming conventions. Fixes #1258


R4256 | 3c1dd7e0 | biwa | 11/30/2025, 3:08 AM
--------------------------------------------------------------------------------
Fixed an issue where attenuated lights were not rendered in Visual Mode unless Visual Mode was entered at least once while fog rendering was enabled. Fixes #1263


R4255 | 65fd8769 | biwa | 11/29/2025, 3:13 PM
--------------------------------------------------------------------------------
Added game configurations for UZDoom Doom, Heretic, and Hexen (all UDMF)


R4254 | 3901abc1 | biwa | 11/29/2025, 2:53 PM
--------------------------------------------------------------------------------
Improved error messages when trying to test using a DOS executable, or a executable blocked by Microsoft Defender SmartScreen


R4253 | 1103c3fe | biwa | 11/20/2025, 12:23 PM
--------------------------------------------------------------------------------
Fixed an issue where the MBF21 thing and linedef flags were not copied when copying things and linedefs in the MBF21 game configuration. Fixes #1262


R4252 | 53ee25a9 | Nash Muhandes | 11/20/2025, 12:12 PM
--------------------------------------------------------------------------------
Removed VKDoom features from game configurations (#1261)


R4251 | 7818c886 | biwa | 11/2/2025, 3:32 AM
--------------------------------------------------------------------------------
Fixed an issue where showing any system dialog from within Visual Mode would result in UDB being unresponsive to keyboard input. Fixes #1152


R4250 | 18c89f12 | biwa | 11/1/2025, 1:27 PM
--------------------------------------------------------------------------------
Fixed an issue where, when using a grid size smaller than 1, things would snap back to non-fractional grid positions after dragging. Fixes #1160


R4249 | 61b0c9ae | biwa | 11/1/2025, 8:45 AM
--------------------------------------------------------------------------------
Fixed an issue where ambient sound things 1-64 did not show their range circles. Fixes #1173


R4248 | b770ded7 | biwa | 10/25/2025, 5:59 AM
--------------------------------------------------------------------------------
Fixed an issue where polyobjects were erroneously reported to have no polyobject start spot of any kind the the Eternity Engine game configuration. Fixes #1221


R4247 | c5a31c52 | biwa | 10/25/2025, 5:46 AM
--------------------------------------------------------------------------------
Added missing "repeat" parameter to the SetLineActivation special in the ZDoom ACS configuration. Fixes #1224


R4246 | ad88b99b | biwa | 10/25/2025, 5:29 AM
--------------------------------------------------------------------------------
Fixed typos in the GZDoom and DSDADoom game configurations. Fixes #1228.


R4245 | d0a6273f | biwa | 10/25/2025, 5:21 AM
--------------------------------------------------------------------------------
Fixed an issue where a file with changed cases in the file name would revert to the old case when opened through the recent files. Fixes #1247


R4244 | c2744c2a | biwa | 10/25/2025, 4:35 AM
--------------------------------------------------------------------------------
Added missing BLOCKF_LANDMONSTERS property to the ZDoom ACS configuration. Fixes #1249


R4243 | 16099144 | biwa | 10/25/2025, 4:30 AM
--------------------------------------------------------------------------------
Fixed an issue where some texture scales set through UDMF were not working correctly in Visual Mode


R4242 | 086ac41e | biwa | 9/20/2025, 4:43 AM
--------------------------------------------------------------------------------
Script Editor: fixed a crash when the script contains malformed named script definitions. Fixes #1239


R4241 | cdb8209e | biwa | 7/26/2025, 10:34 AM
--------------------------------------------------------------------------------
Eternity Engine UDMF Game Configuration: fixed the "friction" UDMF property for real this time (hopefull)


R4240 | 01ffc7c3 | biwa | 7/26/2025, 10:31 AM
--------------------------------------------------------------------------------
Eternity Engine UDMF Game Configuration: fixed the "friction" UDMF property not showing up


R4239 | 99086def | biwa | 7/6/2025, 5:24 AM
--------------------------------------------------------------------------------
Eternity Engine UDMF Game Configuration: fixed a problem where the ypanningfloor sector property was not stored correctly when being edited through the Edit Sector dialog. Fixes #1217


R4238 | e984dba4 | Nash Muhandes | 6/21/2025, 2:19 AM
--------------------------------------------------------------------------------
Add lm_dynamic to ZDRayInfo (#1211)


R4237 | 7dcf4e49 | DyNaM1Kk | 5/24/2025, 10:57 AM
--------------------------------------------------------------------------------
Added missing Sector Damage line action arguments (#1204)


R4236 | 9bd8107f | biwa | 5/24/2025, 8:26 AM
--------------------------------------------------------------------------------
Fixed a problem where the "use linux paths" setting in the game configuration settings were not saved between sessions. Fixes #1203


R4235 | be704b29 | Nash Muhandes | 5/24/2025, 2:25 AM
--------------------------------------------------------------------------------
Add lm_ao and lm_bounce to ZDRayInfo (#1176)


R4234 | 96adcc80 | FG5 | 5/24/2025, 2:24 AM
--------------------------------------------------------------------------------
idStudio Level Exporter Update #1 (#1188)

* WadToBrush: Texture exporter updates:
- Add option to only export textures used in the map
- Remove black.tga creation

* WadToBrush: Level exporter updates:
- First pass on grouping brushes to static model entities
- Fix repeating middle textures
- Other small changes

* WadToBrush: Exporter updates:
- Ensure stepclip brushes are grouped under the world entity
- Texture Exporter: Ensure file names are all-lowercase

* WadToBrush: Exporter Updates
- Group floors and ceilings to separate static models
- Adjust entity and brush groupings
- Ensure minimum height for wall brushes
- Prevent generation of brush-less static model entities
- Don't export the empty string as a texture


R4233 | 950f3b33 | biwa | 5/17/2025, 6:34 AM
--------------------------------------------------------------------------------
Added hashes for the Doom + Doom II 1.1 IWADs


R4232 | c673471d | DyNaM1Kk | 5/16/2025, 6:39 PM
--------------------------------------------------------------------------------
Fixed template parsing and added function pointer support (#1201 by DyNaM1Kk)

* Fixed template parsing and added function pointer support

This commit makes two changes to how ZScript actors are parsed:
1. Before this commit, templates were parsed by first validating the identifier and then expecting the '&lt;' token. However, validation was very superficial, allowing non-existent templates (e.g. ImaginaryArray&lt; int&gt;). I've updated the code to accept only existing templates like Array&lt;T&gt;, Map&lt;T, T&gt; and MapIterator&lt;T, T&gt;.
2. Adds support for function pointers. See: https://zdoom.org/wiki/Function_pointers

* Fixed parsing for 'class&lt;type&gt;' and 'readonly&lt;type&gt;' types

* Changed ParseGenericTemplate to accept arbitrary templates again

Also fixed returned generic types always being "Array".


R4231 | 2712f7d2 | DyNaM1Kk | 5/15/2025, 4:19 PM
--------------------------------------------------------------------------------
ParseHandlerClass token fix (#1199 by DyNaM1Kk)

Fixes the method not checking for an underscore when parsing the class name.


R4230 | 9e266950 | DyNaM1Kk | 4/28/2025, 11:02 AM
--------------------------------------------------------------------------------
GZDoom Game Configuration: added missing argument to MapMarker thing (#1194)


R4229 | 2362cbce | biwa | 4/20/2025, 3:42 AM
--------------------------------------------------------------------------------
Sound Propagation Mode: improved performance of the sound leak finder


R4228 | 4e6b51f4 | biwa | 4/18/2025, 12:33 PM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where vertical alignment of middle textures could go wrong when 3D floor were involved


R4227 | 9ac3fa67 | biwa | 4/18/2025, 10:58 AM
--------------------------------------------------------------------------------
3D Floor Mode: fixed a crash when entering relative values in some input boxes


R4226 | 506f9a39 | Roy van der Wijk | 4/11/2025, 7:11 AM
--------------------------------------------------------------------------------
Allow script configuration autoloading through command line arguments (#1187)


R4225 | 4ba288d6 | Roy van der Wijk | 4/6/2025, 9:39 AM
--------------------------------------------------------------------------------
Added support for compilation using `zt-bcc` (#1185)


R4224 | 6aa7406c | biwa | 4/4/2025, 12:04 PM
--------------------------------------------------------------------------------
DeHackEd Parser: fixed a problem where things without DoomEdNums would get DoomEdNum -1 assigned. Fixes #1184


R4223 | c38a22cb | biwa | 3/29/2025, 10:03 AM
--------------------------------------------------------------------------------
Sound Environment Mode: changed alpha values of things other than sound environment things


R4222 | ebfaa7f9 | biwa | 3/29/2025, 9:30 AM
--------------------------------------------------------------------------------
Fixed a problem where alpha values were applied twice when rendering things in classic modes


R4221 | efa10ec1 | biwa | 3/29/2025, 7:21 AM
--------------------------------------------------------------------------------
Preferences dialog: fixed an issue where linedef and thing alpha values where not set correctly. Fixes #1064


R4220 | 6098b5f5 | biwa | 3/27/2025, 12:09 PM
--------------------------------------------------------------------------------
Sound Environment Mode: inserting a sound environment thing will now apply "clean" thing properties instead of the ones of the last edited thing. Fixes #1175


R4219 | 8f238148 | biwa | 3/27/2025, 11:52 AM
--------------------------------------------------------------------------------
Sound Environment Mode: improved performance


R4218 | 60dbd153 | biwa | 3/27/2025, 10:17 AM
--------------------------------------------------------------------------------
Sound Environment Mode: fixed a crash when highlighting a sector while the environments were still being discovered. Fixes #1174


R4217 | 065d9198 | biwa | 3/15/2025, 5:01 AM
--------------------------------------------------------------------------------
ZScript parser: added support for new GZDoom 4.15 ZScript syntax. Fixes #1170


R4216 | d4dd8e42 | biwa | 3/15/2025, 4:29 AM
--------------------------------------------------------------------------------
Added support for Zandronum's "local" CVAR scope. Fixes #1168


R4215 | 9bef7c35 | ZappaFurious | 2/22/2025, 4:59 AM
--------------------------------------------------------------------------------
Added info about Windows 11 support (#1165)


R4214 | de702cdb | biwa | 2/22/2025, 3:43 AM
--------------------------------------------------------------------------------
CVARINFO: added support for HandlerClass. Fixes #1151


R4213 | 1458146e | biwa | 2/2/2025, 4:24 AM
--------------------------------------------------------------------------------
Added support for negative thing type numbers


R4212 | 3993ec86 | biwa | 1/18/2025, 9:57 AM
--------------------------------------------------------------------------------
Map Analysis Mode: fixed a crash when there are linedefs with action 0 in the map. Fixes #1158


R4211 | 1c98b7bb | biwa | 1/18/2025, 9:39 AM
--------------------------------------------------------------------------------
Things Mode: fixed a crash when highlighting a thing when there's an unknown linedef action type in the map. Fixes #1157


R4210 | 6f675a87 | Derek MacDonald | 1/18/2025, 6:45 AM
--------------------------------------------------------------------------------
Map Analysis Mode: missing texture error skipped by 181 slope type (#1143)


R4209 | 37abd057 | Nash Muhandes | 1/18/2025, 6:33 AM
--------------------------------------------------------------------------------
GZDoom Game Configuration: added lm_sunintensity to ZDRayInfo (#1148)


R4208 | ba2eb709 | Derek MacDonald | 1/18/2025, 6:29 AM
--------------------------------------------------------------------------------
Map Analysis Mode: added texture error check for sky transfers (#1142)


R4207 | e7083ff0 | biwa | 11/29/2024, 9:48 AM
--------------------------------------------------------------------------------
Export selection to image: fixed an issue where trying to export geometry with negative texture scales would fail


R4206 | f8c0cf58 | biwa | 11/23/2024, 11:08 AM
--------------------------------------------------------------------------------
GZDoom Game Configuration: fixed missing string terminator in things configuration


R4205 | 12d0c2bf | MajorCooke | 11/23/2024, 10:33 AM
--------------------------------------------------------------------------------
GZDoom Game Configuration: added orthographic camera thing support. (#1131)


R4204 | cbe4a3f7 | Ricardo Lu?s Vaz Silva | 10/19/2024, 2:54 AM
--------------------------------------------------------------------------------
Implement vkdoom's new light attenuation mode (#1122)


R4203 | 84456af0 | FG5 | 10/19/2024, 2:02 AM
--------------------------------------------------------------------------------
Add idStudio Level Exporter (WadToBrush) by FlavorfulGecko5 (#1107)


R4202 | b1ae9a3a | biwa | 9/25/2024, 12:00 PM
--------------------------------------------------------------------------------
OBJ model exporter: fixed a problem where textures were not exported with the correct brightness


R4201 | 04aa89e5 | biwa | 9/25/2024, 11:56 AM
--------------------------------------------------------------------------------
OBJ model exporter: fixed a problem where textures were skipped even when not exporting for GZDoom


R4200 | 8d7fe064 | biwa | 9/22/2024, 3:09 AM
--------------------------------------------------------------------------------
Update continuous_integration_other.yml to not upload the artifact


R4199 | 9a06257d | biwa | 9/22/2024, 3:01 AM
--------------------------------------------------------------------------------
Fixed a problem where the SNDINFO parser failed when parsing files with different formats that were consistent in themselves. Fixes #1102


R4198 | fc725deb | biwa | 9/22/2024, 2:39 AM
--------------------------------------------------------------------------------
Updated README.md to reflect the new URL to the Git repository. Fixes #1098


R4197 | 81d150c2 | biwa | 9/22/2024, 2:36 AM
--------------------------------------------------------------------------------
Fixed a problem where the LOCKDEFS parser only allowed locks up to 255, but this limit was removed in GZDoom. Fixes #1096


R4196 | 66f7204f | biwa | 8/10/2024, 3:29 AM
--------------------------------------------------------------------------------
Autosave: scripts are not implicitly saved and compiled on autosave anymore. Fixes #1084


R4195 | bb901a20 | Dennis Meuwissen | 8/10/2024, 1:42 AM
--------------------------------------------------------------------------------
Texture browser: add more image sizes to the image browser for better usability on high DPI displays (#1077)


R4194 | 960c962c | Dennis Meuwissen | 8/10/2024, 1:41 AM
--------------------------------------------------------------------------------
Render the "AddShaded" render style as additive in 3D modes to more closely match in-game appearance (#1076)


R4193 | edeab01b | Ryan Krafnick | 8/10/2024, 12:33 AM
--------------------------------------------------------------------------------
Update DSDADoom_linedefs.cfg for 0.28 (#1090)


R4192 | d2118482 | biwa | 8/9/2024, 11:26 AM
--------------------------------------------------------------------------------
Added SHA1 IWAD hashsums for the 2024 Re-Re-Release of Doom + Doom II


R4191 | 6a66d1ad | biwa | 8/4/2024, 5:58 AM
--------------------------------------------------------------------------------
Added DLL dependencies to the Build directory so that Mono can find them when compiling on Linux


R4190 | 9973e1ad | biwa | 8/4/2024, 5:23 AM
--------------------------------------------------------------------------------
Added missing Mono project file for UDBScript


R4189 | 0c9aa347 | biwa | 8/4/2024, 5:19 AM
--------------------------------------------------------------------------------
Made UDBScript work on Linux


R4188 | 3a1d56ae | biwa | 7/13/2024, 8:27 AM
--------------------------------------------------------------------------------
ZScript parser: added support for the missing "internal" modifier. Fixes #1080


R4187 | afbd9210 | biwa | 7/13/2024, 7:30 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/UltimateDoomBuilder/UltimateDoomBuilder


R4186 | 7fd219c2 | biwa | 7/13/2024, 7:30 AM
--------------------------------------------------------------------------------
Fixed an issue where unknown linedef and thing flags were lost when loading the map with the wrong game configuration, or switching between game configurations in the binary map formats. Fixes #1072 (#1083)


R4185 | d115db68 | biwa | 7/13/2024, 7:25 AM
--------------------------------------------------------------------------------
Fixed an issue where unknown linedef and thing flags were lost when loading the map with the wrong game configuration, or switching between game configurations in the binary map formats. Fixes #1072


R4184 | 8aa5e9b5 | samwiddowson | 7/9/2024, 10:47 AM
--------------------------------------------------------------------------------
Updated README file with additional advice building on Linux


R4183 | 349a6b09 | samwiddowson | 7/9/2024, 10:47 AM
--------------------------------------------------------------------------------
Fixed a crash when adding opening the dialog to add a directory resource on Mono Winforms


R4182 | e1ce00aa | biwa | 7/5/2024, 11:16 AM
--------------------------------------------------------------------------------
UDBScript: fixed a crash when trying to access the UDMF fields of a thing that has its scale set. Fixes #1079


R4181 | 11f864bb | biwa | 6/30/2024, 1:17 PM
--------------------------------------------------------------------------------
Fixed a crash when the loaded resources contained a flat with the same name as an internal sprite. Fixes #1071


R4180 | de8066d1 | samwiddowson | 6/30/2024, 1:59 AM
--------------------------------------------------------------------------------
Curve Linedefs Mode: use Ctrl+Alt+RMB+Drag with Fixed Circular Curve to match angle and vertex count to 15 degree segments (#1070)


R4179 | efacbef4 | samwiddowson | 6/30/2024, 1:58 AM
--------------------------------------------------------------------------------
Fix mouse capture when picking texture in visual mode, on Mono Winforms (#1073)


R4178 | 98a36017 | biwa | 6/30/2024, 1:56 AM
--------------------------------------------------------------------------------
Updated README.md to reflect the requirement of the libxfixes-dev package for building on Linux


R4177 | 0d8f7c7a | Matthew | 6/30/2024, 1:54 AM
--------------------------------------------------------------------------------
Use Xfixes to show and hide cursor on Linux (#1060)


R4176 | d509b6c1 | biwa | 6/29/2024, 2:41 PM
--------------------------------------------------------------------------------
Drag Geometry Modes: fixed a crash when a linedef defining a 3D floor doesn't have a front sidedef


R4175 | c5ad8e75 | biwa | 6/29/2024, 8:59 AM
--------------------------------------------------------------------------------
Fixed a crash when changing the testing engine on Linux. Fixes #1042


R4174 | 0fa32301 | 9sphere | 6/29/2024, 8:08 AM
--------------------------------------------------------------------------------
Curve Linedefs: increment angle by 5 instead of 8 (#889)


R4173 | 8f7104c2 | 9sphere | 6/16/2024, 2:47 AM
--------------------------------------------------------------------------------
3D floor slopes are now maintained when dragging their control sectors (#1057)


R4172 | 6c9b3b5d | Noah Ehrman | 6/16/2024, 1:53 AM
--------------------------------------------------------------------------------
Pressing Mouse1 and Mouse2 no longer crashes on Linux. Fixes #1061


R4171 | b36c14ae | biwa | 5/11/2024, 6:05 AM
--------------------------------------------------------------------------------
Game Configuration dialog: fixed a problem where the start editing mode was not saved correctly. Fixes #1052


R4170 | 2a404cf1 | biwa | 5/11/2024, 5:28 AM
--------------------------------------------------------------------------------
Linedefs Mode, Sectors Mode, Things Mode: fixed a problem where multi-selecting many spread out map elements could result in an exception. Fixes #1053


R4169 | d0176253 | biwa | 5/9/2024, 11:09 AM
--------------------------------------------------------------------------------
Disabled MacOS CI


R4168 | 456ae573 | biwa | 5/9/2024, 11:01 AM
--------------------------------------------------------------------------------
ZScript parser: added support for min and max value constants in the states block. Fixes #1019


R4167 | 071818dc | Nash Muhandes | 5/4/2024, 1:06 AM
--------------------------------------------------------------------------------
ZDRayInfo fixes - remove unused `lm_gridsize` and fix name of `lm_sampledist` (#1047)

GZDoom Game Configuration: fixed UDMF fields related to ZDRay. Fixes #1043. Fixes #1044.


R4166 | e527b8bb | biwa | 4/21/2024, 10:19 AM
--------------------------------------------------------------------------------
More changes to get it to compile with Visual Studio 2022


R4165 | 81ab73c8 | biwa | 4/21/2024, 10:01 AM
--------------------------------------------------------------------------------
Fixes to make it compile with Visual Studio 2022


R4164 | 77c1fb8a | biwa | 4/21/2024, 8:08 AM
--------------------------------------------------------------------------------
Updated build script to use Visual Studio 2022


R4163 | b853f112 | biwa | 4/21/2024, 7:44 AM
--------------------------------------------------------------------------------
Changed BuilderNative project file to work in Visual Studio 2022


R4162 | df743740 | biwa | 3/31/2024, 1:56 PM
--------------------------------------------------------------------------------
ZScript parser: added support for "final" and "sealed" classes. Fixes #1033


R4161 | 5726421c | biwa | 3/31/2024, 9:36 AM
--------------------------------------------------------------------------------
GZDoom game configuration: removed support for path nodes, because the feature was removed from GZDoom


R4160 | a023633c | MajorCooke | 3/9/2024, 5:14 AM
--------------------------------------------------------------------------------
GZDoom Game Configuration: Added support for PathNodes. (#1032)

UDBScript: Added scripts for PathNode management


R4159 | 2df6004b | biwa | 3/3/2024, 8:43 AM
--------------------------------------------------------------------------------
Fixed a crash when trying to load a voxel that could not be found multiple times. Fixes #1024
Fixed a problem where voxels defined in VOXELDEF would not be found


R4158 | f28a4b10 | biwa | 3/3/2024, 1:50 AM
--------------------------------------------------------------------------------
UDBScript examples: fixed a problem in the "Create Line Portal" script where not all arguments of the selected lines were reset. Fixes #1026


R4157 | f9dd9869 | biwa | 2/3/2024, 6:10 AM
--------------------------------------------------------------------------------
SNDINFO parser: added support for GZDoom's new sound assignment format. Fixes #1017


R4156 | 29643d98 | biwa | 2/3/2024, 5:19 AM
--------------------------------------------------------------------------------
OBJ model exporter: fixed a problem where texture UV values were NaN when a texture was not fully loaded prior to exporting. Fixes #1015


R4155 | a83b92fb | biwa | 1/28/2024, 9:40 AM
--------------------------------------------------------------------------------
GZDoom game configuration: added UDMF sidedef fields for wall colors


R4154 | 0a3cda01 | ZZYZX | 1/27/2024, 4:40 PM
--------------------------------------------------------------------------------
Internal: Add BccCompiler.cs to BuilderMono.csproj


R4153 | 4e34897a | ZZYZX | 1/27/2024, 4:16 PM
--------------------------------------------------------------------------------
Fixed BCS compiler error reporting


R4152 | 14a49407 | biwa | 1/14/2024, 11:29 AM
--------------------------------------------------------------------------------
Text parser: fixed a problem where the stream's position was not set correctly when checking the next token. Fixes #1010


R4151 | 66a0618e | biwa | 1/14/2024, 6:14 AM
--------------------------------------------------------------------------------
DECORATE parser: fixed a problem where parsing would fail when there was no space between the "States" label and the following curly brace


R4150 | ce961501 | biwa | 1/13/2024, 11:20 AM
--------------------------------------------------------------------------------
Fixed a crash when trying to load a map from the command line and specifying a non-existent map using the -map parameter. Fixes 934
Fixed a crash when trying to load a map from the command line when the game configuration specified in the DBS file does not exist


R4149 | 6fcb5d2f | biwa | 1/13/2024, 10:18 AM
--------------------------------------------------------------------------------
DECORATE parser: fixed an issue where state block cast types were not recognized. Fixes #977


R4148 | fcc5a0b2 | biwa | 1/12/2024, 6:56 AM
--------------------------------------------------------------------------------
Fixed a problem where the tag and high tag arguments of line actions 121 and 160 were not pasted correctly in Hexen format. Fixes #987


R4147 | 77ed0899 | biwa | 1/12/2024, 5:14 AM
--------------------------------------------------------------------------------
Linedefs Mode: fixed an issue where aligning flats to lines through the "Linedefs" menu would round the offsets to whole numbers. Now it rounds to 6 decimal places, which is in line with aligning flats in Visual Mode


R4146 | d5a6d7f2 | biwa | 1/11/2024, 8:45 AM
--------------------------------------------------------------------------------
Classic Modes: sector brightness is now displayed correctly in brightness level view mode is enabled even if displaying full brightness is enabled. Fixes #986


R4145 | f7deef9c | biwa | 1/11/2024, 7:07 AM
--------------------------------------------------------------------------------
UDMF map element editing forms: fixed a problem where some fields were rounded to two decimal places (they are not rounded anymore). Fixes #1004


R4144 | f63be092 | biwa | 1/11/2024, 3:03 AM
--------------------------------------------------------------------------------
Improved error message when a CVAR used for actor distance check is not of type int. Fixes #1008


R4143 | 5ff0bc76 | biwa | 1/6/2024, 6:15 AM
--------------------------------------------------------------------------------
Sectors Mode: fixed a problem where dragging a single highlighted sector did not move the things in the sector when synchronized things editing was enabled


R4142 | cff1d000 | ZZYZX | 12/30/2023, 11:59 AM
--------------------------------------------------------------------------------
Update Updater to work with the new URL (actually)


R4141 | 5df83258 | ZZYZX | 12/30/2023, 11:48 AM
--------------------------------------------------------------------------------
Update Updater to work with the new URL


R4140 | 39be7a72 | biwa | 12/15/2023, 2:01 PM
--------------------------------------------------------------------------------
Preferences dialog: made tabs multiline. Fixed some panel sizes.


R4139 | 957bec7f | biwa | 12/15/2023, 1:49 PM
--------------------------------------------------------------------------------
Autosave map functionality (#995)

Added autosaving of the current map. Autosaving happens in intervals when the map is changed. It will not overwrite the current map, but rather create new files, just like backups. Autosaving interval and number of files can be configured in the "Recovery" tab of the preferences. Autosaving can also be disabled there (not recommended). Autosaves will not have their nodes built for performance reason.


R4138 | 6d5098a0 | biwa | 12/2/2023, 1:16 PM
--------------------------------------------------------------------------------
3D Floor Mode: fixed a problem where the previous state of linedef arguments were not preserved for undo snapshots. Fixes #967


R4137 | 124d8712 | biwa | 12/2/2023, 7:18 AM
--------------------------------------------------------------------------------
Script Editor: fixed a crash when the find/replace dialog was opened and the previously selected script tabs do not exist anymore. Fixes #993


R4136 | 53c49529 | biwa | 12/2/2023, 6:20 AM
--------------------------------------------------------------------------------
Sound Propagation Mode: fixed a problem where removed sector geometry was still shown when undoing/redoing. Fixes #992


R4135 | 0d4778be | biwa | 11/22/2023, 12:28 PM
--------------------------------------------------------------------------------
Fixed a problem where portal render style could not be set for the Eternity Engine game configuration


R4134 | 6e08cc8e | biwa | 11/19/2023, 7:56 AM
--------------------------------------------------------------------------------
Visual Mode: more skewing fixes


R4133 | f7373f75 | biwa | 11/19/2023, 7:53 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where texture skewing didn't work correctly for textures scaled through sidedef properties. Fixes #985


R4132 | 501c2f95 | biwa | 11/5/2023, 11:21 AM
--------------------------------------------------------------------------------
Script Editor: pressing enter in the search box now performs the search. Pressing enter in the search box of the replace tab performs a search. Pressing enter in the replace box of the replace tab now performs a replacement. Pressing the Escape key now closes the dialog. Fixes #972


R4131 | d6789454 | biwa | 11/5/2023, 8:57 AM
--------------------------------------------------------------------------------
Updated ACC version for GZDoom to 1.60. Fixes #972


R4130 | 305bcfec | biwa | 11/4/2023, 2:24 PM
--------------------------------------------------------------------------------
Game Configurations: added missing UDMF properties to GZDoom's game configuration. Fixes #978


R4129 | 28630b97 | biwa | 11/4/2023, 1:43 PM
--------------------------------------------------------------------------------
Game Configurations: added texture skewing options to the GZDoom game configurations
Visual Mode: added support for GZDoom style texture skewing


R4128 | cf35ea23 | biwa | 10/26/2023, 11:15 AM
--------------------------------------------------------------------------------
Added game configuration for DSDADoom UDMF (provided by kraflab)


R4127 | aeea3c12 | biwa | 10/25/2023, 12:20 PM
--------------------------------------------------------------------------------
Eternity Engine Game Configuration: fixed an issue where UDMF sector properties were not labeled as unmanaged


R4126 | 55725bd2 | biwa | 10/25/2023, 11:38 AM
--------------------------------------------------------------------------------
Sound Propagation Mode: fixed a crash when things were outside the map's geometry bounding box. Fixes #975


R4125 | af440869 | biwa | 10/24/2023, 11:43 AM
--------------------------------------------------------------------------------
Edit Linedef dialog (UDMF): fixed a problem where the back sidedef's controls were not disabled correctly if their UDMF fields were not set in the game configuration


R4124 | a88daa09 | biwa | 10/24/2023, 6:57 AM
--------------------------------------------------------------------------------
Game Configurations: updated Doom format game configuration for EDGE-Classic (provided by Lobo)
Game Configurations: added UDMF game configuration for EDGE-Classic (provided by Lobo)


R4123 | 0a74ca24 | biwa | 10/24/2023, 6:51 AM
--------------------------------------------------------------------------------
Added ability to enable/disable controls in the UDMF map element editing dialogs based on UDMF fields specified in the game configurations (#953)


R4122 | 7536ea0f | Derek MacDonald | 10/21/2023, 11:37 PM
--------------------------------------------------------------------------------
Fix sidedef "compresion" error message typo (#973)


R4121 | 728eea84 | biwa | 10/21/2023, 7:11 AM
--------------------------------------------------------------------------------
Visual Mode: the effect of slope things are now only applied if they are specified in the game configuration


R4120 | 807df652 | biwa | 10/21/2023, 5:45 AM
--------------------------------------------------------------------------------
Game Configurations: added support for enabling or disabling support for vertex heights in UDMF game configurations


R4119 | ca6769b7 | biwa | 10/14/2023, 1:30 PM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where flood selection did not work correctly when sidedefs were previously marked by other actions


R4118 | 1f21b797 | biwa | 10/14/2023, 6:16 AM
--------------------------------------------------------------------------------
UDMF type handler: fixed a problem where default values provided as integers for floating point fields failed to convert properly


R4117 | ef444b5c | biwa | 10/14/2023, 5:31 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R4116 | f8ca89df | biwa | 10/14/2023, 5:30 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where flood selection would operate from all selected surfaces and not just the clicked on one. This behavior can be reverted by enabling the "Use buggy flood select in Visual Mode" option in Preferences -&gt; Editing (#969)


R4115 | e97aa905 | biwa | 10/14/2023, 5:24 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where flood selection would operate from all selected surfaces and not just the clicked on one. This behavior can be reverted by enabling the "Use buggy flood select in Visual Mode" option in Preferences -&gt; Editing


R4114 | a9e05a0b | pug stonks | 10/8/2023, 12:21 AM
--------------------------------------------------------------------------------
Updated builder.sh to run the editor correctly when the script is started from another directory


R4113 | 1f1f9937 | biwa | 10/7/2023, 8:51 AM
--------------------------------------------------------------------------------
ZScript parser: added support for #region and #endregion. Fixes #958


R4112 | 432be2a0 | biwa | 10/7/2023, 6:31 AM
--------------------------------------------------------------------------------
Text file parser: fixed a problem where parsing could fail if the file ended with a comment without an trailing newline


R4111 | 6e7eaf03 | biwa | 10/7/2023, 12:24 AM
--------------------------------------------------------------------------------
Game Configurations: fixed a crash when no default values for UDMF integer or  floating point fields are set


R4110 | 682c4b92 | biwa | 10/6/2023, 12:05 PM
--------------------------------------------------------------------------------
Game Configurations: UDMF integer and floating point fields can now have default values other than 0


R4109 | 9d8ddfad | biwa | 10/3/2023, 10:23 AM
--------------------------------------------------------------------------------
OBJ Exporter: fixed a problem where the wrong textures were used on 3D floors when they have the "use upper/lower texture" flag set


R4108 | 7834bd1f | biwa | 10/3/2023, 10:18 AM
--------------------------------------------------------------------------------
OBJ Exporter: fixed a problem where 3D floor sides were not exported correctly. Fixes #963


R4107 | 051d899d | biwa | 10/3/2023, 6:11 AM
--------------------------------------------------------------------------------
GZDoom Game Configuration: fixed lightmap UDMF field names
GZDoom Game Configuration: fixed lightmap thing arguments for pulsing, flickering, and randomly flickering lights


R4106 | fad0e812 | biwa | 9/29/2023, 12:31 PM
--------------------------------------------------------------------------------
GZDoom Game Configuration: added lightmap UDMF properties for sidedefs


R4105 | 10c7594c | biwa | 9/29/2023, 12:19 PM
--------------------------------------------------------------------------------
Game configurations: renamed lightmap things from static to lightmap. Added pulsing, flickering, and random flickering lightmap things


R4104 | 2b40a08f | biwa | 9/29/2023, 11:44 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where floors/ceilings could not be changed in size if the user tried to change their texture offset in a non-UDMF map


R4103 | 0a983705 | biwa | 9/23/2023, 11:21 AM
--------------------------------------------------------------------------------
Game Configurations: fixed a problem where the enum list of enum bits handlers was not set for UDMF fields


R4102 | efcce489 | biwa | 9/17/2023, 8:23 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where sloped 3D floors with an alpha value of less than 128 were not shown at all instead of fully opaque. Fixes #954


R4101 | 59197fdf | biwa | 9/17/2023, 8:03 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where scaled sprites were shown with the wrong offset


R4100 | 63010d87 | wisselstem | 9/17/2023, 6:39 AM
--------------------------------------------------------------------------------
Draw Curve Mode, Draw Ellipse Mode, Draw Rectangle Mode: added option to place things at the designated vertex positions instead of drawing geometry (#956)


R4099 | 01bcdc01 | wisselstem | 9/17/2023, 4:06 AM
--------------------------------------------------------------------------------
Point Thing at Cursor: check for a thing's fixedrotation rather than its category's arrow setting (#957)


R4098 | ed93c4d6 | biwa | 9/17/2023, 4:05 AM
--------------------------------------------------------------------------------
Visual Mode: looking through selection now applies the thing's pitch to the camera


R4097 | 1d6c2a1c | biwa | 9/17/2023, 3:40 AM
--------------------------------------------------------------------------------
Visual Mode: when applying camera rotation and pitch to things a status message will now be displayed. Fixes #955


R4096 | 5ce1b3a7 | biwa | 9/9/2023, 4:49 AM
--------------------------------------------------------------------------------
Fixed an issue where the "exclude from testing" option was not read from the .dbs file. Fixes #947


R4095 | 32cfe294 | wisselstem | 9/8/2023, 10:19 AM
--------------------------------------------------------------------------------
Things Mode: update things filter when clone-dragging things (#951)


R4094 | 809bb24a | biwa | 9/6/2023, 10:20 AM
--------------------------------------------------------------------------------
Visual Mode: fixed an issue where trying to apply a rotation to things that were not seen yet would cause a crash


R4093 | 3a7d9267 | biwa | 9/3/2023, 6:39 AM
--------------------------------------------------------------------------------
Image Exporter: added support for transparency


R4092 | edc4c2bd | wisselstem | 9/2/2023, 5:21 AM
--------------------------------------------------------------------------------
Visual Mode: prevent crash if no potential slope handles are found (#949)


R4091 | 5c76efb8 | biwa | 8/26/2023, 4:49 AM
--------------------------------------------------------------------------------
Fixed a problem where not selected geometry and things could not be dragged when the "don't move selection if any part of it is outside of map boundary" option was enabled


R4090 | 1fca52ef | biwa | 8/15/2023, 11:45 AM
--------------------------------------------------------------------------------
3D Floor Mode: fixed a problem where creating 3D floors failed. Fixes #945


R4089 | fbfd4dc0 | biwa | 8/15/2023, 11:01 AM
--------------------------------------------------------------------------------
Fixed line endings of ControlSectorArea.cs


R4088 | 7e29ba30 | biwa | 8/14/2023, 2:00 PM
--------------------------------------------------------------------------------
3D Floor Mode: fixed an issue where new control sectors could not be created if any sector's bounding box completely encompassed the Control Sector Area


R4087 | 88274459 | biwa | 8/13/2023, 12:24 PM
--------------------------------------------------------------------------------
Sound Propagation Mode: added missing hints file


R4086 | 43898701 | biwa | 8/13/2023, 12:19 PM
--------------------------------------------------------------------------------
Sound Propagation Mode: added sound leak finder (#944)

In Sound Propagation Mode you can set the start (default: Shift+S) and end (default: Shift+E) sectors between which a path the sound can travel will be found and displayed.


R4085 | 1d0430d4 | biwa | 8/12/2023, 7:43 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where the selection order was not kept when synchronized selection between visual and classic modes was enabled. Fixes #938


R4084 | 1a116574 | biwa | 8/12/2023, 2:15 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where things directly touching the top of 3D floors were rendered with the incorrect brightness. Fixes #940


R4083 | 19b8bd1e | samwiddowson | 8/11/2023, 9:25 AM
--------------------------------------------------------------------------------
Edit Selection Mode: Fix Ceiling/Floor transforms when pinned (#943)


R4082 | 8f1d645e | biwa | 8/5/2023, 4:14 AM
--------------------------------------------------------------------------------
Fixed an issue where hires replacement sprites did not have the correct offset. Fixes #939.


R4081 | f56ae2e0 | biwa | 8/2/2023, 11:39 AM
--------------------------------------------------------------------------------
Visual Mode: Fixed problem where UDB-internal sprites were shown with a wrong offset


R4080 | 085df399 | biwa | 7/29/2023, 4:32 AM
--------------------------------------------------------------------------------
Fixed an issue where sprite offsets defined in TEXTURES were not used


R4079 | f34ab6a6 | biwa | 7/15/2023, 9:45 AM
--------------------------------------------------------------------------------
Visual Mode: changes to Eternity Engine's upper/lower texture skewing definitions are now shown in Visual Mode


R4078 | b15e1055 | Max Waine (Nightdive Studios) | 7/13/2023, 10:29 AM
--------------------------------------------------------------------------------
Eternity Engine Game Configuration: Update skew properties (#931)


R4077 | 58480f5b | biwa | 7/9/2023, 5:18 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a crash when toggling visual vertex slope picking and the map contains double-sided linedefs without a front sidedef. Fixes #928


R4076 | f3ac4c39 | biwa | 7/9/2023, 3:59 AM
--------------------------------------------------------------------------------
Edit Linedef Dialog:
- fixed an issue where undo snapshots were not created correctly when editing a sidedef's custom UDMF fields. Fixes #920
- fixed an issue where closing the back sidedef's custom UDMF field editing dialog would close the linedef dialog


R4075 | 4dba3a92 | biwa | 7/9/2023, 2:45 AM
--------------------------------------------------------------------------------
Texture skewing:
- fixed a rare condition where skewed mid textures were not clipped correctly
- fixed a problem where translucent mid textures were not skewed correctly
- fixed a problem where sprites were skewed unintentionally


R4074 | 9c35a8f6 | biwa | 7/8/2023, 1:39 PM
--------------------------------------------------------------------------------
Eternity Engine: added support for texture skewing in Visual Mode (#930)


R4073 | 9fb52e51 | biwa | 6/30/2023, 10:48 AM
--------------------------------------------------------------------------------
GZDoom Game Configuration: removed unused thing 9875


R4072 | abaf08e3 | biwa | 6/30/2023, 10:40 AM
--------------------------------------------------------------------------------
Linedef Edit Form: fixed a crash when using 402 as the linedef action


R4071 | 192b69c8 | Magnus Norddahl | 6/29/2023, 11:37 AM
--------------------------------------------------------------------------------
Added support for models in IQM format


R4070 | 4581c5fe | Nash Muhandes | 6/29/2023, 11:35 AM
--------------------------------------------------------------------------------
GZDoom Game Configuration: fixes to ZDRay things


R4069 | d5f3eb29 | Max Waine (Nightdive Studios) | 6/29/2023, 11:31 AM
--------------------------------------------------------------------------------
Eternity Engine Game Configuration: add & enable UDMF wall/local sidedef brightness (#924)


R4068 | 55e2d5a9 | wisselstem | 6/27/2023, 11:40 AM
--------------------------------------------------------------------------------
Add toasts to Visual Mode's "Show Things" action (#922)


R4067 | fee912f1 | Max Waine (Nightdive Studios) | 6/25/2023, 1:27 AM
--------------------------------------------------------------------------------
Eternity Engine Game Configuration: add UDMF sidedef skew properties (#918)


R4066 | 822c9971 | biwa | 6/24/2023, 2:19 AM
--------------------------------------------------------------------------------
ZScript: fixed a problem where state goto expressions were not parsed correctly. Fixes #913


R4065 | 8611ecb6 | Max Waine (Nightdive Studios) | 6/24/2023, 12:58 AM
--------------------------------------------------------------------------------
Eternity Engine Game Configuration: enable UDMF local sidedef texture offsets (#915)


R4064 | 14dac243 | Max Waine (Nightdive Studios) | 6/24/2023, 12:56 AM
--------------------------------------------------------------------------------
Eternity Engine Game Configuration: fixed UDMF thingsfilters (#914)


R4063 | 6f047e43 | biwa | 6/19/2023, 11:27 AM
--------------------------------------------------------------------------------
Draw Grid Mode: fixed a problem where "continuous drawing" would redraw all previously drawn shapes each time a drawing was finished. Fixes #912


R4062 | e802bb36 | biwa | 6/18/2023, 7:31 AM
--------------------------------------------------------------------------------
UDBScript: fixed a problem where hot reloading would not scroll the the previously selected script


R4061 | 55b8e24b | biwa | 6/18/2023, 7:26 AM
--------------------------------------------------------------------------------
UDBScript: fixed an issue where the Thing's class getSector method did not return null when the thing was not in a sector. Fixes #897


R4060 | bc98a539 | biwa | 6/9/2023, 2:17 AM
--------------------------------------------------------------------------------
Added action to change the index of linedefs, things, sectors, and vertices. Can be accessed through a shortcut (not bound by default) or the menu of the respective mode (#903)


R4059 | 00406336 | Max Waine (Nightdive Studios) | 6/9/2023, 2:16 AM
--------------------------------------------------------------------------------
Add explicit PKE resource support (#901). Fixes #575


R4058 | 0d4cecc1 | wisselstem | 6/9/2023, 12:54 AM
--------------------------------------------------------------------------------
Edit Selection Mode: added support for (counter)clockwise rotation actions (#900)


R4057 | e9f66baf | Yuri Kunde Schlesner | 6/9/2023, 12:51 AM
--------------------------------------------------------------------------------
Add line special 301: Line_QuickPortal to ZDoom UDMF (#896)


R4056 | 606e43ca | wisselstem | 5/26/2023, 12:16 PM
--------------------------------------------------------------------------------
Stair Sector Builder Mode: fix "Back" option never being checked when loading default preset (#890)


R4055 | d2a4dcff | wisselstem | 5/26/2023, 11:56 AM
--------------------------------------------------------------------------------
Edit Selection Mode: added actions for moving the selection around the grid (#888)


R4054 | 533d56eb | wisselstem | 5/26/2023, 11:53 AM
--------------------------------------------------------------------------------
Preferences form: added Tab to the list of special input controls (#886)


R4053 | 13a6f1b2 | biwa | 5/21/2023, 12:54 AM
--------------------------------------------------------------------------------
Added the Unity port IWADs (and some others) to the list of known official IWADs


R4052 | aae0dd56 | antonino maniscalco | 5/19/2023, 12:55 PM
--------------------------------------------------------------------------------
Check for unix instead of linux in file locker (PR#885 by pac85)

The calls to native windows functions wouldn't be valid on any unix os
so expand the check.

The check for Windows XP is removed as that platform is not supported
anymore.


R4051 | b772e066 | antonino maniscalco | 5/19/2023, 7:45 AM
--------------------------------------------------------------------------------
Fix crash on linux when saving (PR#868 by pac85)

When saving a wad for the second time some code would run that tried to
use native windows function and caused a crash.


R4050 | a2c67a9c | wisselstem | 5/17/2023, 8:45 AM
--------------------------------------------------------------------------------
Select Sectors Outline action: fixed an issue where selection info/labels were not updated (#884)


R4049 | 184c13a5 | Xaser Acheron | 5/1/2023, 12:32 AM
--------------------------------------------------------------------------------
Automap Mode: improved support for GZDoom (#876)

- A new "Show Textures" option up on the top bar, which draws any sector not flagged to be hidden on the textured automap
- Holding Shift will highlight sectors instead of lines
- Left-clicking on a highlighted sector will toggle the "Not shown on textured automap" flag
- Textures will be shown when Shift is held down even if the "Show Textures" toggle is off


R4048 | 464f4c4e | biwa | 4/30/2023, 11:07 AM
--------------------------------------------------------------------------------
ZScript parser: fixed an issue where mixins were not added to extend classes. Fixes #880


R4047 | eb62da5b | biwa | 4/22/2023, 2:36 PM
--------------------------------------------------------------------------------
Updated ACC to version 1.59 for GZDoom. Fixes #879


R4046 | 7329e86d | biwa | 4/22/2023, 1:57 PM
--------------------------------------------------------------------------------
EDGE Classic Game Configuration: fixed a problem with lighting effects in the generalized sector options. Fixes #875


R4045 | f7d767c1 | biwa | 4/22/2023, 1:29 PM
--------------------------------------------------------------------------------
Fixed some more case sensitivity issues in file dialogs on Linux. Fixes #872


R4044 | 86f1532a | biwa | 4/22/2023, 10:38 AM
--------------------------------------------------------------------------------
Edit Selection Mode: fixed a problem where floor and ceiling textures were unintentionally scaled in UDMF when resizing the selection. Fixes #873


R4043 | 724bd24d | biwa | 3/29/2023, 2:24 AM
--------------------------------------------------------------------------------
Fixed a problem where the last used game configuration was not saved for the new map dialog


R4042 | f8c6e789 | Lobo | 3/6/2023, 11:22 AM
--------------------------------------------------------------------------------
Game configurations: added EDGE-Classic configuration


R4041 | d706e041 | biwa | 3/6/2023, 7:12 AM
--------------------------------------------------------------------------------
UDBScript: fixed a problem where the Angle2D class wasn't usable from old API versions anymore


R4040 | e1672281 | biwa | 3/6/2023, 2:57 AM
--------------------------------------------------------------------------------
UDBScript: fixed a problem where hot reloading would not select the previously selected script


R4039 | 8c30cef6 | biwa | 3/3/2023, 4:10 AM
--------------------------------------------------------------------------------
UDBScript: fixed a problem where floating point default script option values would be converted to the system's locale on hot reloading. Fixes #858


R4038 | 6c53594e | biwa | 3/3/2023, 1:49 AM
--------------------------------------------------------------------------------
Nodes Viewer Mode: fixed a problem where trying to engage the mode with an empty map could crash. Fixes #857


R4037 | bb7857d2 | biwa | 3/3/2023, 12:53 AM
--------------------------------------------------------------------------------
Map Analysis Mode: fixed a problem where lines with fractional vertex positions could erroneously be reported as overlapping


R4036 | 1766b71c | biwa | 2/11/2023, 12:37 PM
--------------------------------------------------------------------------------
Texture Browser: fixed a problem where the setting for texture type to show wasn't saved


R4035 | eb974fca | biwa | 2/1/2023, 11:51 AM
--------------------------------------------------------------------------------
Thing Edit Form (UDMF): fixed a problem where setting floating point values for health wasn't possible. Fixes #225


R4034 | 0fb4c98a | biwa | 1/28/2023, 2:52 PM
--------------------------------------------------------------------------------
Stair Sector Builder Mode: fixed an issue where the number of sectors and the sector depth was not loaded correctly when a default prefab was set. Fixes #847


R4033 | 7bbf88de | biwa | 1/28/2023, 1:07 PM
--------------------------------------------------------------------------------
GZDoom game configuration: fixed wrong/missing values for the automapstyle UDMF field. Fixes #851


R4032 | 6d2a3b64 | Boondorl | 1/21/2023, 1:07 AM
--------------------------------------------------------------------------------
ZScript: Added support for narrowed enums (#854)


R4031 | d73a2173 | Boondorl | 1/20/2023, 3:44 PM
--------------------------------------------------------------------------------
ZScript: Added support for Map&lt;type, type&gt; structures (#853)


R4030 | 5cf8ed91 | biwa | 12/25/2022, 9:24 AM
--------------------------------------------------------------------------------
Comments Panel: docker is now only updated when it is visible


R4029 | e0e61d63 | biwa | 12/25/2022, 6:20 AM
--------------------------------------------------------------------------------
Tag Explorer: docker is now only updated when it is visible


R4028 | db8babf8 | biwa | 12/11/2022, 2:02 AM
--------------------------------------------------------------------------------
Nodes Viewer Mode: a crash that could happen when the nodes header was interpreted as an UTF-8 value should be fixed for good now (#827)


R4027 | 65f1b6c2 | biwa | 12/10/2022, 10:11 AM
--------------------------------------------------------------------------------
Fixed a crash that occurred when using the NullTexture option in the TEXTURES lump. Fixes #833


R4026 | af25e772 | biwa | 12/9/2022, 6:37 AM
--------------------------------------------------------------------------------
Improved performance in classic modes when panning the view. This is achieved by parallelizing plotting linedefs and vertices on multiple logical CPU cores. Enabled for linedefs by default. Disabled for vertices by default, since it can cause flickering when vertices are close to each other. Settings can be changed in Preferences -&gt; Appearance


R4025 | e49c9196 | biwa | 11/27/2022, 7:49 AM
--------------------------------------------------------------------------------
UDBScript: setting an UDMF string field to an empty string will not remove the field anymore, but actually set it to an empty string


R4024 | 02bc20b7 | biwa | 11/27/2022, 3:04 AM
--------------------------------------------------------------------------------
Nodes Viewer Mode: fixed a potential crash when loading classic nodes. Fixes #827


R4023 | d745a743 | biwa | 11/27/2022, 2:11 AM
--------------------------------------------------------------------------------
Automap Mode: fixed a problem where secrets were not shown. Fixes #821
Reverted change that added lighting effects to the generalized sector effects. The lighting effects can actually be set through the regular effects, so it's not needed in the generalized effects tab


R4022 | f839269a | biwa | 11/27/2022, 2:02 AM
--------------------------------------------------------------------------------
Disabled visual sloping for game configurations that do not support plane equation slopes. Fixes #828
Added toasts for visual sloping events


R4021 | 30548f17 | ZZYZX | 11/23/2022, 8:43 AM
--------------------------------------------------------------------------------
Fixed crash on AMD hardware (resolves #820 reported by AlexMax)


R4020 | ba3e0437 | biwa | 11/13/2022, 2:56 AM
--------------------------------------------------------------------------------
Fixed missing files in installer script


R4019 | 5b2b149b | biwa | 11/12/2022, 4:15 PM
--------------------------------------------------------------------------------
UDBScript version 5 (#819)

Improved UDBScript to version 5:

- Added Plane class
- Added BlockMap, BlockEntry, and BlackMapQueryResult classes
- Sector class
  - Added getLabelPositions method to get the position of sector labels (where tags, effects etc. are displayed)
- Added support for JavaScript BigInt for UDMF fields. This means it's not necessary anymore to use UniValue to assign integers to new UDMF fields. Instead it can be done like this: sector.fields.my_int_field = 1n;
- Added type information file (udbscript.d.ts)


R4018 | 204982e5 | biwa | 11/6/2022, 6:08 AM
--------------------------------------------------------------------------------
Add support for toasts (#817)

Behavior can be configured in the "Toasts" tab in the preferences.


R4017 | 13e53ece | biwa | 11/4/2022, 11:49 AM
--------------------------------------------------------------------------------
3D Floor Mode: added support for UDMF game configurations without support for sectors with multiple tags (i.e. Zandronum)


R4016 | d30347b8 | biwa | 10/29/2022, 2:14 AM
--------------------------------------------------------------------------------
Game Configuration dialog: fixed an crash related to required resource checks when switching through the game configurations too quickly. Fixes #813


R4015 | 86b86ac6 | biwa | 10/21/2022, 11:29 AM
--------------------------------------------------------------------------------
MODELDEF: added support for the rotation-center command. Resolves #796


R4014 | 497edfff | biwa | 10/20/2022, 12:23 PM
--------------------------------------------------------------------------------
Reverted change that stopped thing angles to clamp to 45? in binary Doom map format. Fixes #794


R4013 | df6ea3eb | biwa | 10/20/2022, 11:40 AM
--------------------------------------------------------------------------------
Resource options form: fixed a problem where the text box containing the path to the file could be focused. Fixes #806


R4012 | 27cc74a4 | biwa | 10/20/2022, 11:10 AM
--------------------------------------------------------------------------------
Fixed a potential crash when adding DECORATE files to game configurations that check for required resources. Fixes #808


R4011 | c751ad5a | biwa | 10/20/2022, 11:00 AM
--------------------------------------------------------------------------------
Things Mode: fixed an issue where the thing info panel did not show enum values for the first argument. Fixes #804


R4010 | c6982ee2 | biwa | 10/3/2022, 3:50 AM
--------------------------------------------------------------------------------
Boom game configuration: fixed description for generalized sector specials 12 and 13


R4009 | 9e5a6b53 | biwa | 10/3/2022, 2:29 AM
--------------------------------------------------------------------------------
Tag Range plugin: fixed a problem where the new tags were not displayed in Sectors Mode when selection numbering was disabled. Fixes #795


R4008 | 2d7aebbe | biwa | 10/3/2022, 1:43 AM
--------------------------------------------------------------------------------
Boom game configuration: added missing lighting effects to the generalized sector specials. Fixes #799


R4007 | 7de0c65b | ZZYZX | 9/26/2022, 1:45 PM
--------------------------------------------------------------------------------
Fixed threading and Mono issues in resource check


R4006 | 1174d1ac | ZZYZX | 9/25/2022, 10:41 AM
--------------------------------------------------------------------------------
Fixed a possible cause for infinite resource check loader


R4005 | 9c4c63a7 | biwa | 9/21/2022, 12:05 PM
--------------------------------------------------------------------------------
Sectors Mode: fixed a regression where sector labels were not updated after editing sectors. Fixes #793


R4004 | fa5c741b | biwa | 9/20/2022, 2:52 PM
--------------------------------------------------------------------------------
Fixed a regression where editing map elements did not preserve the selection order, but used the index order instead. Fixes #791


R4003 | e7ccffa4 | ZZYZX | 9/19/2022, 2:26 AM
--------------------------------------------------------------------------------
Fixed regression in resource list editor where it'd get fucked if the user has non-standard UI scaling enabled


R4002 | 85a4c3a6 | ZZYZX | 9/19/2022, 12:13 AM
--------------------------------------------------------------------------------
Fixed: Map options form window would become squished if the starting game configuration is invalid


R4001 | ca5c7725 | ZZYZX | 9/18/2022, 11:27 AM
--------------------------------------------------------------------------------
Fixed Mono build


R4000 | 4fd97fec | ZZYZX | 9/18/2022, 10:54 AM
--------------------------------------------------------------------------------
Added warnings about possibly invalid resource configurations before starting to edit a map


R3999 | 8808d5ce | biwa | 9/18/2022, 8:00 AM
--------------------------------------------------------------------------------
Right-clicking the angle wheel in the thing editing dialog will not clamp to 45? angles in binary map format game configurations anymore. Fixes #788


R3998 | 179f7206 | biwa | 9/18/2022, 7:54 AM
--------------------------------------------------------------------------------
Things/Linedefs/Sectors/Vertices Modes: standardized how editing and selection works:
- editing a highlighted, not selected map element will deselect other selected map elements, then start editing the highlighted map element
- dragging a highlighted, not selected map element will deselect other selected map elements, then start dragging the highlighted map element
- dragging a single map element will keep its selection state. I.e. dragging a selected map element will not deselect it after dragging anymore
  - dragging a highlighted, not selected thing will not select it after dragging
- dragging a highlighted, not selected sector, while other sectors are selected, will only drag the highlighted sector, and not the selected sector (and deselect the selected sectors)


R3997 | 7f09ac75 | biwa | 9/17/2022, 4:53 AM
--------------------------------------------------------------------------------
UDBScript: fixed a crash when the UDBScript folder was missing or empty. Fixes #789


R3996 | 419e86d9 | Joshua Fern | 9/17/2022, 4:36 AM
--------------------------------------------------------------------------------
Search the user's PATH to find the bash binary (#786)


R3995 | 82f1ee09 | JaedenDuhreis | 9/15/2022, 9:04 AM
--------------------------------------------------------------------------------
Added parsing of relative includes in ZScript (PR#787 by JaedenDuhreis)


R3994 | aee47aac | ZZYZX | 9/14/2022, 5:12 PM
--------------------------------------------------------------------------------
Improved error reporting for invalid ZScript input


R3993 | 5f677e9a | Boondorl | 9/13/2022, 10:49 AM
--------------------------------------------------------------------------------
Fixed BCS importing and added missing sector actions (#785)


R3992 | d16ffe13 | biwa | 9/13/2022, 10:45 AM
--------------------------------------------------------------------------------
Added some explanatory comments to source code


R3991 | b24a2dda | biwa | 9/3/2022, 4:07 AM
--------------------------------------------------------------------------------
Visual Mode: fixed an issue where the crosshair was distorted after the viewport was resized. Fixes #321. Fixes #777


R3990 | 3fd7f99b | biwa | 9/3/2022, 3:25 AM
--------------------------------------------------------------------------------
Fixed an issue where textures OBJ models with w components in their texture coordinates were not displayed correctly. Fixes #775


R3989 | 450198cf | biwa | 9/3/2022, 2:12 AM
--------------------------------------------------------------------------------
Fixed a crash when trying to create the screenshot folder failed. Fixes #774


R3988 | d2967e7a | biwa | 8/28/2022, 9:25 AM
--------------------------------------------------------------------------------
Linedefs Mode: fixed a problem where the "Select Single-sided only" and "Select Double-sided only" actions would still display the selection numbers of deselected linedefs


R3987 | ce6b8de4 | biwa | 8/28/2022, 7:43 AM
--------------------------------------------------------------------------------
Doom/Heretic/Strife Game Configurations: fixed an issue where the descriptions for the sector effects 2/3 and 12/13 were flipped. Fixes #772


R3986 | bacaff5b | biwa | 8/23/2022, 5:41 AM
--------------------------------------------------------------------------------
- Sector Color Picker: fixed a problem where the dialog could not be closed using the "enter" or "ESC" buttons
- Light/Sector Color Picker: fixed a problem where closing the dialog would result in a flicker
- Light Color Picker: fixed a problem where canceling the dialog would not revert the color settings


R3985 | 6b0b047c | Alison Watson | 8/23/2022, 4:37 AM
--------------------------------------------------------------------------------
Added support for some niche ZScript and MODELDEF syntax. Resolves #747


R3984 | c1e69eb5 | biwa | 8/21/2022, 3:18 AM
--------------------------------------------------------------------------------
Fixed a problem where grid transform didn't work when the new origin had an x value of 0. Fixes #769


R3983 | d597c11e | biwa | 8/18/2022, 1:18 AM
--------------------------------------------------------------------------------
Added "-debugrenderdevice" command line argument to write a logfile for the render device


R3982 | 91010eb9 | biwa | 8/16/2022, 5:34 AM
--------------------------------------------------------------------------------
Nodes Viewer Mode: fixed a crash when the NODES lump contains unsupported ZDBSP nodes. Fixes #766


R3981 | c1e40101 | biwa | 8/13/2022, 4:48 AM
--------------------------------------------------------------------------------
Fixed a problem where IWADINFO lumps with properties without values failed for parse. Fixes #760


R3980 | 692ceb71 | ZZYZX | 8/7/2022, 12:48 PM
--------------------------------------------------------------------------------
Internal: fixed Linux and Mac build


R3979 | f11127ca | ZZYZX | 8/7/2022, 11:26 AM
--------------------------------------------------------------------------------
Made non-existent ZScript classes a fatal error.

Added explicit warning if gzdoom.pk3 is not loaded for GZDoom game configurations.

Fixed tokenizer not picking up the very last token in the stream.


R3978 | 39ec3598 | biwa | 7/21/2022, 7:02 AM
--------------------------------------------------------------------------------
Fixed a problem where the flags selection form could be too small to accommodate the "OK" button when the game configuration contained too few flags


R3977 | 27ba3671 | biwa | 7/13/2022, 2:25 PM
--------------------------------------------------------------------------------
OBJ Models: fixed a crash that occurred when the usemtl directive had the texture to use in quotes. Fixes #758


R3976 | fd68806d | biwa | 7/13/2022, 2:13 PM
--------------------------------------------------------------------------------
Texture set definitions can now be imported/exported to/from game configurations using configuration files


R3975 | cb12c838 | biwa | 7/3/2022, 6:22 AM
--------------------------------------------------------------------------------
Fixed an issue that allowed to open Hexen format maps with a Doom format game configuration when using the "Open Map in Current WAD..:" feature.


R3974 | cdce5c0a | biwa | 7/2/2022, 2:28 PM
--------------------------------------------------------------------------------
Sound Environment Mode: fixed an issue that caused building sound environments to fail when the arguments of the Sound Environment thing had unexpected values.


R3973 | 751439ed | biwa | 7/2/2022, 10:26 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R3972 | 59757c3b | biwa | 7/2/2022, 10:25 AM
--------------------------------------------------------------------------------
Sound Environment Mode: fixed a crash that happened when exiting Draw Lines Mode with the "edit" action and returning to Sound Environment Mode. Fixes #755


R3971 | 490cb784 | Nash Muhandes | 7/2/2022, 1:50 AM
--------------------------------------------------------------------------------
Update ZDRay stuff (#750)

- Removed surface lights
- Move ZDRayInfo stuff back to UDMF keys
- Add per-surface sampling distance UDMF keys to lines and sectors
- Standardize and finalize the naming conventions for the new UDMF keys to everything lightmap-related to use an "lm_" prefix


R3970 | a269b13a | biwa | 6/12/2022, 11:24 AM
--------------------------------------------------------------------------------
ZScript: fixed an issue where user default variables from class extensions were not applied


R3969 | d46dc141 | biwa | 6/12/2022, 11:07 AM
--------------------------------------------------------------------------------
Things: fixed an issue where inserting a new thing would not immediately apply ZScript user variables


R3968 | 5dc8d1ed | biwa | 6/11/2022, 4:16 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R3967 | 0f7d6c60 | biwa | 6/11/2022, 4:14 AM
--------------------------------------------------------------------------------
CVARINFO: fixed a problem parvins CVARs with incompatible flags. Fixes #748


R3966 | 21e89cf9 | biwa | 6/2/2022, 11:18 AM
--------------------------------------------------------------------------------
Added support for ZDRay static light things


R3965 | ab6d46a6 | biwa | 6/1/2022, 3:06 PM
--------------------------------------------------------------------------------
Visplane Explorer Mode: fixed an issue where detecting nodes type failed in certain situations


R3964 | 90cdb7db | biwa | 5/29/2022, 8:30 AM
--------------------------------------------------------------------------------
More fixes related to crashes when running actions when no map is opened


R3963 | 59de9762 | biwa | 5/29/2022, 1:47 AM
--------------------------------------------------------------------------------
Fixed two crashes that happened when trying to reset the grid transform, or toggling the grid visibility while no map was opened


R3962 | 4f526dc5 | biwa | 5/28/2022, 7:19 AM
--------------------------------------------------------------------------------
Toolbar buttons now show their assigned shortcut key in their tool tip


R3961 | 57b796e8 | biwa | 5/27/2022, 6:52 AM
--------------------------------------------------------------------------------
Visplane Explorer Mode: fixed an issue that caused a crash when the map doesn't have nodes the Visplane Explorer Mode understands. Fixes #736


R3960 | 7e3dbdef | biwa | 5/14/2022, 3:38 PM
--------------------------------------------------------------------------------
DeHackEd: editor keys are once again recognized


R3959 | df29245a | biwa | 5/14/2022, 3:32 PM
--------------------------------------------------------------------------------
DeHackEd: fixed and issue where the "#" in "ID #" fields was erroneously interpreted as a comment. Fixes #735


R3958 | d08bc443 | biwa | 5/14/2022, 9:07 AM
--------------------------------------------------------------------------------
DECORATE/ZScript: fixed an crash introduced in 070aa9f36f2865a240d043f37c483347c60804e1 that happened when a base actor didn't have a thing type info


R3957 | 070aa9f3 | biwa | 5/14/2022, 8:10 AM
--------------------------------------------------------------------------------
DECORATE/ZScript: fixed an issue where setting the thing category using the editor key didn't work for replaced actors. Fixes #729


R3956 | 183af344 | biwa | 5/11/2022, 2:28 PM
--------------------------------------------------------------------------------
DeHackEd: made reading comments in unexpected places more robust. Fixes #732


R3955 | a1df690a | biwa | 5/9/2022, 2:16 PM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R3954 | c82ef488 | ZZYZX | 5/9/2022, 2:10 PM
--------------------------------------------------------------------------------
Fixed: Doom64 sector floor color was not applied to a sector below a 3D floor


R3953 | d1e90439 | biwa | 5/8/2022, 7:42 AM
--------------------------------------------------------------------------------
Visual Mode: fixed an issue where using the "apply camera rotation to things" action did not update the thing cages properly


R3952 | c3f3e451 | biwa | 5/8/2022, 7:04 AM
--------------------------------------------------------------------------------
GZDoom game configuration: clarified description of the "impact" UDMF linedef flag
Eternity Engine game configuration: clarified description of the "impact" UDMF linedef flag
Eternity Engine game configuration: added missing "monstershoot" UDMF linedef flag


R3951 | ccdbc28e | biwa | 5/7/2022, 9:49 AM
--------------------------------------------------------------------------------
Visual Mode: fixed an issue where deleting a thing could cause a crash. Fixes #730


R3950 | 44a2a0da | biwa | 5/7/2022, 8:44 AM
--------------------------------------------------------------------------------
Edit Selection Mode: floor and ceiling textures can now be pinned independently. Fixes #728


R3949 | 3cda0e53 | biwa | 4/23/2022, 8:23 AM
--------------------------------------------------------------------------------
Fixed an issue that prevented models from being loaded correctly when some model indices in MODELDEF were unused. Fixes #727


R3948 | 7d7e2e98 | biwa | 4/21/2022, 10:53 AM
--------------------------------------------------------------------------------
The installer will not try to create an icon on the common desktop anymore, but on the user's personal desktop


R3947 | d363ab9c | biwa | 4/18/2022, 7:02 AM
--------------------------------------------------------------------------------
Draw Settings docker: fixed an issue where toggling the texture check boxes stopped texture overrides from being applied


R3946 | ddd68de7 | biwa | 4/17/2022, 9:09 AM
--------------------------------------------------------------------------------
Command line arguments:
 - using "-map" with lower case parameter doesn't crash anymore
 - using "-cfg"/"-config" with a non-existing configuration file doesn't crash anymore


R3945 | ac57fecf | biwa | 4/14/2022, 3:19 PM
--------------------------------------------------------------------------------
Fixed an issue where "WallTextures" from the TEXTURES lump were not loaded correctly. Fixes #719


R3944 | f8e0f0b2 | biwa | 4/9/2022, 10:14 AM
--------------------------------------------------------------------------------
Map element associations: fixed a problem where things that have a argument of type tag set to 0 were referencing all things with tag 0. Fixes #718


R3943 | 98d32f79 | biwa | 4/9/2022, 8:52 AM
--------------------------------------------------------------------------------
Linedefs Mode: fixed a crash that could happen when the mouse was moved out of the map control while an UDBScript was modifying the map


R3942 | f9fe1ea9 | biwa | 4/9/2022, 8:12 AM
--------------------------------------------------------------------------------
UDBScript: fixed a problem in the voodoo doll example script when the "looping" option was set to true


R3941 | 5cb40a23 | biwa | 4/9/2022, 8:00 AM
--------------------------------------------------------------------------------
ZScript: fixed an issue where #include files were not parsed when the parent file had a //$GZDB_Skip comment. Fixes #716


R3940 | 9c7526a8 | biwa | 4/9/2022, 2:10 AM
--------------------------------------------------------------------------------
Added command palette that allows the user to search for (and execute) commands at any time. Unbound by default. Resolves #555


R3939 | 91d79e12 | biwa | 3/20/2022, 8:17 AM
--------------------------------------------------------------------------------
Moved some custom scaling code for MainForm from the designed file to code file


R3938 | 5115686a | biwa | 3/15/2022, 1:31 PM
--------------------------------------------------------------------------------
Sectors Mode: fixed a crash that could happen when the mouse was moved out of the map control while an UDBScript was modifying the map


R3937 | 9b084541 | biwa | 3/14/2022, 11:52 AM
--------------------------------------------------------------------------------
Edit Selection Mode: improved handling of texture transformation (still doesn't work 100% correctly)


R3936 | 6a55d008 | biwa | 3/13/2022, 8:51 AM
--------------------------------------------------------------------------------
- Further improvements to the installer and updating process
- The updater can now update itself


R3935 | e2ed0826 | biwa | 3/11/2022, 3:31 AM
--------------------------------------------------------------------------------
Map Analysis Mode: fixed an issue where lines were erroneously reported as overlapping in certain situations. Fixes #713


R3934 | 4f0692e1 | biwa | 3/5/2022, 11:59 AM
--------------------------------------------------------------------------------
More fixes to the Mono project files


R3933 | 453651e5 | biwa | 3/5/2022, 11:30 AM
--------------------------------------------------------------------------------
Added missing preprocessor directives to the 3D Floor Mode Mono project file


R3932 | f0f46425 | biwa | 3/5/2022, 9:15 AM
--------------------------------------------------------------------------------
3D Floor Mode: 3D floor editing dialog can now be resized on non-Windows platforms. Fixes #712


R3931 | cb24e346 | biwa | 3/5/2022, 8:26 AM
--------------------------------------------------------------------------------
Nodes Viewer Mode: the mode will not engage anymore if ZNODES are found, do to ZDBSP reordering the vertices when rebuilding the nodes. Addresses #659


R3930 | f8bb87e1 | biwa | 3/5/2022, 7:57 AM
--------------------------------------------------------------------------------
Fixed an issue where wall textures and flats did not have the correct precedence. Fixes #710


R3929 | 69fb4ba4 | biwa | 3/5/2022, 1:37 AM
--------------------------------------------------------------------------------
Visual Mode: Fixed a problem where using visual sloping a slope handle around itself resulted in invalid slopes


R3928 | 61ee99c2 | biwa | 3/5/2022, 1:12 AM
--------------------------------------------------------------------------------
Updated installer script to include a missing file


R3927 | 538b0ddc | biwa | 2/27/2022, 8:23 AM
--------------------------------------------------------------------------------
Updated CI


R3926 | 2f30f3ca | biwa | 2/27/2022, 8:19 AM
--------------------------------------------------------------------------------
Updated installer generation


R3925 | 2dfe043e | biwa | 2/26/2022, 7:21 AM
--------------------------------------------------------------------------------
UDMF: fixed an issue where user variables with default values were not saved when their value was equal to the type's default value. Fixes #709


R3924 | c62b8315 | biwa | 2/25/2022, 4:04 PM
--------------------------------------------------------------------------------
UDBScript: added an option to open the selected folder in the Explorer to the context menu of folder items in the file tree


R3923 | 1f13839d | biwa | 2/19/2022, 2:21 AM
--------------------------------------------------------------------------------
Added event handler for when values change to ArgumentBox control


R3922 | 12f0d537 | biwa | 2/18/2022, 11:47 PM
--------------------------------------------------------------------------------
Copy and Paste Properties: fixed a problem where the "fadecolor" GZDoom UDMF sector property was not copied/pasted


R3921 | b9ef6323 | biwa | 2/12/2022, 11:02 AM
--------------------------------------------------------------------------------
Normalized line endings of AutomapMode/BuilderPlug.cs to CRLF


R3920 | 47a12d94 | biwa | 2/12/2022, 8:00 AM
--------------------------------------------------------------------------------
MBF21 Game Configuration: Added missing "friendly" flag to things (thanks to hawkwind3). Resolves #703
MBF21 Game Configuration is now enabled by default


R3919 | 2a1d5951 | biwa | 2/12/2022, 3:14 AM
--------------------------------------------------------------------------------
Fixed a problem where the display was desaturated in certain situations in classic modes when wireframe rendering was enabled when exiting Visual Mode. Fixes #619
Fixed a problem where sectors were not desaturated correctly in classic modes on map load


R3918 | 6c2ad3ef | biwa | 2/8/2022, 12:30 PM
--------------------------------------------------------------------------------
Linedefs Mode: further speed improvements related to sector labels


R3917 | e0bd9274 | biwa | 2/8/2022, 10:07 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where offsetting the middle texture of double sided lines would not work under certain circumstances. Fixes #702


R3916 | f86c52c0 | biwa | 2/7/2022, 1:10 PM
--------------------------------------------------------------------------------
UDBScript: fixed a bug in Vector3D's crossProduct method that resulted in wrong calculations


R3915 | 7d11b0dd | biwa | 2/6/2022, 4:55 AM
--------------------------------------------------------------------------------
Linedefs Mode: fixed a problem where sector labels and linedef selection labels were not shown


R3914 | 91df4685 | biwa | 2/6/2022, 4:54 AM
--------------------------------------------------------------------------------
Changed build script to use Visual Studio 2019


R3913 | be06471f | volte | 2/6/2022, 3:19 AM
--------------------------------------------------------------------------------
Vertex rendering options (#701)

* Extended rendering options for drawing vertices
* Fixed vertex scale slider behaviour
* Force plot highlighted vertex in DragSectorsMode
* Moved ShouldRenderVertices property into the properties region
* made config file variable lower case to be in line with other config file variables


R3912 | 9cd1c865 | biwa | 2/5/2022, 11:57 AM
--------------------------------------------------------------------------------
Reverted GitHub action commit


R3911 | a0c09d13 | biwa | 2/5/2022, 11:48 AM
--------------------------------------------------------------------------------
Disable GitHub action for Windows builds


R3910 | c425b2bd | biwa | 2/5/2022, 9:40 AM
--------------------------------------------------------------------------------
Visual Mode: added actions to lower and raise map elements by the current grid size (no defaults bound). Resolves #699


R3909 | 6259b6d9 | biwa | 2/4/2022, 3:44 PM
--------------------------------------------------------------------------------
Linedefs Mode: improved performance when showing the vertex insertion preview


R3908 | 484b0817 | biwa | 2/3/2022, 10:35 AM
--------------------------------------------------------------------------------
Snap selection to grid: fixed a problem that could cause a crash if geometry got removed by snapping it to the grid


R3907 | b369b944 | biwa | 2/2/2022, 10:37 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem that resulted in incorrect texture offsets when moving a texture by grid size, and the grid was a multiple of the texture size


R3906 | d37e2400 | volte | 1/31/2022, 10:49 AM
--------------------------------------------------------------------------------
Made classic rendererer respect per-surface light levels (#698)


R3905 | 3a4ba327 | biwa | 1/29/2022, 11:11 AM
--------------------------------------------------------------------------------
The combination of SS_START/S_END sprite markers is now recognized. Resolves #695.


R3904 | 6f8d6173 | biwa | 1/29/2022, 9:59 AM
--------------------------------------------------------------------------------
Fixed typos introduced in 78ded20481cdf979be9047aff9e872f1ed28bbe1.


R3903 | c12b9f62 | biwa | 1/29/2022, 9:37 AM
--------------------------------------------------------------------------------
OBJ Exporter: fixed a problem where the model path controls were disabled unless creation of MODELDEF was enabled. Fixes #692


R3902 | 78ded204 | biwa | 1/29/2022, 5:48 AM
--------------------------------------------------------------------------------
GZDoom game configuration: added support for distinct upper/middle/lower sidedef brightness levels. Resolves #694


R3901 | 6f9b4794 | biwa | 1/28/2022, 11:14 AM
--------------------------------------------------------------------------------
GZDoom game configuration: added ZDRay-specific thing UDMF fields


R3900 | e0313a18 | biwa | 1/27/2022, 3:59 PM
--------------------------------------------------------------------------------
DeHackEd: fixed a problem where patches with things without names resulted in an parsing error


R3899 | a86fce57 | biwa | 1/27/2022, 10:34 AM
--------------------------------------------------------------------------------
Game configurations: added ability to show certain UDMF fields on specific thing types only


R3898 | 6f26bd95 | biwa | 1/26/2022, 11:54 AM
--------------------------------------------------------------------------------
GZDoom game configuration: fixed a problem where map containing a LIGHTMAP lump were not recognized


R3897 | 8274321c | biwa | 1/25/2022, 7:30 AM
--------------------------------------------------------------------------------
UDBScript: fixed a bug where changing a thing's or linedef's arguments did not recorded for the undo system


R3896 | 8536eb1d | biwa | 1/23/2022, 10:02 AM
--------------------------------------------------------------------------------
Game configuration: fixed a crash when using enums for universal field definitions
GZDoom game configuration: added enum list for the automapstyle UDMF linedef field


R3895 | 1b69dbe7 | biwa | 1/23/2022, 8:58 AM
--------------------------------------------------------------------------------
UDBScript: fixed a problem where getting a highlighted map element would not work correctly in some circumstances


R3894 | afa09e6c | biwa | 1/22/2022, 2:06 AM
--------------------------------------------------------------------------------
Fixed a problem where polyobject numbers where not sorted correctly in the editing dialogs. Fixes #690


R3893 | 910bd0fb | volte | 1/19/2022, 8:58 AM
--------------------------------------------------------------------------------
Made the classic renderer ignore texture brightening settings (#687)


R3892 | 02b0e930 | volte | 1/16/2022, 11:42 AM
--------------------------------------------------------------------------------
Added radial drawing capability to Rectangle and Ellipse tool (#689)


R3891 | 6d70c70f | biwa | 1/16/2022, 11:27 AM
--------------------------------------------------------------------------------
ZScript: user variables from mixins now show up in the "custom" tab of the edit thing dialog


R3890 | 69cac018 | volte | 1/8/2022, 1:48 AM
--------------------------------------------------------------------------------
Hotfix for potential crash if COLORMAP or PLAYPAL don't have expected size (#685)


R3889 | 9612b809 | biwa | 1/7/2022, 7:28 AM
--------------------------------------------------------------------------------
Visual Mode: added toggleable option to select all adjacent visual vertex slope handle when selecting a visual slope vertex handle. The action is called "Toggle Adjacent Visual Vertex Slope Selection"


R3888 | cfada3b4 | biwa | 1/7/2022, 2:56 AM
--------------------------------------------------------------------------------
UDBScript: the progress bar in the running script dialog now stops its animation when no progress was set and the script finished.


R3887 | 8992b66d | biwa | 1/7/2022, 2:51 AM
--------------------------------------------------------------------------------
UDBScript: fixed a problem where the UDB.log() method crashed when a non-string object was passed to it


R3886 | 92fefb76 | biwa | 1/7/2022, 2:45 AM
--------------------------------------------------------------------------------
UDBScript: the scalex and scaley UDMF properties of things can now be set through the UDMF fields


R3885 | d59342ed | biwa | 1/6/2022, 9:46 AM
--------------------------------------------------------------------------------
UDBScript: groups all classes, objects, and methods in a new UDB namespace, usable with the new feature version 4. Updated the documentation accordingly. Resolves #679


R3884 | 7fbd07e5 | volte | 1/4/2022, 11:17 AM
--------------------------------------------------------------------------------
New feature: classic lighting renderer for visual mode (#680)

Added classic rendering mode to closer emulate software renderer visuals in visual mode


R3883 | 90896acd | volte | 1/3/2022, 6:46 AM
--------------------------------------------------------------------------------
Additional camera movement actions in visual mode (#682)

Added "Orbit" and "Move Camera to Cursor" visual mode actions (not bound by default)


R3882 | e2374102 | biwa | 1/3/2022, 5:33 AM
--------------------------------------------------------------------------------
UDBScript asynchronous execution (#684)

Script run by UDBScript are now executed asynchronously


R3881 | 12f32e2b | biwa | 12/28/2021, 2:21 AM
--------------------------------------------------------------------------------
UDBScript: fixed a bug where Map.nearestLinedef, Map.nearestThing, Map.nearestVertex, and Map.nearestSidedef would not return valid objects when no nearest map element was found


R3880 | 0bb55562 | biwa | 12/26/2021, 4:51 PM
--------------------------------------------------------------------------------
Fixed a crash with Mono that happened because of the placeholder text in the "additional parameters" text box in the testing drop down menu. Fixes #677


R3879 | 5c61600d | biwa | 12/26/2021, 6:36 AM
--------------------------------------------------------------------------------
Removed some debugging code


R3878 | 69a3194d | biwa | 12/26/2021, 4:21 AM
--------------------------------------------------------------------------------
Fixes for Mono in the ScriptEditorPanel


R3877 | 288de511 | biwa | 12/26/2021, 4:11 AM
--------------------------------------------------------------------------------
DECALDEF: fixed a bug where the drop down list of available decals was empty. Fixes #678


R3876 | bc18ae15 | biwa | 12/26/2021, 2:40 AM
--------------------------------------------------------------------------------
Event lines are now shown between things and map elements even if the thing doesn't have an action, but directly uses its args. Resolves #676


R3875 | 634225b7 | biwa | 12/25/2021, 5:43 AM
--------------------------------------------------------------------------------
UDBScript: Exported the classes Linedef, Sector, Sidedef, Thing, and Vertex, so that they can be used with instanceof
UDBScript: Map class: the getSidedefsFromSelectedLinedefs() method now correctly only returns the Sidedefs of selected Linedefs in visual mode (and not also the highlighted one)
UDBScript: Map class: added a new getSidedefsFromSelectedOrHighlightedLinedefs() method as the equivalent to the other getSelectedOrHighlighted*() methods
UDBScript: Sector class: added new floorSelected, ceilingSelected, floorHighlighted, and ceilingHighlighted properties. Those are mostly useful in visual mode, since they always return true when the Sector is selected or highlighted in the classic modes. The properties are read-only
UDBScript: Sidedef class: added new upperSelected, middleSelected, lowerSelected, upperHighlighted, middleHighlighted, and lowerHighlighted properties. Those are mostly useful in visual mode, since they always return true when the parent Linedef is selected or highlighted in the classic modes. The properties are read-only
UDBScript: added new example to apply textures for floor/ceiling and upper/middle/lower texture for selected map elements
UDBScript: updated documentation


R3874 | ca7b9e8b | biwa | 12/23/2021, 3:48 AM
--------------------------------------------------------------------------------
DeHackEd: fixed a crash with malformed patches. Fixes #673


R3873 | 5d50279a | biwa | 12/17/2021, 8:14 AM
--------------------------------------------------------------------------------
Eternity Engine game configuration: removed the lightfloorabsolute and lightceilingabsolute fields from the sector flags, so that they are handled correctly. Fixes #670


R3872 | 0f51f233 | biwa | 12/17/2021, 7:33 AM
--------------------------------------------------------------------------------
Improved associations between arbitrary UDMF fields (used by the Eternity Engine game configuration)


R3871 | c50d8da0 | biwa | 12/15/2021, 7:50 AM
--------------------------------------------------------------------------------
GZDoom game configuration: added some missing UDMF fields


R3870 | bc2a74d1 | biwa | 12/14/2021, 12:29 PM
--------------------------------------------------------------------------------
Find and Replace Mode: fixed a problem where linedef activation flags could not be found or replaced. Fixes #667


R3869 | c1d0428c | DrinkyBird | 12/14/2021, 11:24 AM
--------------------------------------------------------------------------------
Zandronum 3.1 ACS changes (#668)

* Updated the bundled Zandronum ACC with Zan 3.1 changes

* Add Zandronum 3.1 functions and constants to its ACS configuration

* Updated the Zandronum ACC (again), as it was missing GAMESTATE definitions


R3868 | 54b99ee7 | biwa | 12/14/2021, 9:19 AM
--------------------------------------------------------------------------------
Added missing source file for placeholder tool strip text box


R3867 | a5df3237 | biwa | 12/14/2021, 9:15 AM
--------------------------------------------------------------------------------
Added option to enter additional parameters when testing a map. Resolves #646


R3866 | 9f85f70d | biwa | 12/11/2021, 3:43 AM
--------------------------------------------------------------------------------
When choosing a difficulty or engine in the test toolbar button the engine will not be launched immediately. This can be reverted in the preferences. Resolves #626


R3865 | a75249b3 | biwa | 12/11/2021, 2:27 AM
--------------------------------------------------------------------------------
ACS parser: fixed problem when trying to include files that contain invalid characters. Fixes #664


R3864 | 32acb551 | biwa | 12/10/2021, 11:18 AM
--------------------------------------------------------------------------------
UDBScript: clarified documentation of QueryOptions when using enums


R3863 | 6cad9218 | biwa | 12/10/2021, 9:18 AM
--------------------------------------------------------------------------------
Script editor: Reverted to an old version of ScriptEditorPanel


R3862 | a69141c3 | biwa | 12/10/2021, 9:13 AM
--------------------------------------------------------------------------------
Script editor: made the fix for #663 a bit cleaner


R3861 | 0945875b | biwa | 12/10/2021, 8:58 AM
--------------------------------------------------------------------------------
Script editor: fixed a crash when opening the script editor. Fixes #663


R3860 | 3226e0d5 | biwa | 12/10/2021, 3:55 AM
--------------------------------------------------------------------------------
UDBScript: fixed a problem where a version warning was shown then the script version was not equal to the UDBScript version (instead of only showing the warning when the script version was higher)


R3859 | ebd7d0c0 | biwa | 12/10/2021, 2:54 AM
--------------------------------------------------------------------------------
UDBScript: the methods of the Pen class now return the instance of the Pen class to allow method chaining. Resolves #662


R3858 | d68f41a2 | biwa | 12/10/2021, 2:10 AM
--------------------------------------------------------------------------------
IPK3 and IPK7 with an IWADINFO lump with a single IWAD definition are now recognized as the main resource file (used for the -iwad parameter when testing). Fixes #653


R3857 | beacc21d | biwa | 12/8/2021, 4:18 PM
--------------------------------------------------------------------------------
Hexen Game Configuration: fixed a problem where the default arguments of the Death Wyvern had special names, even though they actually don't do anything in game. Also renamed the thing from "Dragon Lich" to the correct "Death Wyvern". Fixes #660


R3856 | ee307fcd | biwa | 12/8/2021, 3:57 PM
--------------------------------------------------------------------------------
UDBScript: fixed a problem where using QueryOption resulted in an exception being thrown. Fixes #661


R3855 | 8157c0a6 | biwa | 11/28/2021, 3:35 PM
--------------------------------------------------------------------------------
ZScript: user variables of parent actors were not displayed in the custom tab of the thing editing dialog. Fixes #649


R3854 | 686cebd6 | biwa | 11/28/2021, 9:20 AM
--------------------------------------------------------------------------------
DeHackEd: fixed a problem where only the last DEHACKED lump was parsed. Fixes #657


R3853 | a9284f0c | biwa | 11/28/2021, 9:02 AM
--------------------------------------------------------------------------------
Fixed a problem where DeHackEd lumps failed to parse when their header wasn't at the beginning of the file. Fixes #647


R3852 | 6f0330d6 | biwa | 11/28/2021, 6:52 AM
--------------------------------------------------------------------------------
Drag Geometry Mode: floor and ceiling panning are now correctly preserved when dragging geometry. Fixes 648


R3851 | 86cc9ca9 | biwa | 11/28/2021, 6:01 AM
--------------------------------------------------------------------------------
UDBScript: expanded/collapsed status of the directory structure is now saved correctly


R3850 | 843058c7 | biwa | 11/28/2021, 5:50 AM
--------------------------------------------------------------------------------
UDBScript: directories are now expanded by default


R3849 | 5eb438e3 | biwa | 11/28/2021, 5:00 AM
--------------------------------------------------------------------------------
Add map scripting capabilities to UDB (#656)

Added map scripting capabilities to UDB (#656). Documentation at https://biwa.github.io/udbscript-docs/


R3848 | b8892f7e | biwa | 10/26/2021, 2:50 PM
--------------------------------------------------------------------------------
ZScript parser: fixed a bug where trying to parse the undocumented alternative array declaration syntax failed. Fixes #645


R3847 | bd887c1f | biwa | 10/24/2021, 3:32 PM
--------------------------------------------------------------------------------
Fixed an issue where thing positions were modified even when the new position was the same as the old one. Fixes #644


R3846 | 36287a2c | biwa | 10/24/2021, 12:45 PM
--------------------------------------------------------------------------------
GZDoom game configuration: added missing UDMF linedef flag "blocklandmonsters". Resolves #643


R3845 | 7448e0fb | biwa | 10/24/2021, 11:28 AM
--------------------------------------------------------------------------------
Fixed a crash when undoing/redoing while in Things Mode


R3844 | a0971e0e | biwa | 10/24/2021, 10:22 AM
--------------------------------------------------------------------------------
Added option to reselect changed map elements after undo/redo


R3843 | 161e5ed5 | biwa | 10/23/2021, 11:02 AM
--------------------------------------------------------------------------------
ZScript parser: fixed a bug where included files where parsed when the #include directive was encountered, and not after the rest of the file was parsed. Fixes #641


R3842 | ca264c71 | biwa | 10/21/2021, 11:25 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a bug where textures on 3D floors were not scaled correctly when using the upper/lower texture 3D floor flags. Fixes #640


R3841 | c2e7ac9b | biwa | 10/15/2021, 2:38 PM
--------------------------------------------------------------------------------
Script editor: added support for the //$Skip editor in scripts. Adding this line will not add the next script to the drop down list of available scripts for the ACS actions in the thing and linedef editor dialogs. Resolves #636


R3840 | cbe231c8 | biwa | 10/14/2021, 12:43 PM
--------------------------------------------------------------------------------
Image Exporter: added option to chose between taking sector colors into account or not when exporting. Resolves #635


R3839 | c2a6e577 | biwa | 10/14/2021, 12:09 PM
--------------------------------------------------------------------------------
Image Exporter: fixed a bug where texture scales were not taken into account when exporting. Fixes #634


R3838 | dee9a2a1 | biwa | 10/13/2021, 1:51 PM
--------------------------------------------------------------------------------
Map Analysis Mode: checked status of checks is now remembered between sessions. Resolves #629


R3837 | 8f70ab66 | biwa | 10/11/2021, 12:34 PM
--------------------------------------------------------------------------------
ZScript: fixed a problem where whitespace between a state label and the colon resulted in a parsing error. Fixes #631


R3836 | d2d40016 | biwa | 10/3/2021, 12:27 PM
--------------------------------------------------------------------------------
(G)ZDoom game configuration: added several missing UDMF fields for linedefs and sectors, so that they show up in the custom tab. Fixes #628


R3835 | 80e56310 | biwa | 10/3/2021, 12:04 PM
--------------------------------------------------------------------------------
UDMF reader/writer: fixed a bug where unknown top level fields and blocks were not preserved. Fixes #627


R3834 | d8bd7165 | biwa | 10/1/2021, 2:38 PM
--------------------------------------------------------------------------------
Visplane Explorer: fixed a bug where changing the settings after re-entering the mode would result in a crash. Fixes #624


R3833 | ff96a669 | biwa | 9/28/2021, 8:36 AM
--------------------------------------------------------------------------------
Fixed a problem where floating point numbers for actor radius and height were not interpreted correctly. Fixes #623


R3832 | ef18385e | biwa | 9/28/2021, 7:02 AM
--------------------------------------------------------------------------------
Fixed a problem in the UDMF parser that could cause data loss. Fixes #622


R3831 | b0cfc8ef | biwa | 9/27/2021, 7:33 AM
--------------------------------------------------------------------------------
Added an option to run commands before and after resources are reloaded, and before testing a map. This option can be accessed from the map options dialog.


R3830 | a53198f4 | biwa | 9/19/2021, 1:45 PM
--------------------------------------------------------------------------------
Find And Replace Mode: fixed a bug where searching for UDMF fields in a selection would crash


R3829 | 00399450 | biwa | 9/13/2021, 12:19 PM
--------------------------------------------------------------------------------
Eternity Engine game configuration: it's again possible to set the floor and ceiling brightness independently from the sector brightness


R3828 | 05939279 | biwa | 9/11/2021, 1:47 PM
--------------------------------------------------------------------------------
Dehacked: fixed a crash when loading data from a directory that didn't contain a Dehacked patch


R3827 | fca82f5c | biwa | 9/11/2021, 1:11 PM
--------------------------------------------------------------------------------
Dehacked: added support for editor keys
Dehacked: Dehacked files are now properly loaded from directories


R3826 | 4b1e5d8e | Derek MacDonald | 9/11/2021, 3:30 AM
--------------------------------------------------------------------------------
Avoid infinite recursion in script editor's Find/Replace All (#615)


R3825 | 0b70b08b | biwa | 9/6/2021, 2:43 PM
--------------------------------------------------------------------------------
Fixed some compiler warnings


R3824 | 21471a45 | biwa | 9/6/2021, 2:27 PM
--------------------------------------------------------------------------------
Dehacked: fixed warning about unsupported patch version 19


R3823 | da52f711 | biwa | 9/6/2021, 2:05 PM
--------------------------------------------------------------------------------
Game configurations: added option to enable/disable GZDoom style distinct brightness for walls/ceilings/floors. Fixes #618


R3822 | d766f27e | biwa | 9/5/2021, 7:42 AM
--------------------------------------------------------------------------------
Fixed a bug with generalized options introduced in ea37ed1


R3821 | e362df1d | biwa | 9/5/2021, 5:59 AM
--------------------------------------------------------------------------------
Added DeHackEd support (#617)


R3820 | 5a19e70c | biwa | 9/5/2021, 2:06 AM
--------------------------------------------------------------------------------
Visual Mode: added some safeguards against potential crashes that should never happen. Potentially fixes #614


R3819 | fa36bf48 | biwa | 9/4/2021, 3:37 AM
--------------------------------------------------------------------------------
3D Floor Mode: improved usability in Window's high contrast mode


R3818 | dd7d109e | biwa | 9/4/2021, 3:21 AM
--------------------------------------------------------------------------------
Sectors Mode, Linedefs Mode, 3D Floor Mode, Grid Setup: fixed a problem where textures were not shown in Windows's high contrast mode. Fixes #612


R3817 | ea37ed18 | biwa | 9/4/2021, 12:12 AM
--------------------------------------------------------------------------------
Fixed a problem where generalized effects could output a warning if they are made up of multiple bits (like in the MBF21 generalized sector effects)


R3816 | 2abd39fa | biwa | 9/3/2021, 11:58 PM
--------------------------------------------------------------------------------
Texture Browser: fixed a problem where cycling through the width and height jumped to 196 instead of 192. Fixes #613


R3815 | e281cfc9 | biwa | 9/3/2021, 11:00 AM
--------------------------------------------------------------------------------
3D Floor Mode: fixed some problems when relocating control sectors that contain things


R3814 | d05ab0bb | biwa | 9/3/2021, 10:11 AM
--------------------------------------------------------------------------------
3D Floor Mode: relocating control sectors now also moves the things inside the control sectors


R3813 | d7a4e2bf | Derek MacDonald | 9/3/2021, 9:31 AM
--------------------------------------------------------------------------------
Missing/Unused Textures checks cover floor to lowest, next higher & highest (#608)


R3812 | 97439168 | biwa | 8/26/2021, 1:30 PM
--------------------------------------------------------------------------------
Eternity Engine game configuration: fixed a problem where the Friendly and Dormant flags were not correctly pasted in Doom format.


R3811 | 9c8a6e9e | biwa | 8/26/2021, 11:28 AM
--------------------------------------------------------------------------------
Eternity Engine game configuration: fixed a problem where the 3DMidTex flag was not correctly pasted in Doom format. Fixes #606


R3810 | e75dc2c7 | Derek MacDonald | 8/25/2021, 11:31 AM
--------------------------------------------------------------------------------
Draws vector arrow between Doom format line-to-line specials (#602)


R3809 | edfd1fca | Derek MacDonald | 8/25/2021, 10:28 AM
--------------------------------------------------------------------------------
Cursor position playtest: stop always marking map changed (#605)


R3808 | f652678f | Derek MacDonald | 8/25/2021, 10:25 AM
--------------------------------------------------------------------------------
Cursor position playtest: Fix spawning sector height check (#604)


R3807 | 0fb187fc | biwa | 8/24/2021, 1:21 PM
--------------------------------------------------------------------------------
Stair Sector Builder Mode: current settings can be now be saved as a default prefab that will always be loaded when using the Stair Sector Builder Mode


R3806 | c0479985 | biwa | 8/24/2021, 12:33 PM
--------------------------------------------------------------------------------
Classic modes: fixed a problem where "test from cursor position" wasn't working correctly when there was no player 1 start in the map and the last edited thing had its argument 0 set. Fixes #603


R3805 | b77bb9fe | biwa | 8/24/2021, 11:25 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where highlighted visual slope handles were not highlighted anymore after clearing the selection


R3804 | 19f1cf64 | biwa | 8/23/2021, 1:32 PM
--------------------------------------------------------------------------------
3D Floor Mode: fixed a problem where 3D floor indicators on linedefs were still shown after removing all 3D floors from a sector


R3803 | 45dc796d | biwa | 8/21/2021, 11:42 AM
--------------------------------------------------------------------------------
ZScript: added support for extending classes. Resolves #597


R3802 | be84f19d | Derek MacDonald | 8/21/2021, 12:28 AM
--------------------------------------------------------------------------------
Add player view height dropdown to Visplane Explorer plugin UI (#600)


R3801 | 1db8885c | Derek MacDonald | 8/18/2021, 7:20 AM
--------------------------------------------------------------------------------
Update GZBuilder.cfg references in docs to UDBuilder.cfg (#599)


R3800 | 73b7eac3 | Derek MacDonald | 8/14/2021, 2:40 AM
--------------------------------------------------------------------------------
Improve game detection in "Open Map" modal dialog (#595)


R3799 | 166e3281 | Derek MacDonald | 8/14/2021, 2:33 AM
--------------------------------------------------------------------------------
Don't auto-add upper texture for lower adjacent sky sectors (#594)


R3798 | 6622c6f5 | Derek MacDonald | 8/12/2021, 3:54 AM
--------------------------------------------------------------------------------
Skip validating unchecked game config resources (#593)


R3797 | ce429358 | biwa | 8/9/2021, 7:41 AM
--------------------------------------------------------------------------------
Eternity Engine game configurations: added support for arbitrary map names in the default testing parameters


R3796 | e3d9cb89 | biwa | 8/3/2021, 11:14 AM
--------------------------------------------------------------------------------
Boom game configuration: fixed a problem where linedef actions 264 and 265 were not labeled correctly


R3795 | 82a41822 | biwa | 8/1/2021, 8:42 AM
--------------------------------------------------------------------------------
The deprecated Slope Mode can not be selected as the default mode when opening a map anymore


R3794 | 3ade5230 | biwa | 8/1/2021, 2:10 AM
--------------------------------------------------------------------------------
Added safeguard so that the program doesn't crash when encountering an unknown header while unpacking zip files. It will add an error to the log instead


R3793 | 80a3237c | biwa | 7/31/2021, 2:51 PM
--------------------------------------------------------------------------------
Effect browser form: fixed a bug where effects consisting of multiple bits were not selected correctly. Fixes #589


R3792 | 9944748c | biwa | 7/16/2021, 8:56 AM
--------------------------------------------------------------------------------
Fixed a bug that could cause a crash when going over the maximum linedef limit


R3791 | e0515c32 | biwa | 7/4/2021, 1:51 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a bug where auto-aligning textures wouldn't work correctly in game configurations without support for local sidedef texture offsets, when short texture names were used, but the texture's source was a full texture name (i.e. from the /textures directory)


R3790 | 62d9da0e | biwa | 6/26/2021, 1:20 PM
--------------------------------------------------------------------------------
Fixed a rare crash when pasting a thing that has a model assigned to another map


R3789 | 70f0c22f | biwa | 6/24/2021, 11:14 AM
--------------------------------------------------------------------------------
Vanilla Hexen game configuration: sector brightness now uses 16 unit steps instead of 8 unit steps


R3788 | 98321b6f | biwa | 6/24/2021, 10:58 AM
--------------------------------------------------------------------------------
Image exporter: sector colors are now taken into account


R3787 | a86a596e | biwa | 6/24/2021, 9:07 AM
--------------------------------------------------------------------------------
OBJ model loader: fixed sanity checks for faces that reference non-existing vertices, texture coordinates, or normals


R3786 | 2407b2d1 | biwa | 6/24/2021, 8:45 AM
--------------------------------------------------------------------------------
MODELDEF: Fixed a crash when a FrameIndex tried to reference a model index that wasn't defined. Fixes #578


R3785 | 9055170a | biwa | 6/6/2021, 9:13 AM
--------------------------------------------------------------------------------
DECALDEF parser: fixed a crash when decal numbers were reused


R3784 | 102e251f | biwa | 6/3/2021, 3:02 AM
--------------------------------------------------------------------------------
Improved solution for issue #573 to not destroy the undo history when no player start is present


R3783 | c35a409f | biwa | 6/2/2021, 11:06 AM
--------------------------------------------------------------------------------
Fixed a crash when undoing after using the "test from current position" action when no player 1 start is in the map. Fixes #573


R3782 | a0dfd1fc | biwa | 5/30/2021, 10:01 AM
--------------------------------------------------------------------------------
Stair Sector Builder Mode: fixed a crash when trying to build geometry from linedefs without sidedefs. Fixes #569


R3781 | e0f62082 | biwa | 5/30/2021, 9:27 AM
--------------------------------------------------------------------------------
Linedefs Mode: fixed a problem where flipping a highlighted linedef would also select the linedef. Fixes #571


R3780 | 3e9d86e4 | biwa | 5/29/2021, 10:40 AM
--------------------------------------------------------------------------------
Fixed a crash when textures contain non-existing patches


R3779 | cc85d10e | biwa | 5/29/2021, 3:34 AM
--------------------------------------------------------------------------------
Added game configuration files for MBF21. Thanks to kraflab. Resolves #562


R3778 | e9805238 | biwa | 5/29/2021, 3:04 AM
--------------------------------------------------------------------------------
Map options: removed checkbox for opening resources as read-only. Resources are now always opened as read-only. Fixes #559


R3777 | 793643b2 | biwa | 5/29/2021, 2:43 AM
--------------------------------------------------------------------------------
Open WAD dialog: don't filter for lowercase *.wad exclusively on non-Windows platforms. Resolves #567


R3776 | 839eb843 | biwa | 5/29/2021, 2:21 AM
--------------------------------------------------------------------------------
Game configuration dialog: don't filter for only .exe and .bat when selecting a test program on non-Windows platforms. Resolves #566


R3775 | d3205d45 | biwa | 5/28/2021, 9:56 AM
--------------------------------------------------------------------------------
UDMF: ceiling plane equation fields are not rounded anymore


R3774 | 307c3193 | biwa | 5/27/2021, 10:45 AM
--------------------------------------------------------------------------------
Grid transform actions can now be assigned to special keys


R3773 | 369403c7 | biwa | 5/24/2021, 1:26 PM
--------------------------------------------------------------------------------
Action browser form: fixed a visual glitch with action ids that have more than 3 digits


R3772 | 0817ea2d | biwa | 5/24/2021, 12:37 PM
--------------------------------------------------------------------------------
Generalized options in game configurations can now optionally define a name


R3771 | 9fcb45e1 | ZZYZX | 5/19/2021, 2:59 AM
--------------------------------------------------------------------------------
Fixed: a single selected linedef was deselected after flipping it


R3770 | ea15732e | biwa | 5/16/2021, 1:48 PM
--------------------------------------------------------------------------------
Vertical patch offsets for masked patches are now handled correctly based on the game configuration


R3769 | 5191e982 | biwa | 5/16/2021, 7:47 AM
--------------------------------------------------------------------------------
Negative vertical patch offsets are now handled correctly based on the game configuration. Fixes #561


R3768 | 898fe21f | biwa | 5/13/2021, 12:36 PM
--------------------------------------------------------------------------------
TEXTURES lump: fixed a problem where textures that use textures as patches were too bright when gamma correction was enabled


R3767 | 0d78a48b | biwa | 5/13/2021, 5:44 AM
--------------------------------------------------------------------------------
Fixed a problem where linedefs were not split correctly under certain conditions when drawing or moving lines


R3766 | 926fcd48 | biwa | 5/8/2021, 12:44 AM
--------------------------------------------------------------------------------
Visplane Explorer: added some additional error reporting when loading a map fails


R3765 | 3ae5b1e2 | biwa | 4/27/2021, 11:12 AM
--------------------------------------------------------------------------------
Fixed a problem where sprites with 16 rotations defined in the TEXTURES lump would not be handled correctly (they are still not displayed with 16 rotations, but don't throw an error anymore)


R3764 | 23c4325f | biwa | 4/23/2021, 9:46 AM
--------------------------------------------------------------------------------
Fixed a problem where UDB would try to compile a nonexistent DIALOGUES lump


R3763 | f8e836a5 | biwa | 4/22/2021, 12:10 PM
--------------------------------------------------------------------------------
Don't use thread unsafe collections in threaded code (hopefully fixes crash in Sectors Mode when selecting sectors)


R3762 | d0f45982 | biwa | 4/22/2021, 9:45 AM
--------------------------------------------------------------------------------
3D Floor Mode: fixed a typo in an error message
3D Floor Mode: only 3D floors with the "user_managed_3d_floor" field set to true will be modified in UDMF maps


R3761 | 547aec75 | biwa | 4/22/2021, 7:12 AM
--------------------------------------------------------------------------------
Sectors Mode: potentially fixed some crashes related to determining thing sectors


R3760 | a790f224 | biwa | 4/21/2021, 1:24 PM
--------------------------------------------------------------------------------
Fixed a problem where dragging or drawing geometry sometimes broke sectors. Fixes #556


R3759 | 7d67ec2b | biwa | 4/18/2021, 12:16 PM
--------------------------------------------------------------------------------
Resetting a slope in Sector Edit Form UDMF or with the Reset Slope action will not set the height to the z position at the center of the sector anymore, but to its original height


R3758 | 83adef92 | biwa | 4/17/2021, 11:06 AM
--------------------------------------------------------------------------------
Increased performance on multi-core CPUs when selecting sectors in Sectors Mode when Synchronize Thing Editing is enabled


R3757 | 871d46e5 | biwa | 4/15/2021, 1:06 PM
--------------------------------------------------------------------------------
Added some sanity checks for maximum number of entries in the VERTEXES/SIDEDEFS/LINEDEFS/THINGS lumps for the binary map formats


R3756 | 37ef0ed8 | biwa | 4/10/2021, 10:45 AM
--------------------------------------------------------------------------------
Fixed a problem where saving a map would hang when the nodesbuilder produced too much output on stdout and strerr. Fixes #417. Fixes #498


R3755 | c0647e51 | biwa | 4/10/2021, 9:20 AM
--------------------------------------------------------------------------------
Added fixes for the stuck thing checker for the Eternity Engine configuration (thanks for hawkwind3). Fixes #551


R3754 | 74741b4e | biwa | 4/10/2021, 3:05 AM
--------------------------------------------------------------------------------
Map Analysis Mode: fixed a problem where checking for stuck things works incorrectly in some situations (thanks to hawkwind3). Fixes #469


R3753 | ba497f1c | biwa | 4/10/2021, 2:31 AM
--------------------------------------------------------------------------------
Fixed some problems with determining which sector a thing is in


R3752 | 6b956560 | biwa | 4/9/2021, 10:48 AM
--------------------------------------------------------------------------------
Sector Edit Form UDMF: fixed a bug where resetting a slope when the sectors doesn't have a slope resulted in a nonsensical sector height


R3751 | f1bf6a68 | biwa | 4/8/2021, 10:26 PM
--------------------------------------------------------------------------------
Fixed a crash that happened when a thing isn't inside a sector. Fixes #548


R3750 | da935dd8 | Derek MacDonald | 4/8/2021, 12:41 PM
--------------------------------------------------------------------------------
VPO limit configurable for Visplane Explorer (#546)

https://doomwiki.org/wiki/Static_limits

The VPO limit is raised by Hexen (160) & Strife (200)
so make it configurable in the basegame.

The hover tooltip will reflect the adjusted max
limit and the heatmap is interpolated to 0-255
for the 256x10 visplane_pal.png colour range
gradient.


R3749 | 86123ccf | Derek MacDonald | 4/8/2021, 11:22 AM
--------------------------------------------------------------------------------
"Unknown Texture" checker skips Boom translucency special (#545)

Boom's linedef special 260 allows a 64K
translucency lump to be applied to the
front sidedef's midtex for applying a
custom 1 to 99% translucency value. Stop
reporting this as an unknown texture.


R3748 | bef514fa | Derek MacDonald | 4/6/2021, 12:16 PM
--------------------------------------------------------------------------------
Ignore texture patch negative vertical offset (#544)

https://doomwiki.org/wiki/Vertical_offsets_are_ignored_in_texture_patches

BIGDOOR7 & STEP2 in doom.wad and doom2.wad contain
negative Y-offsets some a patch but instead the
renderer defaults to Y-offset value of 0.

This stops UDB's 3D visual mode from using the
negative value - change it to 0 to match the game
renderer. (G)ZDoom behaves the same as vanilla.


R3747 | f693959d | Derek MacDonald | 4/6/2021, 11:38 AM
--------------------------------------------------------------------------------
Unchanged script editor skips implicit save (#543)

Stop calling ScriptFileDocumentTab.RemoveTrailingWhitespace()
on a text editor that has unchanged text. This causes the
currently-opened map to be marked 'isChanged == true' when
nothing is modified.


R3746 | 6c8a3cb5 | biwa | 4/5/2021, 10:15 AM
--------------------------------------------------------------------------------
Visual Mode: things inside self-referencing sectors are now displayed at the correct height


R3745 | fe71e53e | biwa | 4/2/2021, 3:13 AM
--------------------------------------------------------------------------------
Game configurations are now saved as soon as the configuration dialog is closed
Program preferences are now saved as soon as the configuration dialog is closed
Recent files are now saved as soon as an existing map is loaded


R3744 | 95f5c719 | biwa | 4/1/2021, 2:31 PM
--------------------------------------------------------------------------------
Sector/Linedef/Thing/Vertex Edit Form: the map will not be marked as changed anymore when canceling changes made in the forms, when the map wasn't marked as changed before
Copying map elements doesn't mark the map as changed anymore if the map wasn't marked as changed before copying


R3743 | c748209e | biwa | 4/1/2021, 12:44 PM
--------------------------------------------------------------------------------
Curve Linedefs Mode: fixed a problem where the curve would not flip when being dragged with the mouse


R3742 | 7dd0a0a4 | biwa | 4/1/2021, 12:12 PM
--------------------------------------------------------------------------------
OBJ Exporter: unchecking the "Generate ZScript/DECORATE" and/or "Generate MODELDEF" checkboxes will now really not generate the respective files


R3741 | e8c3a41a | DoomKrawa | 4/1/2021, 11:33 AM
--------------------------------------------------------------------------------
Update ZDaemon_ACS.cfg (#542)

Updated ZDaemon ACS configuration (thanks to DoomKrawa)


R3740 | 4e579a53 | DoomKrawa | 4/1/2021, 11:32 AM
--------------------------------------------------------------------------------
Update zdaemon.acs (#541)

Several new ZDaemon ACS function added (thanks to DoomKrawa).


R3739 | 0bd049b2 | biwa | 3/22/2021, 2:01 PM
--------------------------------------------------------------------------------
Sectors Mode: fixed a crash when joining sectors. Fixes #539


R3738 | ccfafec7 | biwa | 3/22/2021, 10:14 AM
--------------------------------------------------------------------------------
OBJ Exporter: fixed problem where parts of the dialog would be erroneously enabled or disabled


R3737 | a771de18 | biwa | 3/22/2021, 9:54 AM
--------------------------------------------------------------------------------
OBJ Exporter: once again trying to fix normals


R3736 | 72ff5ecf | biwa | 3/22/2021, 8:16 AM
--------------------------------------------------------------------------------
OBJ Exporter: fixed a problem where concave sectors with exactly four corners were not exported correctly. Fixes #249


R3735 | 6de1d100 | biwa | 3/22/2021, 4:11 AM
--------------------------------------------------------------------------------
Script Editor: fixed a problem where folded blocks were unfolded unexpectedly when the script was saved. Fixes #392


R3734 | 6917ded5 | biwa | 3/22/2021, 2:56 AM
--------------------------------------------------------------------------------
Linedef Editing Form (UDMF): fixed a problem where activation checkboxes were shown red for actions that don't require activation


R3733 | 85b8b415 | biwa | 3/22/2021, 2:41 AM
--------------------------------------------------------------------------------
Map Analysis Mode: checking for missing activation flags (UDMF) now finds linedef that are missing an actual activation flag, not only lines without any flags in that group. Fixes #288
Linedef Editing Form (UDMF): now only missing required activation flags are marked red


R3732 | 6c003f1c | biwa | 3/21/2021, 2:58 PM
--------------------------------------------------------------------------------
Added support for only enabling editing modes when the current game configuration supports the features. Currently only applies to 3D Floor Mode, Slope Mode, and Draw Slope Mode. Fixes #463


R3731 | 58c476f4 | biwa | 3/21/2021, 1:19 PM
--------------------------------------------------------------------------------
Slope Mode, Draw Slopes Mode: both modes are now deprecated as they are superseded by visual sloping. The modes will be removed in the future. Entering the modes will add a warning to the Errors And Warnings dialog


R3730 | 72085284 | biwa | 3/21/2021, 11:42 AM
--------------------------------------------------------------------------------
3D Floor Mode: added option to use Synchronized Things Editing when (de)selecting sectors. Resolves #443


R3729 | 2ef76c39 | biwa | 3/21/2021, 9:38 AM
--------------------------------------------------------------------------------
Sector Edit Form (UDMF): fixed a problem where resetting slopes did not work correctly


R3728 | 8e95b074 | biwa | 3/17/2021, 12:04 PM
--------------------------------------------------------------------------------
Visual Mode: fixed inaccuracies of when upper/lower textures are shown when sky rendering is enabled


R3727 | a99d5c23 | biwa | 3/16/2021, 1:44 PM
--------------------------------------------------------------------------------
Fixed a bug where pasting texture offsets in UDMF configurations without support for local sidedef texture offset (like the Eternity UDMF configuration) didn't work. Fixes #538


R3726 | 2abcbfff | biwa | 3/14/2021, 8:40 AM
--------------------------------------------------------------------------------
Fixed a bug where trying to align the grid to a linedef or setting the grid origin to a vertex would crash when no map was opened. Fixes #536


R3725 | feef3044 | James R | 3/14/2021, 8:26 AM
--------------------------------------------------------------------------------
Ignore Keys.None event (#537)

Such an event invokes every unbound action.


R3724 | 5addd650 | biwa | 3/14/2021, 7:58 AM
--------------------------------------------------------------------------------
Started to add support for arbitrary UDMF field associations (#401)


R3723 | 608d1e6c | biwa | 3/11/2021, 12:56 PM
--------------------------------------------------------------------------------
Fixed some visual issues with the OBJ export dialog


R3722 | a2b007b9 | biwa | 3/11/2021, 12:54 PM
--------------------------------------------------------------------------------
OBJ model export: added option to disable generating ZScript/DECORATE and/or MODELDEF


R3721 | 122784f7 | biwa | 3/11/2021, 12:06 PM
--------------------------------------------------------------------------------
Removed limitation of 4 models per frame as this limitation is lifted in GZDoom


R3720 | 250b89dc | biwa | 3/7/2021, 5:27 AM
--------------------------------------------------------------------------------
Find And Replace Mode: added options to search for UDMF fields


R3719 | b1583060 | biwa | 3/6/2021, 2:07 PM
--------------------------------------------------------------------------------
CVARINFO: added support for "nosave" scope


R3718 | 0264224e | biwa | 3/6/2021, 1:51 PM
--------------------------------------------------------------------------------
CVARINFO: added support for "cheat" and "latch" flags. Fixes #535


R3717 | 9de8202a | biwa | 3/6/2021, 12:45 PM
--------------------------------------------------------------------------------
Added correct Eternity_misc.cfg


R3716 | ee869629 | biwa | 3/6/2021, 12:42 PM
--------------------------------------------------------------------------------
Eternity Engine configuration: moved portal related sector flags to the portals tab of the sector edit form


R3715 | f0c98538 | biwa | 3/6/2021, 12:28 PM
--------------------------------------------------------------------------------
Added portal options to the sector edit form for the Eternity Engine UDMF configuration


R3714 | 677473fc | biwa | 2/28/2021, 2:30 AM
--------------------------------------------------------------------------------
Small cleanups to the build process


R3713 | 5534a930 | biwa | 2/27/2021, 4:44 PM
--------------------------------------------------------------------------------
Sectors Mode: fixed a crash when merging sectors while a shared linedef between them was shown as an association


R3712 | 46c577b9 | biwa | 2/27/2021, 8:47 AM
--------------------------------------------------------------------------------
Fixed a bug where saving WADs that didn't have their data starting right after the header would corrupt the file. Fixes #531


R3711 | d3a578c6 | biwa | 2/23/2021, 7:26 AM
--------------------------------------------------------------------------------
Map Analysis Mode: fixed a crash when the sidedef of 1-sided lines had upper/lower textures defined. Fixes #533


R3710 | 1e3cf5cc | biwa | 2/20/2021, 7:26 AM
--------------------------------------------------------------------------------
Using the "Reset plane slope" action now sets the floor or ceiling heights to the height of the plane at the sector's bounding box center


R3709 | 7d2e3db9 | biwa | 2/20/2021, 7:17 AM
--------------------------------------------------------------------------------
Fixed a bug where resetting the ceiling slope in the UDMF sector edit form would invert its original height


R3708 | 93cc1564 | biwa | 2/20/2021, 6:04 AM
--------------------------------------------------------------------------------
Error Checker: added config options to ignore unknown textures on sidedefs for certain actions. Resolves #518


R3707 | f8c3768f | biwa | 2/20/2021, 4:26 AM
--------------------------------------------------------------------------------
Added missing "noattack" GZDoom UDMF sector flag. Resolves #530


R3706 | b1685702 | biwa | 2/20/2021, 4:11 AM
--------------------------------------------------------------------------------
Added safeguard to MapSet.NearestLinedefRange if selectionmap is null. Might fix #529.


R3705 | 467f791b | biwa | 2/20/2021, 3:29 AM
--------------------------------------------------------------------------------
Find and Replace Mode: fixed a bug where searching for linedef or thing action and arguments would not show "0" as an argument if it was the last arguments. Fixes 528


R3704 | cbedfb24 | biwa | 2/14/2021, 2:17 PM
--------------------------------------------------------------------------------
DECALDEF parser: fixed a problem where opening curly braces in the same line as a decal definition caused a parsing error


R3703 | 3fbad3c8 | biwa | 2/13/2021, 1:59 PM
--------------------------------------------------------------------------------
More fixes for erroneously being able to select object multiple times when paint selecting


R3702 | 18d56c6e | biwa | 2/13/2021, 6:12 AM
--------------------------------------------------------------------------------
Decorate/Zscript Actors that replace other actors should now display the correct actor name given through the $Title editor key. Fixes #122


R3701 | 3c7811de | biwa | 2/13/2021, 3:03 AM
--------------------------------------------------------------------------------
Added option for special handling of triangular sectors when doing visual sloping. When enabled it'll always select an opposite smart pivot handle. Enabled by default, can be disabled in Tools -&gt; Preferences -&gt; Editing -&gt; Opposite side/vertex is smart pivot handle on triangular sectors


R3700 | b70970eb | biwa | 2/13/2021, 12:57 AM
--------------------------------------------------------------------------------
Some refactoring related to visual sloping


R3699 | 41e1652b | biwa | 2/7/2021, 7:50 AM
--------------------------------------------------------------------------------
Successfully exporting as OBJ doesn't show up as a warning anymore


R3698 | f80159d5 | biwa | 2/7/2021, 7:48 AM
--------------------------------------------------------------------------------
Toggling visual sloping is now only possible in UDMF


R3697 | 0911a3a9 | biwa | 2/7/2021, 7:44 AM
--------------------------------------------------------------------------------
Some more performance improvements related to visual sloping


R3696 | c4c2f4b3 | biwa | 2/6/2021, 6:09 AM
--------------------------------------------------------------------------------
Fixed a visual glitch where grid lines appear to be slightly offset when using a transformed grid


R3695 | 5ed77c5d | biwa | 2/6/2021, 5:51 AM
--------------------------------------------------------------------------------
Improved performance in visual mode related to visual slopes


R3694 | 90e7dd11 | biwa | 1/31/2021, 9:29 AM
--------------------------------------------------------------------------------
Fixed a problem with visual vertex slope indicator angles


R3693 | 2b6c7b44 | biwa | 1/31/2021, 9:11 AM
--------------------------------------------------------------------------------
Fixed a problem where the last line of UDMF maps were not parsed correctly


R3692 | d65fb7bb | biwa | 1/30/2021, 3:12 PM
--------------------------------------------------------------------------------
Fixed a bug where map elements could be selected multiple times when paint selecting in visual mode. Fixes #519. Fixes #520


R3691 | 4f9111d0 | biwa | 1/30/2021, 2:44 PM
--------------------------------------------------------------------------------
Textures with whitespace at the beginning or end are now handled correctly. Fixes #522


R3690 | 4eb223b3 | biwa | 1/30/2021, 2:08 PM
--------------------------------------------------------------------------------
Added support for "abstract" ZScript functions. Fixes #523


R3689 | 5bcb27e5 | biwa | 1/30/2021, 1:45 PM
--------------------------------------------------------------------------------
Added some missing files
Some refactoring regarding visual sloping


R3688 | 5d1492c5 | biwa | 1/30/2021, 1:01 PM
--------------------------------------------------------------------------------
Added visual sloping for vertices (has an extra action to toggle visual vertex slope picking)


R3687 | 478690e0 | biwa | 1/6/2021, 10:37 AM
--------------------------------------------------------------------------------
Fixed a potential crash when changing the ceiling texture to or from sky. Fixes #517


R3686 | 7cec462a | biwa | 1/4/2021, 4:28 AM
--------------------------------------------------------------------------------
Fixed a problem where values specified with the UserDefaultValue editor key in ZScript were not applied for float/double values


R3685 | 46962aac | biwa | 1/1/2021, 1:08 PM
--------------------------------------------------------------------------------
Using visual sloping to create a horizontal slope will now remove the slope and set the appropriate sector height instead
The Edit Sector dialog will not remove horizontal slopes anymore unless necessary


R3684 | 4f5a4eba | biwa | 12/31/2020, 2:43 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where pasting a texture to a 3D floor sometimes didn't show the pasted texture immediately


R3683 | 23dacae9 | biwa | 12/30/2020, 1:13 PM
--------------------------------------------------------------------------------
OBJ exporter: changed tab order to make sense


R3682 | 9090642d | biwa | 12/28/2020, 11:22 AM
--------------------------------------------------------------------------------
Fixed a problem where custom boolean UDMF fields could not set be to false


R3681 | 2945ca24 | ZZYZX | 12/27/2020, 2:47 PM
--------------------------------------------------------------------------------
Fixed: flat slope != no slope


R3680 | eaa5227d | ZZYZX | 12/27/2020, 2:13 PM
--------------------------------------------------------------------------------
Slightly tweaked size of Controls list. Added 'Reset plane slope' action.


R3679 | a3aba9b3 | biwa | 12/24/2020, 12:28 PM
--------------------------------------------------------------------------------
OBJ Exporter: textures to skip are now saved between sessions


R3678 | 40875064 | biwa | 12/24/2020, 11:59 AM
--------------------------------------------------------------------------------
OBJ Exporter: fixed a problem where textures were flipped horizontally


R3677 | 7f1442ce | biwa | 12/24/2020, 6:00 AM
--------------------------------------------------------------------------------
Export selection to image: added progress bar and button to cancel export


R3676 | 676a8c0a | biwa | 12/23/2020, 1:08 PM
--------------------------------------------------------------------------------
OBJ Exporter: added sanity checks to the actor name


R3675 | 1a681948 | biwa | 12/23/2020, 11:58 AM
--------------------------------------------------------------------------------
OBJ Exporter: model can now be centered or has its z position normalized when not exporting for GZDoom


R3674 | d8d03916 | biwa | 12/23/2020, 7:43 AM
--------------------------------------------------------------------------------
Added safeguard against crashes related to config disposing. Fixes 251. Fixes 352. Fixes 514.


R3673 | 7b42ba62 | biwa | 12/23/2020, 2:49 AM
--------------------------------------------------------------------------------
The docker is now expanded by default so that users actually realize that it exists (new installations only)


R3672 | 2fcac8e3 | biwa | 12/23/2020, 2:26 AM
--------------------------------------------------------------------------------
Made it clearer in the README that Linux support is experimental


R3671 | 2c5a433d | biwa | 12/23/2020, 2:10 AM
--------------------------------------------------------------------------------
Export selection to image: fixed a problem where the export failed when sectors had a brightness of more than 255


R3670 | fdef8d47 | Derek MacDonald | 12/21/2020, 2:42 AM
--------------------------------------------------------------------------------
Categorize more Ultimate Doom textures (#513)

CEMPOIS (base)
PLANET1 (base)
SP_DUDE3 (marble)
SP_DUDE6 (marble)

These textures only appears in IWAD
doom.wad and not doom2.wad.


R3669 | a17ecae7 | biwa | 12/16/2020, 9:06 AM
--------------------------------------------------------------------------------
Curve Linedefs Mode: fixed a problem where it was impossible to flip fixed curves when the distance was set to 0. Fixes 487


R3668 | 9f58a545 | biwa | 12/13/2020, 5:03 AM
--------------------------------------------------------------------------------
Fixed a crash that could happen when the blockmap was too small because of off-grid vertices


R3667 | 931bd1e2 | biwa | 12/12/2020, 2:48 AM
--------------------------------------------------------------------------------
Fixed a problem where the DistanceCheck actor property didn't work correctly, resulting in things unexpectedly not being drawn in Visual Mode


R3666 | cd7a156c | biwa | 12/6/2020, 3:10 AM
--------------------------------------------------------------------------------
Sectors Mode: fixed a problem where copying/pasting sector properties could not copy/past Doom 64 style sector/wall/sprite colors, and floor/ceiling glow. Fixes #508.


R3665 | 44e1e270 | biwa | 12/6/2020, 2:02 AM
--------------------------------------------------------------------------------
Added several missing color constants to the ACS configurations. Fixes #506.


R3664 | bb7cf59a | biwa | 11/22/2020, 9:19 AM
--------------------------------------------------------------------------------
Sectors Mode: fixed a problem where things were not selected correctly when synchronized thing edit was enabled


R3663 | c5054c54 | biwa | 11/21/2020, 1:38 PM
--------------------------------------------------------------------------------
Fixed a problem where duplicating 3D floors sometimes changed the slopes of adjacent 3D floors


R3662 | f2f0e1ba | biwa | 11/21/2020, 8:44 AM
--------------------------------------------------------------------------------
Export selection to image: added option to scale the output image to a higher resolution


R3661 | cf61c74e | biwa | 11/21/2020, 6:14 AM
--------------------------------------------------------------------------------
Export selection to image: decreased memory footprint


R3660 | 0f3e979f | biwa | 11/21/2020, 4:12 AM
--------------------------------------------------------------------------------
Color picker dialog: custom colors are now saved


R3659 | 612b5175 | biwa | 11/21/2020, 2:22 AM
--------------------------------------------------------------------------------
Update ACC for (G)ZDoom configurations to version 1.58


R3658 | 5bc788a7 | biwa | 11/19/2020, 1:32 PM
--------------------------------------------------------------------------------
Fixed typo in the sector scroll speed options in the ZDoom_misc.cfg configuration file


R3657 | 82af8bfe | biwa | 11/19/2020, 1:14 PM
--------------------------------------------------------------------------------
Fixed a bug with argument boxes where the value wasn't saved correctly when using the mouse wheel to change the value


R3656 | b0947861 | Derek MacDonald | 11/19/2020, 9:21 AM
--------------------------------------------------------------------------------
Remove unused Zandronum_texturesets.cfg (#504)

Remove unused Zandronum_texturesets.cfg


R3655 | 02426328 | Derek MacDonald | 11/19/2020, 9:18 AM
--------------------------------------------------------------------------------
Categorize Ultimate Doom textures (#503)

The texture browser categories for Doom
are focused on Doom 2. This also categorizes
some entries that only appear in Doom 1.

Unfortunately it looks like the new filters
will only be applied on fresh UDB installs.
Existing installs must click the
"Add Default Sets" button under the "Textures"
tab for their Doom 1 game configs.


R3654 | 3ee12f4c | biwa | 11/15/2020, 3:45 PM
--------------------------------------------------------------------------------
Sectors Mode: tag and effect labels are now only updated when necessary, increasing performance


R3653 | c7b38359 | biwa | 11/15/2020, 4:59 AM
--------------------------------------------------------------------------------
MapSet.NearestLinedefRange using a blockmap now takes into account that the maxrange could be bigger than the blockmap block size


R3652 | 49edfed4 | Magnus Norddahl | 11/14/2020, 6:20 PM
--------------------------------------------------------------------------------
Fix MakeAlphaTestImage performance issue


R3651 | 8b643aef | biwa | 11/6/2020, 11:59 AM
--------------------------------------------------------------------------------
Wavefront OBJ exporter: improved handling of long texture names. Probably fixes #495


R3650 | f040306c | biwa | 11/6/2020, 11:14 AM
--------------------------------------------------------------------------------
Linedefs Mode: fixed a problem where after splitting a linedef the insert vertex preview would not work correctly
Vertices Mode: fixed a problem where after inserting a vertext the insert vertex preview would not work correctly


R3649 | 601d741b | biwa | 11/1/2020, 2:08 PM
--------------------------------------------------------------------------------
Vertices Mode: fixed a potential crash when deleting/dissolving vertices


R3648 | 41e6632b | biwa | 11/1/2020, 12:29 PM
--------------------------------------------------------------------------------
Sectors Mode: fixed an potential crash when joining/merging sectors


R3647 | f4510aba | biwa | 11/1/2020, 9:49 AM
--------------------------------------------------------------------------------
Draw Geometry Modes: removed status messages expressing negative feeling when finishing a drawing and replaces them with positive messages


R3646 | 9c85635f | biwa | 11/1/2020, 9:33 AM
--------------------------------------------------------------------------------
More renaming GZDB Visual Mode to just Visual Mode
The exception dialog now correctly states that it's UDB and not GZDB


R3645 | 15772da8 | biwa | 11/1/2020, 9:21 AM
--------------------------------------------------------------------------------
Texture browser: using the tab key to jump between the currently selected used texture and the position of the texture in the list of all textures works again (this time without toggling the "used textures on top" checkbox). Also added option to vertically center the view on the selected texture (enabled by default)


R3644 | eab7de4f | biwa | 11/1/2020, 2:57 AM
--------------------------------------------------------------------------------
New map dialog: the "open map resources in read-only mode" option is now checked by default. This option is deprecated and will be removed entirely eventually


R3643 | 5820665e | biwa | 11/1/2020, 2:37 AM
--------------------------------------------------------------------------------
Some project file fixes


R3642 | 2dda3d22 | biwa | 11/1/2020, 2:31 AM
--------------------------------------------------------------------------------
Visual Mode: changed name from "GZDB Visual Mode" to simply "Visual Mode". The naming difference was for historical reason that doesn't apply anymore. Also reverted the mode icon to the original one


R3641 | 5a1ceb2a | biwa | 10/31/2020, 3:40 PM
--------------------------------------------------------------------------------
Linedef edit form (UDMF): fixed a problem where the first argument was set to 0 instead left blank when multiple lines with script execution actions were being edited


R3640 | 00d9be52 | biwa | 10/31/2020, 1:13 PM
--------------------------------------------------------------------------------
Things Mode: increased rendering speed


R3639 | 7a5c7e50 | biwa | 10/31/2020, 1:06 PM
--------------------------------------------------------------------------------
Linedefs Mode: increased rendering speed


R3638 | 4a0e1d7c | biwa | 10/31/2020, 12:45 PM
--------------------------------------------------------------------------------
Sectors Mode: significantly increased rendering speed


R3637 | 0cca1bfb | biwa | 10/31/2020, 8:16 AM
--------------------------------------------------------------------------------
Hexen configuration: added proper heights to many things (thanks to Alper002). Fixes #494


R3636 | 4991c323 | biwa | 10/31/2020, 8:09 AM
--------------------------------------------------------------------------------
Linedefs Mode, Sectors Mode, Vertices Mode, Sound Environment Mode, Sound Propagation Mode: slightly improved performance when moving the mouse


R3635 | d831d222 | biwa | 10/29/2020, 12:21 PM
--------------------------------------------------------------------------------
Visual Mode: fixed a problem where wide classic skies were not rendered with the correct orientation


R3634 | bb5780cf | biwa | 10/24/2020, 4:52 PM
--------------------------------------------------------------------------------
Thing/Linedef/Sector editing dialog: fixed a crash when pressing the up key in the action input box when the last action is selected. Fixes #493.


R3633 | 8330c70a | biwa | 10/24/2020, 2:27 PM
--------------------------------------------------------------------------------
Configuration file parser: floating point numbers without the "f" suffix are now parsed as double precision floating point numbers


R3632 | 0fc2296c | biwa | 10/24/2020, 12:23 PM
--------------------------------------------------------------------------------
ACS parser: fixed a bug that prevented scripts from being recognized when the previous line ended with an empty line comment


R3631 | ee6aad41 | biwa | 10/23/2020, 2:30 PM
--------------------------------------------------------------------------------
Texture browser: filtering for a texture name now automatically selects the best matching texture name. Addresses #483.


R3630 | 09e40d2b | biwa | 10/23/2020, 12:04 PM
--------------------------------------------------------------------------------
DECALDEF parser: fixed a crash when there are duplicate decal group entries in the DECALDEF files


R3629 | d92ab468 | biwa | 10/23/2020, 11:56 AM
--------------------------------------------------------------------------------
Visual Mode: fixed a bug where selected 3D floor tops/bottoms would appear to be selected after undo, but actually weren't selected anymore


R3628 | f91bf312 | biwa | 10/23/2020, 11:31 AM
--------------------------------------------------------------------------------
3D Floor Mode: fixed typo in the 3D floor editing window


R3627 | eec2c40d | biwa | 10/22/2020, 12:11 PM
--------------------------------------------------------------------------------
Visual Mode: fixed a bug where the line slope things (9500 and 9501) would slope the same sector multiple times when multiple lines of the same sector were tagged to the thing. Fixes #491.


R3626 | 9c10069d | biwa | 10/19/2020, 12:42 PM
--------------------------------------------------------------------------------
Visual Mode: improved support for GZDoom UDMF rendering styles. Partially addresses #485


R3625 | 2217e6f6 | biwa | 10/19/2020, 8:32 AM
--------------------------------------------------------------------------------
Visual Sloping: fixed a problem where slopes were not computed correctly in certain cases


R3624 | 7b76002f | biwa | 10/18/2020, 2:35 AM
--------------------------------------------------------------------------------
Update README with more detailed instructions for building on Linux


R3623 | 79a507a8 | biwa | 10/17/2020, 2:11 PM
--------------------------------------------------------------------------------
DECALDEF parser: fixed a crash when there are duplicate entries in the DECALDEF files


R3622 | 0a1e40f1 | biwa | 10/17/2020, 3:42 AM
--------------------------------------------------------------------------------
Export selection as image: potentially decreased memory usage when also exporting brightmaps


R3621 | 14e4162d | biwa | 10/17/2020, 2:09 AM
--------------------------------------------------------------------------------
Copy/Past thing properties: fixed a crash when pasting properties from a thing that has no model assigned to a thing that has a model applied


R3620 | a7791754 | biwa | 10/16/2020, 5:45 AM
--------------------------------------------------------------------------------
Draw Grid Mode: fixed a crash when locking sliced while using a rotated grid


R3619 | 722c79d8 | biwa | 10/11/2020, 1:36 PM
--------------------------------------------------------------------------------
Added preliminary DECALDEFS support. Parsing works, indexed decals and decal groups can be selected as the first argument of the Decal thing. Decals are not displayed in Visual Mode, decals without an index are not supported


R3618 | 3af704b7 | biwa | 10/11/2020, 4:18 AM
--------------------------------------------------------------------------------
Fixed a bug where PNG sprites without an offset incorrectly had their offset centered instead of using (0, 0)


R3617 | 0486845a | Magnus Norddahl | 10/10/2020, 8:50 PM
--------------------------------------------------------------------------------
Add a search input control


R3616 | 50c00991 | biwa | 10/10/2020, 4:07 PM
--------------------------------------------------------------------------------
Fixed typo.


R3615 | c0984c8b | biwa | 10/10/2020, 3:31 PM
--------------------------------------------------------------------------------
When loading UDMF maps and fields that have NaN (not a number) as a value are encountered those fields will now be dropped permanently. A warning that this happens will be displayed in the Errors and Warnings dialog.


R3614 | 6659a8cc | Magnus Norddahl | 10/10/2020, 3:08 PM
--------------------------------------------------------------------------------
Add index.html for viewing the documentation


R3613 | 160db8da | biwa | 10/9/2020, 9:53 AM
--------------------------------------------------------------------------------
Editing modes: fixed some crashes related to undoing/redoing while objects with associations were highlighted


R3612 | 70bfc204 | biwa | 10/4/2020, 1:28 AM
--------------------------------------------------------------------------------
Hexen game configuration: corrected an error where things 78 ("Tall Tree 1") and 79 ("Tall Tree 2") had their sprites interchanged


R3611 | a2c87358 | biwa | 10/4/2020, 1:21 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R3610 | 22f7e998 | biwa | 10/4/2020, 1:21 AM
--------------------------------------------------------------------------------
Fixed a crash when switching into Sectors Mode when there are no vertices in the map, but things


R3609 | a66d4e72 | Magnus Norddahl | 10/3/2020, 2:34 PM
--------------------------------------------------------------------------------
Oops, forgot one flipped #if while testing


R3608 | a608ad71 | Magnus Norddahl | 10/3/2020, 2:33 PM
--------------------------------------------------------------------------------
For mono, put clipboard data in text/base64 form instead of relying on a memory stream


R3607 | 63b3766a | biwa | 10/2/2020, 10:46 AM
--------------------------------------------------------------------------------
Draw Geometry Modes: fixed an issue where drawing started lagging when holding Alt+Shift


R3606 | 275b841e | Magnus Norddahl | 10/1/2020, 4:37 PM
--------------------------------------------------------------------------------
Merge branch 'texteditor'


R3605 | 160882a9 | Magnus Norddahl | 10/1/2020, 4:35 PM
--------------------------------------------------------------------------------
Fix null pointer that builds in Windows apparently didn't care about


R3604 | 61788e2b | Magnus Norddahl | 10/1/2020, 4:09 PM
--------------------------------------------------------------------------------
TabControlEX doesn't work with mono (why am I not surprised? xamarin, I want my money back!!)


R3603 | a0912254 | Magnus Norddahl | 10/1/2020, 3:46 PM
--------------------------------------------------------------------------------
Update project file


R3602 | 3cdfc99f | Magnus Norddahl | 10/1/2020, 3:41 PM
--------------------------------------------------------------------------------
Remove NoScintilla.cs as it is no longer needed


R3601 | f3dea17d | Magnus Norddahl | 10/1/2020, 3:37 PM
--------------------------------------------------------------------------------
Case sensitivity for the loss!


R3600 | b330e615 | Magnus Norddahl | 10/1/2020, 3:20 PM
--------------------------------------------------------------------------------
Create a minimal text editor implementation for mono where scintilla isn't available


R3599 | e390bce8 | Magnus Norddahl | 9/29/2020, 6:34 PM
--------------------------------------------------------------------------------
Find the exact Scintilla.NET API used by UDB and create a stub implementation so that it builds without


R3598 | d9195708 | Magnus Norddahl | 9/29/2020, 2:41 PM
--------------------------------------------------------------------------------
Workaround mono winforms clipboard bug


R3597 | e79a1580 | biwa | 9/28/2020, 7:18 AM
--------------------------------------------------------------------------------
Visual Mode: changed "Apply Camera Rotation To Things" action to apply more sensible rotation values to things


R3596 | 8e043aa8 | biwa | 9/27/2020, 6:05 AM
--------------------------------------------------------------------------------
Added support for loading PK3s in read-only mode (#477)


R3595 | d12f5fdb | biwa | 9/27/2020, 5:46 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R3594 | e6a7751c | biwa | 9/27/2020, 5:46 AM
--------------------------------------------------------------------------------
Visual Mode: added "Apply Camera Rotation To Things" action that applies the Visual Mode's current camera pitch and yaw to the selected things. No default key bound


R3593 | 61a2a300 | Magnus Norddahl | 9/26/2020, 5:32 PM
--------------------------------------------------------------------------------
Merge pull request #475 from Talon1024/feature/makeDebug

Allow build type to be set in the environment


R3592 | 8064bc63 | biwa | 9/26/2020, 9:15 AM
--------------------------------------------------------------------------------
Added option in Preferences -&gt; Appearance -&gt; Rendering to toggle showing of the FPS counter in Visual Mode (disabled by default)


R3591 | 63eb538b | biwa | 9/26/2020, 8:52 AM
--------------------------------------------------------------------------------
Color Picker: buttons with some sensible default values are now used instead of sliders where appropriate. Some miscellaneous fixes. Fixes #436.


R3590 | d1455df3 | biwa | 9/26/2020, 5:02 AM
--------------------------------------------------------------------------------
3D Floor Mode: duplicating geometry now copies all properties of the source control sector to the new control sector


R3589 | 077aa065 | biwa | 9/26/2020, 4:47 AM
--------------------------------------------------------------------------------
3D Floor Mode: duplicating geometry now copies all properties of the source control sector's linedef to the new control sector's linedef


R3588 | 88dae893 | Kevin Caccamo | 9/25/2020, 11:46 AM
--------------------------------------------------------------------------------
Allow build type to be set in the environment

This allows for release or debug configurations, for those who prefer typing "make" into the terminal.


R3587 | 6e885fbc | Magnus Norddahl | 9/24/2020, 11:10 PM
--------------------------------------------------------------------------------
Merge pull request #471 from Talon1024/fix/monoForms

Fixes for Linux/Mono WinForms


R3586 | 0b4b7819 | Kevin Caccamo | 9/24/2020, 5:52 PM
--------------------------------------------------------------------------------
Check whether geobuffers is null before indexing it

This is an attempt to fix #474


R3585 | 9659ab1d | Kevin Caccamo | 9/22/2020, 3:18 PM
--------------------------------------------------------------------------------
Add MouseWheel event handler

I assume this is the advantage/feature NumericUpDownEx has over NumericUpDown


R3584 | f90f9e36 | Kevin Caccamo | 9/22/2020, 2:46 PM
--------------------------------------------------------------------------------
Use NumericUpDown instead of NumericUpDownEx on Mono WinForms


R3583 | 4a559ba1 | Magnus Norddahl | 9/20/2020, 3:00 AM
--------------------------------------------------------------------------------
Update README.md

Fix debian package name.


R3582 | 94a2f042 | Magnus Norddahl | 9/20/2020, 2:58 AM
--------------------------------------------------------------------------------
Update README.md


R3581 | 1ef6391b | Magnus Norddahl | 9/20/2020, 2:41 AM
--------------------------------------------------------------------------------
Added builder script with execute bit set so the .exe doesn't confuse Linux users


R3580 | c98ed657 | Magnus Norddahl | 9/20/2020, 2:07 AM
--------------------------------------------------------------------------------
Throw away 6 mb of memory at 1920x1080 to support AMD cards with awful drivers


R3579 | cd8d73d4 | biwa | 9/19/2020, 11:34 AM
--------------------------------------------------------------------------------
Fixed problem when #include'ing files from a directory structure and using different directory path separators than the current OS's ones. Fixes #470.


R3578 | 2998fc51 | Magnus Norddahl | 9/19/2020, 8:43 AM
--------------------------------------------------------------------------------
Rewrite the OpenGL context creation to use exactly the same steps as GZDoom uses:

- dummy window destroyed immediately after getting the OpenGL 3 function pointers (debatable if that's even legal)
- calling the OpenGL 3 creation functions without an active opengl context (debatable if that's even legal)
- use wglChoosePixelFormatEXT even if it should be completely pointless


R3577 | e3208f98 | Magnus Norddahl | 9/19/2020, 6:49 AM
--------------------------------------------------------------------------------
Add version info to the log file


R3576 | df6ecb66 | Magnus Norddahl | 9/19/2020, 6:08 AM
--------------------------------------------------------------------------------
Add debug log file to gitignore


R3575 | 77fd7da6 | Magnus Norddahl | 9/19/2020, 6:01 AM
--------------------------------------------------------------------------------
Don't create a depth/stencil buffer for the default frame buffer


R3574 | dbafb36a | Magnus Norddahl | 9/19/2020, 6:00 AM
--------------------------------------------------------------------------------
Add command line for launching builder from the BuilderNative project (this makes it easier to setup breakpoints in the native code)


R3573 | 3626d5d6 | biwa | 9/18/2020, 11:59 PM
--------------------------------------------------------------------------------
Reverted changes from be1fab9f65eefd7a3c79d52d3549e7246af88577 because it severely broke the additional mode buttons in the main menu.


R3572 | 9f0c5844 | biwa | 9/17/2020, 12:42 PM
--------------------------------------------------------------------------------
Heretic game configuration: actions 28 and 33 now correctly state that they are for green keys instead of non-existing red keys. Fixes #468.


R3571 | be1fab9f | Magnus Norddahl | 9/14/2020, 3:46 PM
--------------------------------------------------------------------------------
Fix layout issue with the menu in mono winforms


R3570 | 353c714e | Magnus Norddahl | 9/14/2020, 3:41 PM
--------------------------------------------------------------------------------
A few more hacks for the wonderful mono implementation of winforms


R3569 | 90831bd6 | Magnus Norddahl | 9/13/2020, 2:43 PM
--------------------------------------------------------------------------------
Fix cursor visible on Linux when in 3D mode


R3568 | b740cadc | Magnus Norddahl | 9/13/2020, 2:01 PM
--------------------------------------------------------------------------------
Fix menubar getting the focus all the time on Linux


R3567 | fdfeba17 | Kevin Caccamo | 9/13/2020, 9:40 AM
--------------------------------------------------------------------------------
Fix some input issues on non-Windows systems (PR#467 by Talon1024)

* Fix some input issues on non-Windows systems

Disable the main menu bar when the 3D view is active.
Disable mouse input processing and "exclusive mouse input" until each editing dialog closes.

* Enable front/backgroup in LinedefEditForm{,UDMF} in the Setup method

The Setup method is called to specify which linedefs are being edited by the LinedefEditForm, and set up the dialog appropriately, so the front/backgroup should be enabled in the Setup method, at the same time the front/backside check boxes are checked or unchecked.


R3566 | 3218218d | biwa | 9/13/2020, 1:45 AM
--------------------------------------------------------------------------------
Fixed a crash when trying to load files that do not exist


R3565 | 92c651be | biwa | 9/12/2020, 8:12 AM
--------------------------------------------------------------------------------
3D floor mode: fixed a bug where the correct brightness wasn't applied to control sectors when duplicating/pasting 3D floors


R3564 | eb6d564d | Magnus Norddahl | 9/12/2020, 7:09 AM
--------------------------------------------------------------------------------
Fix MinimumRecommendedRules warning


R3563 | 7695429d | Magnus Norddahl | 9/12/2020, 6:46 AM
--------------------------------------------------------------------------------
Improve build output on linux


R3562 | 626af9e8 | Magnus Norddahl | 9/12/2020, 6:42 AM
--------------------------------------------------------------------------------
Merge pull request #448 from Talon1024/fix/UnixCaseSensitivity

Attempt to improve Unix filesystem support


R3561 | e5101bcc | Magnus Norddahl | 9/12/2020, 5:49 AM
--------------------------------------------------------------------------------
Merge pull request #466 from alexey-lysiuk/ci_stop_on_error

Report build error in corresponding CI job


R3560 | 9cf04996 | Magnus Norddahl | 9/12/2020, 5:48 AM
--------------------------------------------------------------------------------
Merge pull request #465 from alexey-lysiuk/win_build_fix

Fix compilation error of Windows targets


R3559 | d3915383 | alexey.lysiuk | 9/12/2020, 2:16 AM
--------------------------------------------------------------------------------
Report build error in corresponding CI job

Without explicit check for msbuild return code 'Test Files Presence' was marked as failed job


R3558 | a5672c19 | alexey.lysiuk | 9/12/2020, 2:14 AM
--------------------------------------------------------------------------------
Fix compilation error of Windows targets

General\General.cs(70,58): error CS0234: The type or namespace name 'Form' does not exist in the namespace 'System.Windows' (are you missing an assembly reference?)


R3557 | 71f86980 | Kevin Caccamo | 9/11/2020, 7:24 PM
--------------------------------------------------------------------------------
Handle multiple entries with the same name but different case

This is done so that entries whose keys have a higher ordinal value (lowercase) will replace entries whose keys have a lower ordinal value. This is based on how I've seen GZDoom handle this sort of situation.


R3556 | 30c2ad22 | Magnus Norddahl | 9/11/2020, 5:15 PM
--------------------------------------------------------------------------------
Workaround groups Enabled flag not getting applied in mono winforms implementation


R3555 | efec8899 | Magnus Norddahl | 9/11/2020, 5:06 PM
--------------------------------------------------------------------------------
Apply workaround to datagridviews


R3554 | ccf2191f | Magnus Norddahl | 9/11/2020, 4:25 PM
--------------------------------------------------------------------------------
Add workaround for broken View.List implementation in mono's winforms


R3553 | 800090d5 | Magnus Norddahl | 9/11/2020, 4:24 PM
--------------------------------------------------------------------------------
Add 'make run'


R3552 | 87fe50df | Magnus Norddahl | 9/11/2020, 2:17 PM
--------------------------------------------------------------------------------
Write replacements for the unimplemented native calls for unix


R3551 | 0d07050b | Magnus Norddahl | 9/11/2020, 1:39 PM
--------------------------------------------------------------------------------
Remove the need for ZeroMemory


R3550 | e62c8bda | Magnus Norddahl | 9/11/2020, 1:22 PM
--------------------------------------------------------------------------------
Fallback C# implementation for when rawmouse is not present


R3549 | 0b646875 | biwa | 9/5/2020, 1:53 PM
--------------------------------------------------------------------------------
3D Floor Mode: added "check all" and "uncheck all" buttons to the 3D floor editing dialog


R3548 | 7c50688a | biwa | 8/29/2020, 6:02 AM
--------------------------------------------------------------------------------
Added action 109:Light_ForceLightning to Hexen configuration. Also changed the description of the parameters in the ZDoom configuration to make it more clear what it does. Fixes #459.


R3547 | b372a04d | biwa | 8/26/2020, 8:12 AM
--------------------------------------------------------------------------------
Added missing line action 100 to Heretic game configuration. Fixes #458


R3546 | 385338ec | biwa | 8/22/2020, 1:00 PM
--------------------------------------------------------------------------------
OBJ Exporter: fixed a bug where the .mtl file also had .obj in its name


R3545 | 7e5c4077 | biwa | 8/22/2020, 12:36 PM
--------------------------------------------------------------------------------
Edit Selection Mode: fixed a crash when resizing the selection to a line and then trying to pull it out again. Completely squashing to a line in not possible anymore


R3544 | ba1abbcb | biwa | 8/4/2020, 7:25 AM
--------------------------------------------------------------------------------
Sectors mode: fixed a bug where applying floor and ceiling brightness gradients didn't work correctly


R3543 | d0a04795 | biwa | 8/1/2020, 3:28 AM
--------------------------------------------------------------------------------
Export to image: fixed a problem where exported textures were too bright when an increased texture and flat brightness was set in the preferences


R3542 | 2f48255d | Kevin Caccamo | 7/29/2020, 2:30 PM
--------------------------------------------------------------------------------
Remove GetCorrectCaseForFile call in GetFileAtPath

It's redundant because GetCorrectCaseForFile is called in DirectoryReader.LoadFile, and UDB will change all filenames in a PK3 to lowercase when it loads a PK3 into memory.


R3541 | 6a926d33 | biwa | 7/29/2020, 1:05 PM
--------------------------------------------------------------------------------
Some cleanup, added some comments.


R3540 | 8862bb7c | biwa | 7/29/2020, 6:27 AM
--------------------------------------------------------------------------------
Merge pull request #449 from alexey-lysiuk/simplified_ci

Remove Visual Studio solution retargeting from CI config


R3539 | 46b3d61e | alexey.lysiuk | 7/29/2020, 1:35 AM
--------------------------------------------------------------------------------
Removed Visual Studio solution retargeting from CI config


R3538 | 42be8992 | Kevin Caccamo | 7/29/2020, 12:57 AM
--------------------------------------------------------------------------------
Attempt to improve Unix filesystem support

Add some new methods to PK3StructuredReader and DirectoryReader, which get the filename with the correct case, and get a file at a particular path.
Replace backslashes in modeldef model paths with forward slashes, instead of doing the opposite, which was preventing some models from loading.

I don't know whether or not this is a good solution or not, since I don't know the UDB codebase very well.


R3537 | 7af52a9b | Magnus Norddahl | 7/28/2020, 7:09 PM
--------------------------------------------------------------------------------
Fix BuilderNative.vcxproj to work in both Visual Studio 2017 and 2019 at the same time


R3536 | 41b2322a | biwa | 7/28/2020, 2:33 PM
--------------------------------------------------------------------------------
3D Floor Mode: increased performance when switching to 3D Floor Mode (mostly noticeable on complex maps)


R3535 | c047b98b | biwa | 7/27/2020, 11:18 AM
--------------------------------------------------------------------------------
Sectors Mode: fixed a bug that could cause a crash when drag-selecting over areas that contained sectors after deleting those sectors


R3534 | 8aa74629 | biwa | 7/25/2020, 9:42 AM
--------------------------------------------------------------------------------
Files specific to UDB are now used in the program configuration folder. The files are now called UDBuilder.cfg, UDBuilder.log, and UDBCrash.txt. If there's no UDBuilder.cfg it first tries to copy GZBuilder.cfg before creating a new configuration file. Resolves #442


R3533 | 73139db9 | biwa | 7/20/2020, 9:14 AM
--------------------------------------------------------------------------------
Merge pull request #445 from Talon1024/fix/dirsep

Fix directory separators to not use Path.DirectorySeparatorChar as a forward slash is used on Linux/Unix, so it ended up preventing DECORATE and ZSCRIPT code from being loaded on Linux.


R3532 | 96208f71 | Kevin Caccamo | 7/20/2020, 1:20 AM
--------------------------------------------------------------------------------
Fix directory separators

Path.DirectorySeparatorChar is a forward slash on Linux/Unix, so it ended up preventing DECORATE and ZSCRIPT code from being loaded on Linux.


R3531 | 263c555b | biwa | 7/18/2020, 6:49 AM
--------------------------------------------------------------------------------
Added fallback for event line labels to use the default window font is the one specified for labels couldn't be loaded


R3530 | 11b586e0 | biwa | 7/17/2020, 11:35 AM
--------------------------------------------------------------------------------
Fixed a crash when highlighting undefined things


R3529 | b505fb04 | biwa | 7/16/2020, 2:25 PM
--------------------------------------------------------------------------------
Fit Textures: entering floating point numbers in the texture repeat boxes is now less infuriating. Resolves #404.


R3528 | 6fd73369 | biwa | 7/16/2020, 1:04 PM
--------------------------------------------------------------------------------
Trying to fix broken Linux CI


R3527 | f204a172 | biwa | 7/16/2020, 1:01 PM
--------------------------------------------------------------------------------
Improved associations (#440)

Improved associations and event lines. Refactorings to make the whole thing more sensible (hopefully). Options to display labels on event lines (can be configured in Preferences -&gt; Editing).


R3526 | a288629a | biwa | 7/12/2020, 2:43 AM
--------------------------------------------------------------------------------
Image Exporter: fixed a bug where the texture scale was not applied
Image Exporter: fixed a bug where it always applied the floor offset, even when exporting the ceiling textures


R3525 | 9d6244ed | biwa | 7/11/2020, 9:43 AM
--------------------------------------------------------------------------------
Fixed a bug where the effective size of scaled textures was too small under certain circumstances


R3524 | 69e5ba79 | biwa | 7/9/2020, 1:05 PM
--------------------------------------------------------------------------------
Color Picker: fixed a bug that prevented all intensity and interval sliders to show up for flicker lights


R3523 | 4202b3ea | ZZYZX | 7/8/2020, 8:25 AM
--------------------------------------------------------------------------------
Add new random quote to exception dialog


R3522 | 9abce031 | biwa | 7/7/2020, 1:27 PM
--------------------------------------------------------------------------------
OBJ Exporter: replaced default folder selection dialog with something more convenient (and more consistent with the rest of the program)


R3521 | f53c892d | biwa | 7/7/2020, 1:06 PM
--------------------------------------------------------------------------------
OJB Exporter: fixed a bug where models were flipped on the y axis when exporting for GZDoom


R3520 | 5b8dc53e | biwa | 7/7/2020, 12:52 PM
--------------------------------------------------------------------------------
OBJ Exporter: fixed a crash when trying to export from an unsaved map


R3519 | 0aaef498 | ZZYZX | 7/7/2020, 3:56 AM
--------------------------------------------------------------------------------
Fix exception caused by horizontal mouse wheel (resolves #409 reported by ioan-chera, reported by KanaiZo)


R3518 | b290af19 | biwa | 7/5/2020, 2:04 PM
--------------------------------------------------------------------------------
OBJ Exporter: checking the "Solid" checkbox now adds to following flags to the actor: INVULNERABLE, NODAMAGE, SHOOTABLE, NOTAUTOAIMED, NEVERTARGET, DONTTHRUST


R3517 | 6705f261 | biwa | 7/5/2020, 1:52 PM
--------------------------------------------------------------------------------
OBJ Exporter: fixed a crash when trying to export geometry with missing textures


R3516 | c333501f | biwa | 7/5/2020, 12:20 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R3515 | 2813a392 | biwa | 7/5/2020, 12:20 AM
--------------------------------------------------------------------------------
Force HiRes replacements to always use worldpanning. Fixes #432


R3514 | b8c5064f | biwa | 7/4/2020, 12:27 PM
--------------------------------------------------------------------------------
Merge pull request #434 from Talon1024/master

Add support for Line_SetAutomap{Flags,Style}


R3513 | 4b467eee | biwa | 7/4/2020, 12:26 PM
--------------------------------------------------------------------------------
OBJ Exporter: improved exporting models for use in GZDoom. It can now export models that can be directly used in GZDoom, and also creates the necessary MODELDEF and ZScript/DECORATE code


R3512 | 36156e9d | Kevin Caccamo | 7/3/2020, 3:18 PM
--------------------------------------------------------------------------------
Add support for Line_SetAutomap{Flags,Style}


R3511 | cb0cbe82 | biwa | 6/25/2020, 12:02 PM
--------------------------------------------------------------------------------
Visual Mode: auto-aligning flats does not round the panning anymore, making it more precise


R3510 | cc3b6dcd | biwa | 6/24/2020, 1:10 PM
--------------------------------------------------------------------------------
Image exporter: added options to use sector brightness for the export, create brightmaps (based on sector brightness), and split the image into 64x64 tiles


R3509 | 9185a484 | biwa | 6/22/2020, 7:37 AM
--------------------------------------------------------------------------------
Removed some more forced conversions to float


R3508 | 5ddbd739 | biwa | 6/21/2020, 3:52 AM
--------------------------------------------------------------------------------
Sectors Mode: the sectors things are in are only determined if necessary, which should increase performance when switching into Sectors Mode in very big maps


R3507 | 0017caa4 | biwa | 6/20/2020, 4:22 PM
--------------------------------------------------------------------------------
3D Floor Mode: fixed a crash when duplicating 3D floor geometry and there was not enough space in the control sector area


R3506 | 18834f1f | biwa | 6/20/2020, 3:37 PM
--------------------------------------------------------------------------------
Config files: removed DEHACKED from the Boom map lumps


R3505 | f2840e9a | biwa | 6/20/2020, 6:13 AM
--------------------------------------------------------------------------------
Fixed a bug introduced by addressing #427 that stopped the script editor to show up in vanilla Hexen. Fixes #429.


R3504 | dbe0a7b4 | biwa | 6/20/2020, 5:39 AM
--------------------------------------------------------------------------------
3D Floor Mode: increased performance when creating new 3D floors


R3503 | 233153cd | biwa | 6/19/2020, 4:21 PM
--------------------------------------------------------------------------------
Fixed a problem where translucent 3D floors were drawn solid. The cause was a rounding error because of the transition from float to double.


R3502 | 22d00763 | biwa | 6/19/2020, 2:30 PM
--------------------------------------------------------------------------------
The script editor is now only shown if the current game configuration supports scripts. Resolves #427.


R3501 | ea31f495 | biwa | 6/19/2020, 3:22 AM
--------------------------------------------------------------------------------
Fixed a problem where textures for OBJ models were flipped vertically


R3500 | b3d817f0 | biwa | 6/17/2020, 2:38 PM
--------------------------------------------------------------------------------
Fixed a crash in the DIALOG/SCRIPTS editor when selecting any other than the first two options in the "look in" combo box in the replace tab. Fixes #425.


R3499 | 08636d1b | biwa | 6/17/2020, 1:57 PM
--------------------------------------------------------------------------------
Enabled PDB generation for all plugins in x64 release mode


R3498 | b5b2979c | biwa | 6/17/2020, 1:22 PM
--------------------------------------------------------------------------------
Added feature to export the selected sectors as an image


R3497 | 1d9759ae | biwa | 6/16/2020, 10:11 AM
--------------------------------------------------------------------------------
Improved interaction of auto-alignment with 3D floors


R3496 | f432281e | biwa | 6/16/2020, 1:42 AM
--------------------------------------------------------------------------------
Draw Ellipse Mode: fixed a rounding error that could result in wrong shapes under certain conditions


R3495 | 5618c2d6 | biwa | 6/16/2020, 12:59 AM
--------------------------------------------------------------------------------
Edit Selection Mode, Flat Align Mode: fixed a bug where snapping occurred to wrong positions on lines when the grid was transformed


R3494 | 4d28727b | biwa | 6/15/2020, 1:13 PM
--------------------------------------------------------------------------------
Draw Rectangle Mode, Draw Grid Mode: fixed a bug where the guidelines were show slightly off


R3493 | 93bba0ca | biwa | 6/15/2020, 1:03 PM
--------------------------------------------------------------------------------
Draw Grid Mode: guidelines are now shown correctly if the grid is transformed


R3492 | e4a689fe | biwa | 6/15/2020, 12:57 PM
--------------------------------------------------------------------------------
Draw Geometry Mode: guidelines are now rotated if the grid is transformed


R3491 | 572864ba | biwa | 6/15/2020, 12:37 PM
--------------------------------------------------------------------------------
Draw Rectangle Mode: fixed a problem where the guidelines were not displayed correctly under certain conditions


R3490 | 72169060 | biwa | 6/15/2020, 12:25 PM
--------------------------------------------------------------------------------
Things Mode: performing the smart grid transform action will now set the grid origin to the selected or highlighted thing
Sectors Mode: performing the smart grid transform action will now reset the grid transform


R3489 | 4a693a5a | biwa | 6/14/2020, 3:41 PM
--------------------------------------------------------------------------------
Vertices Mode: the preview vertex is now correctly shown on intersections between the closest line and the transformed grid


R3488 | d43c4e65 | biwa | 6/14/2020, 3:05 PM
--------------------------------------------------------------------------------
Draw Grid Mode: now works correctly with grid transformation


R3487 | 323a9901 | biwa | 6/14/2020, 1:37 PM
--------------------------------------------------------------------------------
Draw Rectangle Mode: now works correctly with grid transformation


R3486 | 57b184a9 | biwa | 6/13/2020, 8:00 AM
--------------------------------------------------------------------------------
Merged master into duplicate-3d-floors branch
Added some error handling to duplicating 3D floors


R3485 | 565f1f88 | biwa | 6/13/2020, 6:56 AM
--------------------------------------------------------------------------------
Changed how performing undo interacts with volatile modes (it will now actually perform the undo instead of just canceling the volatile mode)


R3484 | 14c65dae | biwa | 6/13/2020, 6:35 AM
--------------------------------------------------------------------------------
- Only allow Edit Selection Mode to be cancelled once
- Added preliminary code to remove new 3D floor control sectors when pasting was canceled after duplicating 3D floors


R3483 | c43c0001 | biwa | 6/12/2020, 3:30 PM
--------------------------------------------------------------------------------
Draw Grid Mode: fixed a crash that happened when having locking slices to grid enabled


R3482 | 4fbcc114 | biwa | 6/12/2020, 3:24 PM
--------------------------------------------------------------------------------
Added functionality to duplicate 3D floor control sectors of selected sectors and paste selected sectors with the new control sectors assigned


R3481 | a6dbd2c2 | biwa | 6/10/2020, 3:04 PM
--------------------------------------------------------------------------------
3D Floor Mode: fixed a bug with the "Detach all" and "Split all" that would create (and immediately delete) redundant control sectors


R3480 | b5d8985e | biwa | 6/10/2020, 1:54 PM
--------------------------------------------------------------------------------
3D Floor Mode: added "Split all" and "Detach all" buttons to 3D floor editing window


R3479 | cce50e93 | biwa | 6/9/2020, 1:10 PM
--------------------------------------------------------------------------------
Hopefully fixed broken auto alignment of certain sloped 3D floors (without breaking anything else)


R3478 | 0590216c | biwa | 6/8/2020, 2:45 PM
--------------------------------------------------------------------------------
Slope Arch Form: added option to invert the arch


R3477 | 95dd6e28 | biwa | 6/8/2020, 2:00 PM
--------------------------------------------------------------------------------
Draw Grid Mode: number of slices less than 3 will now be remembered correctly
Draw Grid Mode: added option to to draw the slices relative to the origin of the drawing (so that you don't have to change the slice interpolation all the time)


R3476 | f10bf597 | biwa | 6/8/2020, 12:37 PM
--------------------------------------------------------------------------------
Added the "nocount" UDMF thing flag (as "No completion count") that was added in GZDoom 4.4.0 to the ZDoom config. Fixes #422.


R3475 | cb6f6e1d | biwa | 6/8/2020, 12:10 PM
--------------------------------------------------------------------------------
Added missing images for arch slope dialog


R3474 | 5b89a9d4 | biwa | 6/8/2020, 12:06 PM
--------------------------------------------------------------------------------
Added missing files to the Mono project file


R3473 | 6e4bb045 | biwa | 6/8/2020, 11:58 AM
--------------------------------------------------------------------------------
Merge remote-tracking branch 'origin/master' into arching


R3472 | d01cbb2c | biwa | 6/8/2020, 11:58 AM
--------------------------------------------------------------------------------
Some code cleanup
Added comments to code


R3471 | f5d12e06 | biwa | 6/7/2020, 9:01 AM
--------------------------------------------------------------------------------
Improved slope arching form


R3470 | d6d579ab | biwa | 6/6/2020, 2:51 AM
--------------------------------------------------------------------------------
Some refactoring
Made sloping work more reliably with irregularly shaped sectors


R3469 | 9855436f | biwa | 6/5/2020, 10:49 AM
--------------------------------------------------------------------------------
3D floor mode: fixed a problem where splitting a 3D floor didn't work correctly when some selected sectors didn't belong to that 3D floor


R3468 | f93a13c1 | biwa | 6/5/2020, 9:37 AM
--------------------------------------------------------------------------------
Fixed base heights for 3D floors
Improved handling of changing input boxes in slope arching form


R3467 | b04cafd0 | biwa | 6/4/2020, 8:12 AM
--------------------------------------------------------------------------------
Added missing file


R3466 | cdf74574 | biwa | 6/4/2020, 7:16 AM
--------------------------------------------------------------------------------
Texture sets now work with textures from a directory or PK3/PK7 (it matches against the short 8 character name)


R3465 | 2fe9345e | biwa | 6/4/2020, 6:48 AM
--------------------------------------------------------------------------------
Updated project file


R3464 | aaa252bd | biwa | 6/3/2020, 2:34 PM
--------------------------------------------------------------------------------
Moved slope arching code into its own class
Improved functionality


R3463 | b4e89974 | biwa | 6/1/2020, 12:57 PM
--------------------------------------------------------------------------------
Added dialog to modify the slope arch


R3462 | 4e36099b | biwa | 6/1/2020, 8:16 AM
--------------------------------------------------------------------------------
Arching works... kind of


R3461 | 0a6ee07b | biwa | 6/1/2020, 2:54 AM
--------------------------------------------------------------------------------
3D Floor Mode: fixed a bug that would not increment the sector tags correctly if a tag range is used


R3460 | 17987918 | biwa | 6/1/2020, 2:12 AM
--------------------------------------------------------------------------------
Fixed a bug where modifying a user_ ZScript variable through the custom properties tab would cause a crash. Fixes #420.


R3459 | aecb1e67 | biwa | 6/1/2020, 12:50 AM
--------------------------------------------------------------------------------
Preliminary code for arching


R3458 | e3e76c2b | biwa | 5/30/2020, 8:32 AM
--------------------------------------------------------------------------------
Edit Selection Mode: fixed a bug where the control sectors of sloped 3D floors were not updated correctly when one 3D floor was applied to multiple sectors


R3457 | 82f019b8 | biwa | 5/30/2020, 7:41 AM
--------------------------------------------------------------------------------
Fixed a potential crash when undoing while having slope handle picking enabled


R3456 | c164139d | biwa | 5/26/2020, 9:49 AM
--------------------------------------------------------------------------------
Fixed some more places where values given to new UniValue were cast to float instead of double


R3455 | 10ceef67 | biwa | 5/24/2020, 2:35 AM
--------------------------------------------------------------------------------
Fixed jittery camera when being far away from the map origin


R3454 | 342ea4f5 | biwa | 5/23/2020, 1:37 AM
--------------------------------------------------------------------------------
Trying to fix jittery camera when being really far away from the map origin (didn't fix it yet)


R3453 | bdc6a239 | biwa | 5/23/2020, 1:01 AM
--------------------------------------------------------------------------------
Fixed some more cases where UniValues were set to floats. Added throwing exceptions to the UniValue constructor (gasp!)


R3452 | abb61f1f | biwa | 5/22/2020, 4:37 PM
--------------------------------------------------------------------------------
Possible fixed a crash in LinedefInfoPanel.SetPairedUDMFFieldsLabel


R3451 | 9338d122 | biwa | 5/22/2020, 1:30 PM
--------------------------------------------------------------------------------
Removed lots of unnecessary casts to float of the Math methods. Also removed some other minor implicit casts


R3450 | ab81b175 | biwa | 5/22/2020, 12:39 PM
--------------------------------------------------------------------------------
More conversion from float to double. Doesn't seem to crash anymore.


R3449 | 91cbcde1 | biwa | 5/21/2020, 5:20 AM
--------------------------------------------------------------------------------
It's compiling!


R3448 | fb3c9e71 | biwa | 5/18/2020, 9:14 AM
--------------------------------------------------------------------------------
Started conversion from float to double


R3447 | 66be0af5 | biwa | 5/17/2020, 1:45 PM
--------------------------------------------------------------------------------
Edit Selection Mode: flipping now works on plane equation slopes


R3446 | a5a658cc | biwa | 5/17/2020, 6:01 AM
--------------------------------------------------------------------------------
Edit Selection Mode: rotating sectors with plane equation slopes now works correctly if the sectors are not rectangular


R3445 | bccb1ace | biwa | 5/17/2020, 3:18 AM
--------------------------------------------------------------------------------
Some refactoring to remove convoluted code


R3444 | caf7477d | biwa | 5/17/2020, 2:48 AM
--------------------------------------------------------------------------------
Edit Selection Mode: slopes of 3D floor control sectors are now properly updated when moving/rotating sectors (only when not pasting)


R3443 | fd41361f | biwa | 5/16/2020, 4:22 AM
--------------------------------------------------------------------------------
Fixed an issue in Edit Selection Mode that could cause Out Of Memory exceptions with vertices that are slightly off grid in the 32 bit version


R3442 | 4fd976fe | biwa | 5/16/2020, 3:26 AM
--------------------------------------------------------------------------------
Using Edit Selection Mode on sectors with plane equation slopes works correctly now (flipping still doesn't work)


R3441 | f0bfc747 | biwa | 5/16/2020, 1:40 AM
--------------------------------------------------------------------------------
Decoupled plane equation slopes from sector heights. This means that changing sector heights will not change those slopes (use the offset box in the "slope" tab of the Edit Sector Dialog instead)


R3440 | 47cec444 | biwa | 5/3/2020, 8:25 AM
--------------------------------------------------------------------------------
Slopes of 3D floor are now preserved when dragging the tagged sectors
Added option to lock texture offsets of 3D floors when dragging the tagged sectors


R3439 | c0bdae79 | biwa | 4/30/2020, 11:22 AM
--------------------------------------------------------------------------------
Fixed a crash that happened when entering Edit Selection Mode while performing the Edit action


R3438 | 7114d17e | biwa | 4/28/2020, 2:35 PM
--------------------------------------------------------------------------------
Texture browser: input boxes don't lose focus anymore when the mouse is moved into the texture list area. Fixes #369.


R3437 | 9cadd378 | biwa | 4/28/2020, 1:48 PM
--------------------------------------------------------------------------------
Changed the ambient sound drop down menu of ambient sound things to natural sort order. Resolves #406.


R3436 | 0b3d4997 | biwa | 4/27/2020, 2:12 PM
--------------------------------------------------------------------------------
Eternity Engine configuration: added some missing linedef action and sector types. Fixes #407


R3435 | 594fe040 | biwa | 4/25/2020, 3:58 PM
--------------------------------------------------------------------------------
Removed DebugConsole functionality in non-debug builds


R3434 | f15c0e0e | biwa | 4/25/2020, 8:43 AM
--------------------------------------------------------------------------------
Fixed a crash that happened when the script window is opened but minimized, the script has syntax errors, and then the map is saved. Fixes #402.


R3433 | 684e3662 | biwa | 4/21/2020, 1:56 PM
--------------------------------------------------------------------------------
3D Floor Mode: allow pasting for texture names with more than 8 characters in the 3D floor editing window


R3432 | f3006fc9 | Magnus Norddahl | 4/19/2020, 7:00 AM
--------------------------------------------------------------------------------
Remove reference to vpo.dll in the CI test


R3431 | 8eb522c8 | Magnus Norddahl | 4/19/2020, 6:56 AM
--------------------------------------------------------------------------------
Move vpo native code into BuilderNative as it is easier to manage. The plugins folder doesn't support including native dlls properly anyway.
Fix visplane explorer busy looping when waiting for data and reduce the used core count to 75% of the total available
Made vpo native code thread safe, removing the need for ungodly DLL patching hacks


R3430 | db44d411 | Magnus Norddahl | 4/19/2020, 5:19 AM
--------------------------------------------------------------------------------
Fix black output from visplane explorer


R3429 | f4e95562 | biwa | 4/19/2020, 2:58 AM
--------------------------------------------------------------------------------
Significantly reduced video memory usage when pasting sectors. Should also significantly increase speed when pasting many sectors. Fixes #400.


R3428 | 29e96f96 | biwa | 4/11/2020, 12:19 PM
--------------------------------------------------------------------------------
Removed default hotkeys from visual sloping actions


R3427 | 308e8fe4 | biwa | 4/11/2020, 9:46 AM
--------------------------------------------------------------------------------
Fixed a bug where the DECORATE parser got confused by wrong tokens after starting the states definition. Fixes #374.


R3426 | a5a78aa2 | biwa | 4/11/2020, 2:52 AM
--------------------------------------------------------------------------------
Added paint select to 3D Floor Mode
Fixed multi select in 3D Floor Mode to work when starting to drag inside a sector


R3425 | b8346714 | biwa | 4/11/2020, 1:51 AM
--------------------------------------------------------------------------------
Fixed a crash in Edit Selection Mode when visual sloping was previously used to make the slope of a sector perfectly planar


R3424 | 138c96bb | biwa | 4/11/2020, 1:42 AM
--------------------------------------------------------------------------------
Moved smart grid transform into Linedefs Mode and Vertices Mode, so it also works when simply highlighting a linedef or vertex. When doing smart grid transform on a linedef it'll also use the vertex closest to the mouse cursor as the origin instead of always the start vertex


R3423 | 12b39064 | biwa | 4/10/2020, 4:40 AM
--------------------------------------------------------------------------------
Added "Smart Grid Transform" action that sets grid transformation based on the selected elements. Vertex selected: set grid origin to that vertex. Linedef selected: align grid to that linedef. Nothing selected: reset grid transformation to the default coordinate system. No default key bound.


R3422 | 65eec24a | biwa | 4/10/2020, 3:20 AM
--------------------------------------------------------------------------------
3D Floor Mode: using tab in the 3D floor editor window now cycles through the input fields in a sane order


R3421 | ac73ca74 | biwa | 4/10/2020, 3:11 AM
--------------------------------------------------------------------------------
Fixed a crash that would happen when the line slope things (9500/9501) are used but the linedef they are tagged to doesn't have a front sidedef. Fixes #398.


R3420 | 999d5ade | biwa | 4/10/2020, 2:20 AM
--------------------------------------------------------------------------------
More BuilderMono.csproj fixes


R3419 | a09b9b93 | biwa | 4/10/2020, 2:04 AM
--------------------------------------------------------------------------------
BuilderModesMono.csproj needs the fix too, of course.


R3418 | ca4dc195 | biwa | 4/10/2020, 1:57 AM
--------------------------------------------------------------------------------
Hopefully fixed BuilderMono.csproj to compile for Mac and Linux again.


R3417 | 58d5bfd5 | biwa | 4/10/2020, 1:40 AM
--------------------------------------------------------------------------------
Merge branch 'visual-slope2'


R3416 | ff5cea7b | biwa | 4/7/2020, 12:18 PM
--------------------------------------------------------------------------------
Fixed rare potential crash when raising/lowering floors/ceiling to the closed neighbor


R3415 | 1227a8bf | biwa | 4/5/2020, 11:24 AM
--------------------------------------------------------------------------------
Merge branch 'volte-master'


R3414 | 895053ec | biwa | 4/5/2020, 11:21 AM
--------------------------------------------------------------------------------
Fixed indentation in ImageBrowserItem


R3413 | 96933215 | volte | 4/5/2020, 8:40 AM
--------------------------------------------------------------------------------
Further performance improvement to image browser


R3412 | b1f4cdcd | volte | 4/5/2020, 6:15 AM
--------------------------------------------------------------------------------
Fixed slowdown in ImageBrowser due to repeated queries for system font


R3411 | a373421a | biwa | 4/4/2020, 1:02 PM
--------------------------------------------------------------------------------
Copy'n'paste should now work correctly with plane equation slopes


R3410 | 560d4a58 | biwa | 4/4/2020, 9:03 AM
--------------------------------------------------------------------------------
When auto-aligning textures on floors/ceilings they can be scaled independently on slope type
Added option to select behavior (Tools -&gt; Preferences -&gt; Editing) of scaling when auto-aligning textures on floors/ceilings (use base scale of 1 (default), use current scale as base, never scale)


R3409 | a3ce81dc | biwa | 4/4/2020, 4:12 AM
--------------------------------------------------------------------------------
Merge branch 'master' into visual-slope2


R3408 | ef4c7638 | biwa | 4/2/2020, 1:46 PM
--------------------------------------------------------------------------------
Fixed display and auto-align issues when using hires texture replacements with local scaling


R3407 | 8115d12b | biwa | 3/29/2020, 12:44 PM
--------------------------------------------------------------------------------
Custom types for user defined UDMF fields could cause problems when fields with the same name used different types, so they are disabled for the time being (only bool, int, float and string are allowed now)


R3406 | 1fc503fa | biwa | 3/29/2020, 8:30 AM
--------------------------------------------------------------------------------
Update things before adding their geometry in visual mode so things don't go awry when realtime editing them. Fixes #393.


R3405 | e07a3170 | biwa | 3/29/2020, 7:29 AM
--------------------------------------------------------------------------------
Made drop down items for ambient sounds more descriptive


R3404 | 3f4a0a0e | biwa | 3/29/2020, 3:49 AM
--------------------------------------------------------------------------------
Aligning textures on the X axis now works correctly with negative scale values when world panning is not enabled.


R3403 | adf95c25 | biwa | 3/29/2020, 3:05 AM
--------------------------------------------------------------------------------
Hexen/UDMF linedef action 28 is now correctly labeled "Floor Raise And Crush" instead of misleading "Floor Crusher Start". Fixes #386.


R3402 | 1d586733 | biwa | 3/29/2020, 2:53 AM
--------------------------------------------------------------------------------
There can be multiple different ambient sounds with the same sound name, so add the index to the name to differentiate them. Fixes #390.


R3401 | 91e0f8d5 | biwa | 3/20/2020, 5:19 PM
--------------------------------------------------------------------------------
Fixes for raisesectortonearest and lowersectortonearest action when used on slope handles to account for float rounding errors


R3400 | a4466ba0 | biwa | 3/19/2020, 12:14 PM
--------------------------------------------------------------------------------
Added support for helper messages in version/deprecated modifier in ZScript


R3399 | 3346c00f | Magnus Norddahl | 3/19/2020, 11:54 AM
--------------------------------------------------------------------------------
Keep stream open so that the image loaders can be chained


R3398 | f5baa096 | biwa | 3/19/2020, 8:16 AM
--------------------------------------------------------------------------------
The raisesectortonearest and lowersectortonearest now work with visual slope handles


R3397 | 44d972c8 | Magnus Norddahl | 3/19/2020, 7:46 AM
--------------------------------------------------------------------------------
Fix crash when tga image loader succeeds in loading a 0x0 image
Copy resource bitmaps before using them on a worker thread


R3396 | 7b0adadb | biwa | 3/17/2020, 2:10 PM
--------------------------------------------------------------------------------
Merge branch 'master' into visual-slope2


R3395 | e19b2912 | Magnus Norddahl | 3/17/2020, 1:07 PM
--------------------------------------------------------------------------------
Update mono project file


R3394 | 6492a2b3 | Magnus Norddahl | 3/17/2020, 1:06 PM
--------------------------------------------------------------------------------
Merge branch 'nodevil'


R3393 | 127aff5c | alexey.lysiuk | 3/17/2020, 12:37 PM
--------------------------------------------------------------------------------
Fixes for non-Windows platforms (#371 by alexey-lysiuk)


R3392 | 29b30a3d | Magnus Norddahl | 3/17/2020, 12:09 PM
--------------------------------------------------------------------------------
This joke isn't funny when half the racists in the US is saying this


R3391 | 0282f343 | biwa | 3/15/2020, 2:39 AM
--------------------------------------------------------------------------------
3D Floor Mode: Don't set valid plane equation when the the surface isn't sloped


R3390 | 4ae5f320 | biwa | 3/14/2020, 1:31 PM
--------------------------------------------------------------------------------
3D Floor Mode: splitting/detaching 3D floors now preserves slope equation slopes


R3389 | c34b6e31 | biwa | 3/14/2020, 12:06 PM
--------------------------------------------------------------------------------
Rotating sectors with plane equation slopes in Edit Selection Mode works properly now


R3388 | e8cc2f98 | biwa | 3/14/2020, 7:46 AM
--------------------------------------------------------------------------------
Self-inheritance of ZScript classes is now considered an error and not a warning


R3387 | d3b90f4f | biwa | 3/14/2020, 5:18 AM
--------------------------------------------------------------------------------
Print a warning and skip parsing classes that try to inherit from themselves (instead of going into an infinite loop)


R3386 | e798450a | biwa | 2/24/2020, 4:57 AM
--------------------------------------------------------------------------------
The sloping between handles action is now a bit more convenient and tries to figure out what the user wants to do even if not exactly two slope handles are selected.


R3385 | afef3492 | biwa | 2/24/2020, 3:54 AM
--------------------------------------------------------------------------------
- Slope handles are not shown anymore when showing selection is disabled
- Smart pivot handles are now shown for the highlighted slope handle


R3384 | 37e81545 | biwa | 2/23/2020, 3:44 AM
--------------------------------------------------------------------------------
- Some refactoring
- Added action to slope selected floors/ceilings between selected slope handles (default key: Ctrl-F)
- Added Shift-W as default key to toggle visual slope picking


R3383 | 915d83c9 | biwa | 2/23/2020, 2:17 AM
--------------------------------------------------------------------------------
- If geometry is selected and the geometry the modified slope handle belongs to is not selected it will now also be modified
- Made the slope handles hover closer to the geometry


R3382 | 73e8d544 | biwa | 2/22/2020, 4:07 PM
--------------------------------------------------------------------------------
Fixed a problem where slope handles could be picked through other geometry


R3381 | 631ccc12 | biwa | 2/22/2020, 3:48 PM
--------------------------------------------------------------------------------
Slope handles can now be set as pivot while other surfaces are selected


R3380 | fd2b1150 | biwa | 2/22/2020, 3:14 PM
--------------------------------------------------------------------------------
Removed remnants of holding Alt to interact with slope handles


R3379 | 9c3d8d46 | biwa | 2/22/2020, 3:09 PM
--------------------------------------------------------------------------------
It's not possible to have a slope handle be selected and set as pivot at the same time


R3378 | f606f3bd | biwa | 2/22/2020, 10:45 AM
--------------------------------------------------------------------------------
Drawing slope handles works correctly now


R3377 | 1b79d9f6 | biwa | 2/19/2020, 2:03 PM
--------------------------------------------------------------------------------
Improved drawing length of slope handles on sloped lines (still too short, possibly because of aspect ratio correction?)


R3376 | 50a73b6a | biwa | 2/19/2020, 1:43 PM
--------------------------------------------------------------------------------
Pivot handles can now be set with the normal action to edit objects (no additional hotkey needed)


R3375 | e4644b7c | biwa | 2/19/2020, 1:14 PM
--------------------------------------------------------------------------------
The slope handle closes to the mouse cursor will now always be picked (no minimum distance required anymore)


R3374 | 21c83799 | biwa | 2/19/2020, 12:59 PM
--------------------------------------------------------------------------------
Added action to toggle between picking slope handles or other map elements


R3373 | 7154dec8 | biwa | 2/16/2020, 1:07 PM
--------------------------------------------------------------------------------
Code cleanup, added some comments


R3372 | ff1ea95d | biwa | 2/16/2020, 11:51 AM
--------------------------------------------------------------------------------
Drawing visual slope handles is (mostly) working now
Also fixed some cases where slopes were applied incorrectly


R3371 | ab4dfa09 | Magnus Norddahl | 2/16/2020, 10:02 AM
--------------------------------------------------------------------------------
Remove DevIL dlls


R3370 | c943b07b | Magnus Norddahl | 2/16/2020, 9:57 AM
--------------------------------------------------------------------------------
Fix broken patch loading


R3369 | 4d3fea00 | Magnus Norddahl | 2/16/2020, 8:10 AM
--------------------------------------------------------------------------------
Fix inconsistencies between the "file specification" (as documented on zee internetz) and what devteam.pcx from Descent actually contained (the only pcx I have)


R3368 | c1130b4c | Magnus Norddahl | 2/16/2020, 7:48 AM
--------------------------------------------------------------------------------
Merge remote-tracking branch 'origin/master' into nodevil


R3367 | ec9765f0 | ZZYZX | 1/25/2020, 1:28 PM
--------------------------------------------------------------------------------
Fixed: GLDEFS dynamic lights were defaulting to invisible instead of 'normal'


R3366 | d9cfc04e | biwa | 1/18/2020, 12:10 PM
--------------------------------------------------------------------------------
More trying to get it to work...


R3365 | 973a4b14 | ZZYZX | 1/18/2020, 12:08 PM
--------------------------------------------------------------------------------
Fixed: CalculateArea was doing some weird shit (resolves #372)


R3364 | 6e4a02fb | Magnus Norddahl | 1/15/2020, 2:28 PM
--------------------------------------------------------------------------------
Add texture format to the Texture class so that render target textures do not have to be in the bgra8 format


R3363 | 50668921 | William Miller | 1/14/2020, 8:26 PM
--------------------------------------------------------------------------------
Extra config block for Large Maps (PR#368 by Zanieon)

This extra block helps ZDBSP building better nodes for maps that are too big and starts generating visual issues with regular nodebuilding.


R3362 | afb79e80 | Magnus Norddahl | 1/14/2020, 11:39 AM
--------------------------------------------------------------------------------
Implement tga image loader


R3361 | 0372b75e | Magnus Norddahl | 1/14/2020, 9:57 AM
--------------------------------------------------------------------------------
Fix offsetting bug


R3360 | 4e86765f | Magnus Norddahl | 1/14/2020, 9:49 AM
--------------------------------------------------------------------------------
Implement pcx loader (I can't believe I wrote this in 2020...)


R3359 | e908ec72 | Magnus Norddahl | 1/14/2020, 8:29 AM
--------------------------------------------------------------------------------
Add missing try/catch


R3358 | 3bbe76b2 | Magnus Norddahl | 1/14/2020, 8:25 AM
--------------------------------------------------------------------------------
Remove DevIL dependency
Remove IImageLoader code duplication


R3357 | 42aa6c88 | ZZYZX | 1/14/2020, 1:09 AM
--------------------------------------------------------------------------------
Fixed: there was no highlight shader for internal sprites for ZDoom effects disabled;  Fixed: highlighting of transparent walls/floors was broken


R3356 | 7ea64f91 | Magnus Norddahl | 1/13/2020, 10:11 AM
--------------------------------------------------------------------------------
Fatal crash (Texture name input) #367


R3355 | a2b18f18 | Magnus Norddahl | 1/12/2020, 2:35 PM
--------------------------------------------------------------------------------
Fix load bug where exactly one image per thread would not get loaded


R3354 | fc7093b9 | Magnus Norddahl | 1/12/2020, 2:10 PM
--------------------------------------------------------------------------------
Load images when they accessed
Load previews when they are accessed


R3353 | acfd4f52 | Magnus Norddahl | 1/12/2020, 12:12 PM
--------------------------------------------------------------------------------
LoadImage should not be virtual


R3352 | db747d02 | Magnus Norddahl | 1/12/2020, 11:17 AM
--------------------------------------------------------------------------------
Dispose the bitmap as soon as it has been uploaded to a texture. Use a 1 bit alphatest bitmap for those that have transparency in them.


R3351 | 21d19e28 | Magnus Norddahl | 1/12/2020, 10:53 AM
--------------------------------------------------------------------------------
Only use GetBitmap for the alpha test


R3350 | 0abaeaf7 | Magnus Norddahl | 1/12/2020, 10:37 AM
--------------------------------------------------------------------------------
Replace GetBitmap with more descriptive functions and move the alpha test inside ImageData


R3349 | 247d3e7a | biwa | 1/9/2020, 11:05 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder into visual-slope2


R3348 | a14fc7ca | biwa | 1/7/2020, 1:26 PM
--------------------------------------------------------------------------------
Fixed an issue where grid background images were drawn upside down and moved in the wrong direction on the Y axis when scrolling


R3347 | 2c9235e4 | biwa | 1/7/2020, 12:27 PM
--------------------------------------------------------------------------------
Trying to figure out matrix black magic


R3346 | dfc3089b | Magnus Norddahl | 1/6/2020, 12:00 AM
--------------------------------------------------------------------------------
Autodetect platform


R3345 | 5363fe07 | Magnus Norddahl | 1/5/2020, 11:52 PM
--------------------------------------------------------------------------------
Produce release build
Disable devil
Support mac build (which is useless as mono doesn't support winforms on modern macOS)


R3344 | 20f5f01b | Magnus Norddahl | 1/5/2020, 11:07 PM
--------------------------------------------------------------------------------
Unix build fixes


R3343 | 01ccfa56 | biwa | 1/5/2020, 5:27 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder into visual-slope2


R3342 | 31c7a867 | biwa | 1/4/2020, 2:29 PM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R3341 | b4150466 | biwa | 1/4/2020, 2:29 PM
--------------------------------------------------------------------------------
Fixed nonsensical values being returned when using +++/--- in many fields.


R3340 | 0298569b | alexey.lysiuk | 1/4/2020, 2:28 PM
--------------------------------------------------------------------------------
Add Continuous Integration via GitHub Actions workflow (PR#359 by alexey-lysiuk)


R3339 | 8aee7fc5 | biwa | 1/4/2020, 1:15 PM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder into visual-slope2


R3338 | 0e7875e0 | ZZYZX | 1/2/2020, 5:55 PM
--------------------------------------------------------------------------------
Fixed: light clipping on back faces was gone


R3337 | 044dbbcf | ZZYZX | 1/2/2020, 5:22 PM
--------------------------------------------------------------------------------
Rewrote dynamic light support. Resolves #319. Resolves #318. Resolves #233.


R3336 | 0efb786a | biwa | 1/2/2020, 4:11 PM
--------------------------------------------------------------------------------
Slopes in 3D floors work again


R3335 | 54fb563a | Magnus Norddahl | 1/2/2020, 11:35 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R3334 | c10f70d5 | Magnus Norddahl | 1/2/2020, 11:34 AM
--------------------------------------------------------------------------------
Fix glError returning a null pointer


R3333 | 7e848831 | biwa | 1/2/2020, 11:32 AM
--------------------------------------------------------------------------------
Some cleanups


R3332 | 7b5d4a03 | ZZYZX | 1/2/2020, 11:31 AM
--------------------------------------------------------------------------------
Write uniform data into separate structures


R3331 | 10702928 | Magnus Norddahl | 1/2/2020, 11:21 AM
--------------------------------------------------------------------------------
Only call seterror if the context creation fails


R3330 | 6450bdcc | Magnus Norddahl | 1/2/2020, 10:45 AM
--------------------------------------------------------------------------------
Improve error message if OpenGL context creation fails


R3329 | 0ba5870d | ZZYZX | 1/2/2020, 10:22 AM
--------------------------------------------------------------------------------
Merge branch 'shadercompiler'


R3328 | d71da60c | Magnus Norddahl | 1/2/2020, 10:07 AM
--------------------------------------------------------------------------------
Lower depth bits requirement


R3327 | 82db74b1 | Magnus Norddahl | 1/2/2020, 9:55 AM
--------------------------------------------------------------------------------
Fix profile not being used


R3326 | d49a6e22 | Magnus Norddahl | 1/2/2020, 9:53 AM
--------------------------------------------------------------------------------
Work a little harder to find an usable OpenGL version


R3325 | 0fbebbe7 | ZZYZX | 1/1/2020, 4:56 PM
--------------------------------------------------------------------------------
Allow functions block in a shader, error out on duplicate functions


R3324 | e4e05542 | biwa | 1/1/2020, 4:32 PM
--------------------------------------------------------------------------------
Fixed a problem where negative Y scales of sidedefs would result in a wrong offset when auto-aligning


R3323 | e015cc6f | ZZYZX | 1/1/2020, 3:51 PM
--------------------------------------------------------------------------------
Fixed token position for named tokens


R3322 | 55135f29 | biwa | 1/1/2020, 12:47 PM
--------------------------------------------------------------------------------
- Handles on floor are shown
- Fixed a problem where the wrong plane was assigned to ceiling surfaces


R3321 | 6374b498 | ZZYZX | 1/1/2020, 12:41 PM
--------------------------------------------------------------------------------
Added GLSL shader preprocessor


R3320 | 73364a13 | Magnus Norddahl | 1/1/2020, 12:21 AM
--------------------------------------------------------------------------------
Remove UTF-8 BOM if found


R3319 | 4bfbe567 | biwa | 12/31/2019, 2:46 PM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder into visual-slope2


R3318 | 7b550636 | ZZYZX | 12/31/2019, 5:32 AM
--------------------------------------------------------------------------------
Fixed F10 key focusing the menu on key release


R3317 | c00e2a80 | ZZYZX | 12/31/2019, 4:57 AM
--------------------------------------------------------------------------------
Fixed F10 key focusing the menu instead of opening the script editor as intended


R3316 | e0922352 | ZZYZX | 12/31/2019, 4:16 AM
--------------------------------------------------------------------------------
Removed the remains of resource editing


R3315 | 961b5fdb | ZZYZX | 12/31/2019, 3:46 AM
--------------------------------------------------------------------------------
Actually fixed PK3 synchronization


R3314 | fa053bc0 | ZZYZX | 12/31/2019, 3:35 AM
--------------------------------------------------------------------------------
Prevent closing the PK3 stream before read operation has completed


R3313 | e61937c7 | ZZYZX | 12/31/2019, 3:18 AM
--------------------------------------------------------------------------------
Removed the capability to open any file from the script editor


R3312 | d7e259bc | biwa | 12/31/2019, 1:57 AM
--------------------------------------------------------------------------------
Compute the length of the line in Plotter.DrawLine3DFloor with a method that actually works on big numbers


R3311 | a18e165d | Magnus Norddahl | 12/30/2019, 6:44 PM
--------------------------------------------------------------------------------
Fix geometry constantly being rebuilt in some situations


R3310 | ba713f7a | biwa | 12/30/2019, 3:08 PM
--------------------------------------------------------------------------------
Ported visual sloping to UDB


R3309 | 1e90500a | biwa | 12/30/2019, 2:28 AM
--------------------------------------------------------------------------------
Call RedrawSurface in OnRedrawDisplay of NodesViewerMode, SoundPropagationMode and SoundEnvironmentMode so that the map gets updated properly and not being stretched/squished when the windows is resized


R3308 | f6dd787f | Magnus Norddahl | 12/29/2019, 9:41 PM
--------------------------------------------------------------------------------
Present maps slightly faster to the user


R3307 | c95e5af4 | Magnus Norddahl | 12/29/2019, 9:22 PM
--------------------------------------------------------------------------------
Reduce memory usage during preview image loading


R3306 | 65fdafaf | Magnus Norddahl | 12/29/2019, 2:24 PM
--------------------------------------------------------------------------------
Fix TransformPatch using bitmap from the main thread


R3305 | 03e50615 | Magnus Norddahl | 12/29/2019, 1:59 PM
--------------------------------------------------------------------------------
Remove explicit image unloading and fix previews


R3304 | f97f2d36 | Magnus Norddahl | 12/29/2019, 11:48 AM
--------------------------------------------------------------------------------
Remove preview manager and remove CreateTexture


R3303 | a024ac9f | biwa | 12/29/2019, 10:05 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R3302 | c46e548a | biwa | 12/29/2019, 10:04 AM
--------------------------------------------------------------------------------
- Fixed vertical grid lines being 1 pixel off in their horizontal position
- Fixed a bug where lines with 3D floor indicators were 1 pixel off in their horizontal position


R3301 | 5dc2ab7b | ZZYZX | 12/29/2019, 9:59 AM
--------------------------------------------------------------------------------
Supposedly fixed sprites not loading if reloaded resources from visual mode


R3300 | ca3fa76e | Magnus Norddahl | 12/29/2019, 9:54 AM
--------------------------------------------------------------------------------
Rename the sampler filters so that they use the same naming convention as modern graphics APIs


R3299 | 12fd006c | ZZYZX | 12/29/2019, 6:38 AM
--------------------------------------------------------------------------------
Removed dynamic resource reloading for resource writing


R3298 | 8990cc57 | ZZYZX | 12/29/2019, 5:58 AM
--------------------------------------------------------------------------------
Fixed code folding in script editor


R3297 | 87f74cb9 | ZZYZX | 12/29/2019, 5:27 AM
--------------------------------------------------------------------------------
Trashed embedded resource editing UI


R3296 | 58d2d67e | ZZYZX | 12/29/2019, 4:25 AM
--------------------------------------------------------------------------------
Do not try to continuously reload failed textures


R3295 | 30819b3b | biwa | 12/29/2019, 4:01 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/UltimateDoomBuilder


R3294 | 1786ab52 | biwa | 12/29/2019, 4:00 AM
--------------------------------------------------------------------------------
Changed checkdistance in ThingTypeInfo from int to double so that doesn't overflow


R3293 | 62cddff5 | ZZYZX | 12/29/2019, 3:02 AM
--------------------------------------------------------------------------------
Use nearest filtering if nearest is specified


R3292 | 8f9d840a | biwa | 12/29/2019, 2:03 AM
--------------------------------------------------------------------------------
Use map boundaries defined in the game's config instead of static values in VisualBlockMap


R3291 | 5082d7c3 | Magnus Norddahl | 12/28/2019, 9:52 PM
--------------------------------------------------------------------------------
Alter the nearest filter to not have noise in it


R3290 | d46c72b0 | Magnus Norddahl | 12/28/2019, 6:54 PM
--------------------------------------------------------------------------------
Refactor the ImageData load code so that the UI thread requires no locks


R3289 | f41c5bdd | ZZYZX | 12/28/2019, 12:01 PM
--------------------------------------------------------------------------------
Used slightly better approach for executing stuff in the main thread


R3288 | bd811aac | ZZYZX | 12/28/2019, 11:37 AM
--------------------------------------------------------------------------------
Fixed deadlock caused by errors displayed by texture loading


R3287 | 78fe6c30 | ZZYZX | 12/28/2019, 10:12 AM
--------------------------------------------------------------------------------
Fixed UI thread becoming unresponsible in case of missing textures


R3286 | 866facf8 | ZZYZX | 12/28/2019, 12:22 AM
--------------------------------------------------------------------------------
Fixed: not all cases of static FontFamily were addressed


R3285 | 3cae8740 | Magnus Norddahl | 12/27/2019, 8:34 PM
--------------------------------------------------------------------------------
Prevent Image.FromStream from closing the stream if the image isn't recognized


R3284 | 0ebba7bd | biwa | 12/27/2019, 9:49 AM
--------------------------------------------------------------------------------
Fixed a bug where flats on a 3D floor could not be auto-aligned (auto-aligning the flats of the tagged sector instead). Fixes #338.


R3283 | 9b256efd | biwa | 12/27/2019, 8:00 AM
--------------------------------------------------------------------------------
Fixed an issue where selected objects were unnecessarily cleared in visual mode, resulting in slowdowns. Partly addresses #337.


R3282 | 197f96a0 | ZZYZX | 12/27/2019, 2:43 AM
--------------------------------------------------------------------------------
Unfix MaxED's TGA fix


R3281 | af3d74d1 | Magnus Norddahl | 12/26/2019, 10:45 PM
--------------------------------------------------------------------------------
Fix DevIL crash by protecting it with a mutex lock
Use the .net framework image loaders if they work. They do for the sane formats (PNG and JPEG) and they are faster, too.
Enable usage of multiple threads for resource loading now that it no longer crashes


R3280 | 11b5cb4e | Magnus Norddahl | 12/26/2019, 10:21 PM
--------------------------------------------------------------------------------
Fix crash if entering 3D mode early
Remove thread priority settings (this is not the right way to do it)
Stop brain dead busy looping and use Monitor.Wait + Monitor.Pulse
Only call Control.Invoke if its a worker thread calling RunOnUIThread
Add the code for running multiple background threads (unfortunately blocked by DevIL apparently not being thread safe, gg!)


R3279 | 7e0ea542 | Magnus Norddahl | 12/26/2019, 7:37 PM
--------------------------------------------------------------------------------
Don't use SendMessage when the built-in Invoke function does the same


R3278 | f7f408b3 | ZZYZX | 12/26/2019, 9:56 AM
--------------------------------------------------------------------------------
Fixed typo in GZBuilder reference manual


R3277 | 0c0ccf5d | ZZYZX | 12/26/2019, 5:41 AM
--------------------------------------------------------------------------------
Added Screenshots directory to ignored


R3276 | 24e4c55e | ZZYZX | 12/26/2019, 5:15 AM
--------------------------------------------------------------------------------
Fixed logos in the About form


R3275 | 624c5ea1 | ZZYZX | 12/26/2019, 4:33 AM
--------------------------------------------------------------------------------
Fixed: don't use full Renderer2D pipeline while updating the grid after resize (fixes debug build)


R3274 | cbe8abbc | ZZYZX | 12/26/2019, 12:08 AM
--------------------------------------------------------------------------------
Fixed: 3D mode linedefs were completely broken -- reverted 718405b58085a4aa7f173eb1957765431e2f5bee


R3273 | 3491bdcc | ZZYZX | 12/25/2019, 10:16 PM
--------------------------------------------------------------------------------
Fixed: lines in 2D mode had random gray pixels with high quality enabled (resolves #331)


R3272 | 1cbfddd3 | ZZYZX | 12/25/2019, 9:10 PM
--------------------------------------------------------------------------------
Oops.


R3271 | 607ac775 | ZZYZX | 12/25/2019, 9:02 PM
--------------------------------------------------------------------------------
Fixed: use application default font family for rendered labels if user-selected font is not available


R3270 | 76bfd79b | ZZYZX | 12/25/2019, 6:16 PM
--------------------------------------------------------------------------------
Merged remote...


R3269 | 83204022 | ZZYZX | 12/25/2019, 6:16 PM
--------------------------------------------------------------------------------
Fixed background in About form for larger fonts


R3268 | b466035b | Magnus Norddahl | 12/25/2019, 5:02 PM
--------------------------------------------------------------------------------
Fix wrong mipmapping filtering and missing anisotropy


R3267 | 061fa30a | Magnus Norddahl | 12/25/2019, 4:10 PM
--------------------------------------------------------------------------------
Improve camera sector search somewhat


R3266 | 459742c8 | Magnus Norddahl | 12/25/2019, 4:09 PM
--------------------------------------------------------------------------------
Fix double delete bug


R3265 | e68da433 | Magnus Norddahl | 12/25/2019, 3:46 PM
--------------------------------------------------------------------------------
Also clean up textures not created by SetPixels


R3264 | 9d5f8ec7 | Magnus Norddahl | 12/25/2019, 3:39 PM
--------------------------------------------------------------------------------
Rewrite VisualBlockMap to use a quad tree


R3263 | 994eda48 | Magnus Norddahl | 12/25/2019, 3:37 PM
--------------------------------------------------------------------------------
Fix shutdown crash caused by C# finalizers deleting texture objects after renderdevice already left the building


R3262 | 718405b5 | Magnus Norddahl | 12/25/2019, 9:57 AM
--------------------------------------------------------------------------------
Remove the remaining dictionary lookups when culling


R3261 | 1aa020b2 | NickZ | 12/25/2019, 9:45 AM
--------------------------------------------------------------------------------
Added test configuration option to use Linux paths, added different font for text labels (PR#268 by NickZ)

* Add Linux Path option to test config

* make shortpaths and linuxpaths mutually exclusive


R3260 | 96f3b746 | DoomKrawa | 12/25/2019, 9:42 AM
--------------------------------------------------------------------------------
Added: Artiscript for ZDaemon ACS (PR#315 by krawa)

* Artiscript added.

*  Artiscripts added.

And optional parameters for client/server scripts.


R3259 | 73415725 | ZZYZX | 12/25/2019, 9:08 AM
--------------------------------------------------------------------------------
Improved memory usage by loading textures directly into OpenGL


R3258 | 60d836dc | ZZYZX | 12/25/2019, 7:26 AM
--------------------------------------------------------------------------------
Fixed: redraw grid after window size changes


R3257 | 9453c0f8 | ZZYZX | 12/25/2019, 4:42 AM
--------------------------------------------------------------------------------
Bumped official .NET version to 4.7.2


R3256 | a34055a0 | ZZYZX | 12/25/2019, 3:43 AM
--------------------------------------------------------------------------------
Fixed: do a bit less radical deallocation in cube textures


R3255 | d57d73ce | ZZYZX | 12/25/2019, 3:39 AM
--------------------------------------------------------------------------------
Fixed: memory buffer was not cleared after successfully transferring texture data to OpenGL (resolves #327)


R3254 | 054a30dd | ZZYZX | 12/25/2019, 3:32 AM
--------------------------------------------------------------------------------
Fixed: textures of null size should not be allowed (resolves #324)


R3253 | 33b888e5 | biwa | 12/24/2019, 4:54 PM
--------------------------------------------------------------------------------
Renderer2D.PlotLine now transforms the y coordinate so that linedefs in nodes viewer, automap/sound environment/sound propagation mode are not flipped upside down anymore. Fixes #325.


R3252 | d559ba30 | ZZYZX | 12/24/2019, 1:32 PM
--------------------------------------------------------------------------------
Added error reporting to Update Checker; Fixed update checking failure in certain setups


R3251 | fb925016 | ZZYZX | 12/24/2019, 1:10 PM
--------------------------------------------------------------------------------
Fixed: build solution instead of individual projects; this speeds up the compilation process greatly


R3250 | 842d4a66 | ZZYZX | 12/24/2019, 1:06 PM
--------------------------------------------------------------------------------
Fixed: full sector highlight would not show in 2D mode


R3249 | 96f2b4e9 | ZZYZX | 12/24/2019, 11:33 AM
--------------------------------------------------------------------------------
Fixed TGA texture loading


R3248 | 99b17700 | ZZYZX | 12/24/2019, 10:43 AM
--------------------------------------------------------------------------------
Fixed references to GZDB in the setup


R3247 | e4aae177 | ZZYZX | 12/24/2019, 10:19 AM
--------------------------------------------------------------------------------
Changed remaining build URLs in the setup


R3246 | f3c60ac5 | ZZYZX | 12/24/2019, 10:13 AM
--------------------------------------------------------------------------------
Corrected Git Issues link for error dialog


R3245 | 915fd9a8 | ZZYZX | 12/24/2019, 10:07 AM
--------------------------------------------------------------------------------
Renamed GPL.txt to LICENSE.txt


R3244 | 61c6903b | ZZYZX | 12/24/2019, 10:06 AM
--------------------------------------------------------------------------------
Fixed wrong icon in Updater


R3243 | 8b682a65 | ZZYZX | 12/24/2019, 10:04 AM
--------------------------------------------------------------------------------
Fixed wrong icon in auto-update Newsflash


R3242 | 6419cc04 | ZZYZX | 12/24/2019, 9:49 AM
--------------------------------------------------------------------------------
Merged OpenGL UDB dev branch


R3241 | e1f3dfda | ZZYZX | 12/24/2019, 9:47 AM
--------------------------------------------------------------------------------
Changed link to UDB


R3240 | 81df5e85 | ZZYZX | 12/24/2019, 9:45 AM
--------------------------------------------------------------------------------
Removed remaining DirectX references, fixed setup


R3239 | 0d9c8d24 | ZZYZX | 12/24/2019, 8:51 AM
--------------------------------------------------------------------------------
Added GPLv3 to the repository's root


R3238 | 37c52b4d | biwa | 12/24/2019, 6:58 AM
--------------------------------------------------------------------------------
Code folding in the script editor works again. Fixes #115.


R3237 | 4b86389a | ZZYZX | 12/24/2019, 5:28 AM
--------------------------------------------------------------------------------
Clarified credits a bit


R3236 | 4934d6ba | ZZYZX | 12/24/2019, 5:09 AM
--------------------------------------------------------------------------------
Replace MaxED with 'maintainers' in the disclaimer


R3235 | cd9da4b4 | ZZYZX | 12/24/2019, 1:59 AM
--------------------------------------------------------------------------------
Changed splash image and icons


R3234 | d995f983 | ZZYZX | 12/23/2019, 11:12 PM
--------------------------------------------------------------------------------
Rebranding


R3233 | ef6d2176 | Magnus Norddahl | 12/23/2019, 11:09 AM
--------------------------------------------------------------------------------
Rearrange the code slightly so it is easier to add other backends


R3232 | 84efdad4 | Magnus Norddahl | 12/22/2019, 3:13 PM
--------------------------------------------------------------------------------
Add the license that applies to BuilderNative


R3231 | e1ff5fc0 | Magnus Norddahl | 12/22/2019, 2:44 PM
--------------------------------------------------------------------------------
Implement resource cleanup for all resource types


R3230 | 11aa3145 | Magnus Norddahl | 12/20/2019, 8:43 PM
--------------------------------------------------------------------------------
Remove more dictionaries from the render loop


R3229 | 848ff8e7 | Magnus Norddahl | 12/20/2019, 6:32 PM
--------------------------------------------------------------------------------
Fix typo


R3228 | b0538ac3 | Magnus Norddahl | 12/20/2019, 6:31 PM
--------------------------------------------------------------------------------
Move matrix functions to its own file


R3227 | 28406cf1 | Magnus Norddahl | 12/20/2019, 5:14 PM
--------------------------------------------------------------------------------
Declare the uniform variables in C#


R3226 | a21edf78 | Magnus Norddahl | 12/20/2019, 4:47 PM
--------------------------------------------------------------------------------
Misc adjustments to make the cherry-picked 'C# shader resources' commit work


R3225 | 2390b56b | Magnus Norddahl | 12/20/2019, 4:37 PM
--------------------------------------------------------------------------------
Add OpenGL output log to .gitignore


R3224 | 236ddd14 | Magnus Norddahl | 12/20/2019, 4:36 PM
--------------------------------------------------------------------------------
Remove shader references from BuilderNative.vcxproj


R3223 | 3de2427e | Magnus Norddahl | 12/20/2019, 4:34 PM
--------------------------------------------------------------------------------
Removed -f suffixes for floats (not supported on AMD)


R3222 | 7f6ff892 | Magnus Norddahl | 9/29/2019, 9:57 AM
--------------------------------------------------------------------------------
Move the shaders to C# resources


R3221 | da57945d | ZZYZX | 12/20/2019, 6:41 AM
--------------------------------------------------------------------------------
Merge branch 'master' into slimgl_merge


R3220 | e1878725 | ZZYZX | 12/20/2019, 6:38 AM
--------------------------------------------------------------------------------
Add fps counter in visual mode


R3219 | 5d3e78ad | ZZYZX | 12/20/2019, 6:17 AM
--------------------------------------------------------------------------------
Add FPS counter for visual mode


R3218 | 5c5633c1 | Magnus Norddahl | 12/19/2019, 8:30 PM
--------------------------------------------------------------------------------
Clearing the current active OpenGL context is apparently very expensive. Only do it if we're destroying an OpenGL context.


R3217 | c8237b0e | Magnus Norddahl | 12/19/2019, 8:12 PM
--------------------------------------------------------------------------------
Speed up linedef processing by not relying on a hashmap


R3216 | 28f01517 | Magnus Norddahl | 12/19/2019, 7:50 PM
--------------------------------------------------------------------------------
Trade some memory for speed


R3215 | 80f815ca | Magnus Norddahl | 12/19/2019, 6:39 PM
--------------------------------------------------------------------------------
Fix the error handling: only create one call unless there's an error and only check for errors in functions that can fail


R3214 | 9c8f8916 | biwa | 12/19/2019, 6:46 AM
--------------------------------------------------------------------------------
Fixed a crash that would happen in the texture set editor when double-clicking on the last texture


R3213 | 4274ee28 | Magnus Norddahl | 12/18/2019, 6:12 PM
--------------------------------------------------------------------------------
Use C++ and SSE code to do matrix math
Avoid copying by passing matrices by reference to RenderDevice
Use fasttrig from GZDoom for faster cos/sin
Don't set matrices unless they changed. Even though the memcmp prevents it from being pushed to OpenGL it is still a waste.


R3212 | 2bce3f06 | ZZYZX | 12/18/2019, 11:27 AM
--------------------------------------------------------------------------------
Flip GDI bitmap in model loading before feeding it to OpenGL


R3211 | 4de0d96d | ZZYZX | 12/18/2019, 5:24 AM
--------------------------------------------------------------------------------
Only set uniform for world matrix if it was the only one that changed


R3210 | b19ce39a | Magnus Norddahl | 12/17/2019, 7:22 PM
--------------------------------------------------------------------------------
Only set uniforms if they changed


R3209 | de2e336c | Magnus Norddahl | 12/17/2019, 6:24 PM
--------------------------------------------------------------------------------
Use OpenGL sampler objects


R3208 | b70b114a | Magnus Norddahl | 12/17/2019, 5:27 PM
--------------------------------------------------------------------------------
Place all vertex buffers in the same GPU vertex buffer so that the 3D scene only contains 2 vertex buffer binds per frame


R3207 | b3a4f563 | ZZYZX | 12/17/2019, 2:36 PM
--------------------------------------------------------------------------------
Call wglMakeCurrent before SwapBuffers in Windows context implementation


R3206 | bd967138 | ZZYZX | 12/15/2019, 10:32 PM
--------------------------------------------------------------------------------
Return old code for grid drawing on the renderer side


R3205 | 4cb6d68c | ZZYZX | 12/15/2019, 8:54 PM
--------------------------------------------------------------------------------
Use PBO to stream texture data for software rendering


R3204 | 5fbedaf8 | ZZYZX | 12/15/2019, 6:52 PM
--------------------------------------------------------------------------------
Fixed: don't reduce alpha twice in 2D render layers


R3203 | 19718cd4 | ZZYZX | 12/15/2019, 6:18 PM
--------------------------------------------------------------------------------
Fixed: skybox generated from Doom texture was misplaced


R3202 | 8ac7e407 | ZZYZX | 12/15/2019, 6:15 PM
--------------------------------------------------------------------------------
Returned CodeImp's software renderer for line plotting


R3201 | 2433b8eb | ZZYZX | 12/15/2019, 3:17 PM
--------------------------------------------------------------------------------
Removed -f suffixes for floats (not supported on AMD)


R3200 | 81c8cdee | ZZYZX | 12/15/2019, 2:27 PM
--------------------------------------------------------------------------------
Added credit to Talon1024 & dpJ


R3199 | bd6d2177 | ZZYZX | 12/15/2019, 2:20 PM
--------------------------------------------------------------------------------
Deleted SlimDX; returned pre-build event to copy appropriate DevIL version


R3198 | eafce14a | ZZYZX | 12/15/2019, 2:00 PM
--------------------------------------------------------------------------------
Merge remote-tracking branch 'origin/master' into slimgl_merge


R3197 | 502b6419 | ZZYZX | 12/15/2019, 1:53 PM
--------------------------------------------------------------------------------
Improved error reporting


R3196 | 7f09dd2a | ZZYZX | 12/15/2019, 12:47 PM
--------------------------------------------------------------------------------
Reenabled point filtering in visual mode


R3195 | 4febbdad | biwa | 12/15/2019, 11:31 AM
--------------------------------------------------------------------------------
Zscript bool user variables are now treated as bool instead of int
Added support for int8, int16, uint, uint8, and uint16 user variables


R3194 | 99a90512 | ZZYZX | 12/15/2019, 8:48 AM
--------------------------------------------------------------------------------
Fixed: depth tested FBO did not work


R3193 | 6f122d28 | ZZYZX | 12/14/2019, 10:09 PM
--------------------------------------------------------------------------------
Fixed: alpha in the plotter was applied twice


R3192 | d1ff6bcc | ZZYZX | 12/14/2019, 9:12 PM
--------------------------------------------------------------------------------
Fixed: line can be either dotted or smoothed


R3191 | ca75897b | ZZYZX | 12/14/2019, 5:45 PM
--------------------------------------------------------------------------------
Make grid dotted again


R3190 | d843a61d | ZZYZX | 12/14/2019, 4:32 PM
--------------------------------------------------------------------------------
Replaced line intersection with something that does not cause infinite loops


R3189 | 554ccc44 | ZZYZX | 12/14/2019, 3:58 PM
--------------------------------------------------------------------------------
Fixed plotting from plugins, fixed transformed grid


R3188 | 24c28e92 | ZZYZX | 12/14/2019, 3:16 PM
--------------------------------------------------------------------------------
Fixed untransformed grid being Y-inverted


R3187 | 8472e0d0 | biwa | 12/14/2019, 2:40 PM
--------------------------------------------------------------------------------
Draw slope mode: by default slope vertices are now placed with the left mouse button, and drawing a slope is finished with the right mouse button


R3186 | 83d3796d | ZZYZX | 12/14/2019, 2:11 PM
--------------------------------------------------------------------------------
Fixed assembly reference issues in 3DFloorMode


R3185 | 714bb842 | ZZYZX | 12/14/2019, 1:52 PM
--------------------------------------------------------------------------------
Implemented alternate fix for Linux paths (2)


R3184 | f0aee1e1 | ZZYZX | 12/14/2019, 1:50 PM
--------------------------------------------------------------------------------
Merge branch 'master' into slimgl_merge


R3183 | 5295f7f5 | ZZYZX | 12/14/2019, 1:43 PM
--------------------------------------------------------------------------------
Implemented alternate fix for Linux paths (to-do: add case-insensitive hack later)


R3182 | 2c3013f7 | ZZYZX | 12/14/2019, 1:42 PM
--------------------------------------------------------------------------------
Make everything build with VS2015 again


R3181 | 384a9882 | ZZYZX | 12/14/2019, 1:37 PM
--------------------------------------------------------------------------------
Revert "Backslashes in file paths are not supported on unix"

This reverts commit 2e146309826464794becaeb70773d3d7f7cda75b.


R3180 | 3f8da3fc | biwa | 12/14/2019, 5:32 AM
--------------------------------------------------------------------------------
Stair sector builder: renamen "Single sectors" option to "Single steps". Added option to keep distinct sectors when using single steps


R3179 | ee4ac1e4 | biwa | 12/14/2019, 3:18 AM
--------------------------------------------------------------------------------
Stair sector builder: prefabs can now be loaded by double-clicking them


R3178 | 31eaf98c | biwa | 12/14/2019, 2:52 AM
--------------------------------------------------------------------------------
Using --- and +++ now also works correctly for the height offset in the edit sector properties dialog


R3177 | c9e7551c | biwa | 12/7/2019, 4:14 PM
--------------------------------------------------------------------------------
Added ZScript mixin class support


R3176 | 2699f579 | biwa | 12/3/2019, 6:23 AM
--------------------------------------------------------------------------------
Fixed an issue where the ZScript parser aborted with a cryptic error message when encountering a number that was too small or big. It now clamps the value to min/max for the data type and prints a warning


R3175 | 8824a2bb | biwa | 11/30/2019, 8:49 AM
--------------------------------------------------------------------------------
Fixed a bug where the wrong texture/flat with the same name would be displayed in the texture browser when they were loaded from a PK3 or directory


R3174 | cbaa0c03 | biwa | 11/30/2019, 8:05 AM
--------------------------------------------------------------------------------
Long names can now used for flats (again)


R3173 | 490fa567 | biwa | 11/15/2019, 1:34 PM
--------------------------------------------------------------------------------
- 3D Floor Mode: fixed a bug where orphaned managed control sectors would be overwritten by relocating the control sectors


R3172 | e09cf546 | biwa | 11/15/2019, 12:56 PM
--------------------------------------------------------------------------------
- 3D Floor Mode: mode is now only available in Hexen format and UDMF
- 3D Floor Mode: removed non-functional "Spline" checkbox from the Edit Slope Vertex dialog


R3171 | af328603 | biwa | 11/2/2019, 6:50 AM
--------------------------------------------------------------------------------
- Added online help for 3D Floor Mode, Draw Slope Mode, and Slope Mode


R3170 | 9c900ac3 | biwa | 11/2/2019, 4:48 AM
--------------------------------------------------------------------------------
- Fixed a crash when dragging the mouse in 3D floor mode. Fixes #311.


R3169 | ceb4555d | biwa | 11/1/2019, 9:23 AM
--------------------------------------------------------------------------------
- Fixed a crash when undoing 3D floor plugin actions while being in visual mode. Fixes #309.


R3168 | 6c05f1da | biwa | 10/31/2019, 4:21 PM
--------------------------------------------------------------------------------
- Fixed a problem in the 3D floor mode plugin that caused an exception when saving the program preferences. Fixes #310.


R3167 | 75d6214d | biwa | 10/31/2019, 1:34 PM
--------------------------------------------------------------------------------
@ Added some missing files for the tools


R3166 | 7c7d3cbe | biwa | 10/31/2019, 1:29 PM
--------------------------------------------------------------------------------
@ Cleaned up some annoying debug messages in 3D Floor Mode


R3165 | 7dc01a94 | biwa | 10/31/2019, 1:23 PM
--------------------------------------------------------------------------------
- Updated tools to use .Net 4.6.1 to be in line with GZDB-BF


R3164 | b94dd31f | biwa | 10/31/2019, 1:16 PM
--------------------------------------------------------------------------------
- Fixed a bug where the wrong sectors and linedefs were highlighted in UDMF under certain conditions. Fixes #307.


R3163 | 8b98ce09 | biwa | 10/23/2019, 11:55 AM
--------------------------------------------------------------------------------
- Added 3D Floor Mode plugin
- Flipped top/bottom in 3D Floor Mode plugin dialogs to be consistent with the edit sector dialog
@ fixed all compiler warnings in 3D Floor Mode plugin


R3162 | 05a64b4a | biwa | 10/19/2019, 11:58 AM
--------------------------------------------------------------------------------
- Fixed a bug where searching for generalized sector effects was not handled properly in Find & Replace Mode. Fixes 305.


R3161 | 4b86f545 | biwa | 10/19/2019, 7:52 AM
--------------------------------------------------------------------------------
- Increased max view distance from 9000 to 64000 map units. Step size increased from 200 to 500 map units
@ Improved performance of VisualBlockMap.GetFrustumRange so that high view distances is actually usable. This does not do anything to the rendering speed, so that's still slow


R3160 | 560d2389 | biwa | 10/18/2019, 3:29 PM
--------------------------------------------------------------------------------
- Auto-aligning textures now produces more intuitive results and is consistent between UDMF and non-UDMF maps


R3159 | ba6dc546 | biwa | 10/13/2019, 4:47 AM
--------------------------------------------------------------------------------
- (Hopefully) addressed a problem where images failed to load when opening another map in the 64 bit version
@ This is a workaround for #295.


R3158 | 4089ff10 | biwa | 10/7/2019, 10:13 AM
--------------------------------------------------------------------------------
- (G)ZDoom action 51:Sector_SetLink is now flagged to not require an activation, since it's mostly used statically


R3157 | 8fe66886 | biwa | 10/7/2019, 10:07 AM
--------------------------------------------------------------------------------
- The Updater is now x64 in the x64 build and can update the x64 version of GZDB-BF


R3156 | c255a6e9 | biwa | 10/6/2019, 12:56 PM
--------------------------------------------------------------------------------
- Fixed several issues where slopes were not shown correctly in visual mode


R3155 | 6aa82e2a | biwa | 9/21/2019, 5:03 AM
--------------------------------------------------------------------------------
- Slope effects related to slope things are now displayed more correctly in visual mode (they were not applied at all). Fixes #160
- Slope effects of UDMF vertex heights are now displayed more correctly in visual mode (they could be overwritten by lower tier slopes)


R3154 | 67a68186 | biwa | 9/20/2019, 2:14 PM
--------------------------------------------------------------------------------
- UDMF vertex heights are now preserved in a more sensible way when joining vertices. Fixes #299.


R3153 | c6b879bb | mykola-ambar | 9/20/2019, 11:49 AM
--------------------------------------------------------------------------------
Fix sector offset transformation in Edit Selection mode (PR#274 by mykola-ambar)


R3152 | 6e0acdf7 | biwa | 9/17/2019, 11:23 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/GZDoom-Builder-Bugfix


R3151 | e799d882 | biwa | 9/17/2019, 11:22 AM
--------------------------------------------------------------------------------
Fixed a crash when manually modifying a sidedef's sector index to a sector with a tag


R3150 | b5bd90c0 | Kevin Caccamo | 9/10/2019, 4:26 PM
--------------------------------------------------------------------------------
Attempt to fix grid being vertically inverted

I don't know exactly where the root cause of the problem lies, but this solution works for me, even if it is a bit of a hack.

Fixes #1


R3149 | 6e429866 | Kevin Caccamo | 9/9/2019, 9:17 PM
--------------------------------------------------------------------------------
Fix crash when adding a new sector with the same number of vertices as another

I think it happened because set.buffers[bufferindex] was null.

Fixes #2


R3148 | c853430b | Kevin Caccamo | 9/9/2019, 8:30 PM
--------------------------------------------------------------------------------
Improve Makefile so that msbuild and gcc can be run in parallel


R3147 | 399e527b | Xabis | 9/5/2019, 3:37 AM
--------------------------------------------------------------------------------
Support for RenderRadius (PR#297 by Xabis)


R3146 | 7d3379c6 | Kevin Caccamo | 9/3/2019, 7:54 PM
--------------------------------------------------------------------------------
Fix textures in 2D mode being clamped

I have no idea why the textures in 2D more ended up being clamped to begin with, but this should fix that.


R3145 | b5ad5116 | Kevin Caccamo | 9/2/2019, 12:06 AM
--------------------------------------------------------------------------------
Enable DevIL on Linux

Remove NO_DEVIL defines, and add devil.dll -&gt; libIL.so.1 DLL mapping to app.config


R3144 | a8ef8d52 | DoomKrawa | 9/3/2019, 1:57 AM
--------------------------------------------------------------------------------
ZDaemon sprites (PR#282 by Krawa)

* Flags and Railgun taken from zdaemon.wad.

Thanks to ZDaemon team for the sprites.

* ZDaemon Flags and Railgun.


R3143 | 15a7f026 | Magnus Norddahl | 8/31/2019, 5:14 AM
--------------------------------------------------------------------------------
Create mono projects for all the plugins


R3142 | 03e9da36 | Magnus Norddahl | 8/30/2019, 1:30 AM
--------------------------------------------------------------------------------
Misc fixes for mono P/Invoke of BuilderNative


R3141 | 3cd96fc7 | Magnus Norddahl | 8/29/2019, 11:45 PM
--------------------------------------------------------------------------------
Fix linux compile errors and build the BuilderNative.so library


R3140 | 51fabae1 | Magnus Norddahl | 8/29/2019, 12:45 PM
--------------------------------------------------------------------------------
Turn off updater with mono as it won't work without additional work


R3139 | 2e146309 | Magnus Norddahl | 8/29/2019, 12:38 PM
--------------------------------------------------------------------------------
Backslashes in file paths are not supported on unix


R3138 | 4cfe80f3 | Magnus Norddahl | 8/29/2019, 12:04 PM
--------------------------------------------------------------------------------
GZDB can now boot using mono


R3137 | 159a2e6d | Magnus Norddahl | 8/29/2019, 11:24 AM
--------------------------------------------------------------------------------
Build using msbuild on mono to fix issues with resources and such


R3136 | 9b300126 | Magnus Norddahl | 8/29/2019, 8:56 AM
--------------------------------------------------------------------------------
Disable DEVIL and create build solution specifically for mono


R3135 | 9f2c9e00 | Magnus Norddahl | 8/29/2019, 7:30 AM
--------------------------------------------------------------------------------
Add mono makefile


R3134 | 64c04f42 | biwa | 8/24/2019, 3:43 AM
--------------------------------------------------------------------------------
- Fixed a bug where lights defined in GLDEFS wouldn't show up in visual mode. Fixes #294.


R3133 | c2157ee2 | Magnus Norddahl | 8/22/2019, 2:28 PM
--------------------------------------------------------------------------------
- fix field of view


R3132 | 9d02676f | Magnus Norddahl | 8/22/2019, 1:59 PM
--------------------------------------------------------------------------------
- fix wrong uniform state


R3131 | 64cc7d2b | Magnus Norddahl | 8/22/2019, 9:43 AM
--------------------------------------------------------------------------------
- implement the fixed function fog


R3130 | 808d644c | Magnus Norddahl | 8/22/2019, 7:26 AM
--------------------------------------------------------------------------------
- fix visual mode movement not working


R3129 | 7abcb2a3 | Magnus Norddahl | 8/22/2019, 6:52 AM
--------------------------------------------------------------------------------
- remove unsafe keyword from functions no longer needing it


R3128 | 1ef7d4a2 | Magnus Norddahl | 8/22/2019, 6:46 AM
--------------------------------------------------------------------------------
- improve performance


R3127 | 0562dac6 | Magnus Norddahl | 8/20/2019, 3:45 AM
--------------------------------------------------------------------------------
- fix screenverts math and some line drawing bugs


R3126 | 4c0e6e8f | Magnus Norddahl | 8/20/2019, 2:00 AM
--------------------------------------------------------------------------------
- implement plotter as a shader


R3125 | e5500f71 | Magnus Norddahl | 8/17/2019, 11:14 PM
--------------------------------------------------------------------------------
- don't update the texture unless something was drawn


R3124 | 9b0b6d26 | Magnus Norddahl | 8/17/2019, 11:11 PM
--------------------------------------------------------------------------------
- clear command list once drawn


R3123 | b51270fd | Magnus Norddahl | 8/17/2019, 11:07 PM
--------------------------------------------------------------------------------
- Delay plotter drawing until DrawContents is called


R3122 | 31424374 | Magnus Norddahl | 8/17/2019, 10:43 PM
--------------------------------------------------------------------------------
- move plotter texture into plotter


R3121 | 3b2d50cc | Magnus Norddahl | 8/17/2019, 9:04 PM
--------------------------------------------------------------------------------
- add the X11 OpenGL init code, even though it is useless until someone repairs mono's winforms implementation


R3120 | ebba32e7 | Magnus Norddahl | 8/17/2019, 6:29 PM
--------------------------------------------------------------------------------
- add the appropriate ifdefs for an unix build


R3119 | 5ccc225f | Magnus Norddahl | 8/16/2019, 8:21 PM
--------------------------------------------------------------------------------
- fix light pass


R3118 | 6c9f9b92 | Magnus Norddahl | 8/16/2019, 6:58 PM
--------------------------------------------------------------------------------
- remove unused code


R3117 | c914aadc | Magnus Norddahl | 8/16/2019, 6:21 PM
--------------------------------------------------------------------------------
- simplify texture binding


R3116 | c88b94e1 | Magnus Norddahl | 8/16/2019, 6:08 PM
--------------------------------------------------------------------------------
- render to texture bug fixes


R3115 | cea032e0 | Magnus Norddahl | 8/16/2019, 5:06 AM
--------------------------------------------------------------------------------
- remove unused code


R3114 | 0542bd25 | Magnus Norddahl | 8/16/2019, 5:01 AM
--------------------------------------------------------------------------------
- convert texturefactor to uniform


R3113 | 39682061 | Magnus Norddahl | 8/16/2019, 4:38 AM
--------------------------------------------------------------------------------
- Sending data to Direct3D 9 just to retrieve it is stupid


R3112 | 149012e8 | Magnus Norddahl | 8/16/2019, 4:23 AM
--------------------------------------------------------------------------------
- simplify buffer indexing


R3111 | 9b53939f | Magnus Norddahl | 8/16/2019, 4:07 AM
--------------------------------------------------------------------------------
- simplify vertex buffer and vertex format


R3110 | d701987f | Magnus Norddahl | 8/16/2019, 2:24 AM
--------------------------------------------------------------------------------
- don't pass sizes into VertexBuffer and IndexBuffer constructors
- CopyTexture bug fixes


R3109 | fb137d46 | Magnus Norddahl | 8/15/2019, 10:45 PM
--------------------------------------------------------------------------------
- draw streamed vertices


R3108 | dc3bd6cb | Magnus Norddahl | 8/15/2019, 10:44 PM
--------------------------------------------------------------------------------
- ignore release build files


R3107 | edecd3f7 | Magnus Norddahl | 8/15/2019, 10:12 PM
--------------------------------------------------------------------------------
- rename draw functions


R3106 | 56046857 | Magnus Norddahl | 8/15/2019, 10:10 PM
--------------------------------------------------------------------------------
- remove old fixed function shader as it isn't used


R3105 | 55c404e6 | Magnus Norddahl | 8/15/2019, 9:39 PM
--------------------------------------------------------------------------------
- add raw mouse input


R3104 | e035ff81 | Magnus Norddahl | 8/15/2019, 8:37 PM
--------------------------------------------------------------------------------
- fix alpha ending up in red channel


R3103 | c4dafbed | Magnus Norddahl | 8/15/2019, 7:10 PM
--------------------------------------------------------------------------------
- implement alpha test


R3102 | 8ea439a5 | Magnus Norddahl | 8/15/2019, 5:49 AM
--------------------------------------------------------------------------------
- fix some rendering problems in visual mode


R3101 | a292300e | Magnus Norddahl | 8/15/2019, 12:49 AM
--------------------------------------------------------------------------------
- use some more sane values for the frame buffer


R3100 | e6731115 | Magnus Norddahl | 8/15/2019, 12:40 AM
--------------------------------------------------------------------------------
- and we have visuals!


R3099 | 10c06cc6 | Magnus Norddahl | 8/14/2019, 5:57 PM
--------------------------------------------------------------------------------
- minor bug fix


R3098 | a542385c | Magnus Norddahl | 8/14/2019, 5:52 PM
--------------------------------------------------------------------------------
- force texture and buffer updating to go through RenderDevice


R3097 | b41cb07e | Magnus Norddahl | 8/14/2019, 4:51 AM
--------------------------------------------------------------------------------
- Hook up texture creation and binding


R3096 | 1d09a0f8 | Magnus Norddahl | 8/14/2019, 3:36 AM
--------------------------------------------------------------------------------
- implement ApplyUniforms


R3095 | 3c44f77b | Magnus Norddahl | 8/13/2019, 10:55 PM
--------------------------------------------------------------------------------
- port all the direct3d shaders to glsl


R3094 | 14fd3c96 | Magnus Norddahl | 8/12/2019, 7:12 PM
--------------------------------------------------------------------------------
- remove Things2DShader, World3DShader, Effect and EffectShader


R3093 | 0b3725e2 | Magnus Norddahl | 8/12/2019, 5:43 PM
--------------------------------------------------------------------------------
- remove Display2DShader class


R3092 | 2eaf323a | Magnus Norddahl | 8/11/2019, 11:33 PM
--------------------------------------------------------------------------------
- fix vertex array object binding bug
- add shader program
- fix that alpha color was stored in red channel in Color4
- fix buffer upload bug


R3091 | fd37c455 | Magnus Norddahl | 8/9/2019, 10:46 PM
--------------------------------------------------------------------------------
- Upload and apply vertex buffers, index bufers and vertex declarations


R3090 | d48f032b | Magnus Norddahl | 8/9/2019, 5:32 PM
--------------------------------------------------------------------------------
- create OpenGL context


R3089 | 3fae1e9e | Magnus Norddahl | 8/9/2019, 3:46 PM
--------------------------------------------------------------------------------
- add RenderDevice bindings


R3088 | e3740033 | Magnus Norddahl | 8/9/2019, 2:22 PM
--------------------------------------------------------------------------------
- rename classes with D3D in them


R3087 | 8ada3862 | Magnus Norddahl | 8/9/2019, 2:20 PM
--------------------------------------------------------------------------------
- rename files


R3086 | 407cc703 | Magnus Norddahl | 8/9/2019, 2:15 PM
--------------------------------------------------------------------------------
- implement enough of BuilderNative for GZDB to successfully run without crashing


R3085 | 37876f6d | Magnus Norddahl | 8/8/2019, 9:18 PM
--------------------------------------------------------------------------------
- add BuilderNative library that does the actual rendering


R3084 | 690a4d2e | Magnus Norddahl | 8/8/2019, 11:06 AM
--------------------------------------------------------------------------------
- remove DataStream class


R3083 | c665bfca | Magnus Norddahl | 8/8/2019, 9:24 AM
--------------------------------------------------------------------------------
- remove SlimDX namespace


R3082 | b603cb35 | biwa | 8/8/2019, 6:06 AM
--------------------------------------------------------------------------------
- Unused textures error checker doesn't erroneously report textures on 3D floors with the use upper/lower flags set (followup to #269)
@ Refactored texture error checks to reuse code


R3081 | c00a8995 | biwa | 8/8/2019, 3:17 AM
--------------------------------------------------------------------------------
- Fixed a crash when loading OBJ models with faces without normals


R3080 | 8f15e8d5 | Magnus Norddahl | 8/7/2019, 10:10 PM
--------------------------------------------------------------------------------
- Simplify code


R3079 | e4b257a8 | Magnus Norddahl | 8/7/2019, 7:21 PM
--------------------------------------------------------------------------------
- remove SlimDX.DirectInput namespace


R3078 | 21b46010 | Magnus Norddahl | 8/7/2019, 7:07 PM
--------------------------------------------------------------------------------
Merge remote-tracking branch 'origin/master' into slimgl


R3077 | c8845ae5 | Magnus Norddahl | 8/7/2019, 7:02 PM
--------------------------------------------------------------------------------
- remove SlimDX Stopwatch


R3076 | 3cff90d7 | Magnus Norddahl | 8/7/2019, 6:51 PM
--------------------------------------------------------------------------------
- remove SlimDX.Direct3D9 namespace


R3075 | 1be047d3 | Magnus Norddahl | 8/7/2019, 6:19 PM
--------------------------------------------------------------------------------
- Simplify D3DDevice


R3074 | 90b5c415 | Magnus Norddahl | 8/7/2019, 3:18 PM
--------------------------------------------------------------------------------
- update solution to .net framework 4.7.2 and add build output files to .gitignore


R3073 | 4cec56b5 | Magnus Norddahl | 8/7/2019, 3:05 PM
--------------------------------------------------------------------------------
- remove SlimDX dependency


R3072 | d2452abe | biwa | 7/16/2019, 11:46 AM
--------------------------------------------------------------------------------
- Improved the wording for the "hidden" UDMF sector flag to make clear that it only hides the sector on the textured automap


R3071 | 363a07c6 | biwa | 7/16/2019, 11:37 AM
--------------------------------------------------------------------------------
- Fixed a bug where a thread unsafe string length measuring method could cause a crash. Fixes #275.


R3070 | 2516b97c | biwa | 6/20/2019, 6:38 AM
--------------------------------------------------------------------------------
- Added option to enable additive paint selecting without holding shift independently from regular additive selecting


R3069 | 8d75bfc3 | biwa | 6/20/2019, 5:53 AM
--------------------------------------------------------------------------------
- The missing textures checker now finds missing upper/lower textures on 3D floors when the appropriate flags of the Sector_Set3dFloor special are used. Fixes #269


R3068 | a2567e4d | biwa | 6/18/2019, 12:20 PM
--------------------------------------------------------------------------------
- Textures will now wrap correctly in visual mode when the flag of the Line_SetIdentification special is set in Hexen format. Fixes #271


R3067 | 57054c13 | biwa | 6/16/2019, 11:14 AM
--------------------------------------------------------------------------------
- Fixed a bug where the unknown texture error checker didn't report unknown textures on sidedefs that were never seen. Fixed #270


R3066 | 34f2c308 | biwa | 6/16/2019, 10:31 AM
--------------------------------------------------------------------------------
- More model texture loading weirdness is now regarded


R3065 | c2b18a91 | biwa | 6/16/2019, 9:40 AM
--------------------------------------------------------------------------------
- Fixed a bug where textures for internal model skin names did not load when "Path" was specified in MODELDEF


R3064 | 70b2be5e | biwa | 6/16/2019, 3:05 AM
--------------------------------------------------------------------------------
- Fixed a crash that happened when there were OBJ elements without parameters


R3063 | dc746178 | biwa | 6/15/2019, 3:03 PM
--------------------------------------------------------------------------------
- Fixed a problem with OBJ models being flipped


R3062 | 97d4fdd7 | biwa | 6/15/2019, 12:26 PM
--------------------------------------------------------------------------------
@Fixed some compiler warnings


R3061 | dde8742f | biwa | 6/15/2019, 8:44 AM
--------------------------------------------------------------------------------
- Added support for Wavefront OBJ models
- Fixed a problem where model textures were not loaded from the textures directory or from TEXTUREx definitions. Fixes #173 and #226


R3060 | 44745bdb | biwa | 5/31/2019, 2:11 PM
--------------------------------------------------------------------------------
- More speed improvements to the texture browser


R3059 | 48af52af | biwa | 5/30/2019, 3:20 PM
--------------------------------------------------------------------------------
- Improved performance of the texture browser. This should significantly reduce the times it takes to open the texture browser when using large texture sets


R3058 | 22df516e | biwa | 4/20/2019, 7:55 AM
--------------------------------------------------------------------------------
- Fixed a bug where moving the mouse outside the window could crash when pasting a selection while having auto dragging enabled. Fixes #110.


R3057 | fbf4b259 | biwa | 4/20/2019, 4:22 AM
--------------------------------------------------------------------------------
- Fixed a freeze in the Tag Range plug-in when using the "relative" and "skip used tags" options. Fixes #125.


R3056 | 36361de8 | biwa | 4/19/2019, 10:58 AM
--------------------------------------------------------------------------------
- Fixed a bug where script compile errors were not shown under certain circumstances. Fixes #161.


R3055 | b5e950df | biwa | 4/19/2019, 7:14 AM
--------------------------------------------------------------------------------
- Fixed an issue where the current editing mode was not re-initialized properly when opening a map from current WAD


R3054 | aafe42c8 | biwa | 4/16/2019, 9:05 AM
--------------------------------------------------------------------------------
- Test map from current mouse position now works properly in Hexen/UDMF maps with multiple player starts. Also works in maps without a valid player start now. Fixes #263.


R3053 | 03cb5249 | biwa | 4/14/2019, 9:27 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/jewalky/GZDoom-Builder-Bugfix


R3052 | f2a343e1 | biwa | 4/14/2019, 9:24 AM
--------------------------------------------------------------------------------
- Added support for the ForceWorldPanning MAPINFO option. Fixes #258
- Improved support for auto aligning scaled textures


R3051 | 95a9d287 | ZZYZX | 3/29/2019, 11:40 AM
--------------------------------------------------------------------------------
Specify git.exe instead of just 'git' for compatibility with my environment with Cygwin git...


R3050 | 3d156a3b | biwa | 3/27/2019, 1:47 PM
--------------------------------------------------------------------------------
3D floors are now updated in real time in visual mode when their control sector is sloped through the line slope action. Fixes #250.


R3049 | b9459419 | biwa | 3/27/2019, 12:23 PM
--------------------------------------------------------------------------------
Visplane Explorer is now working in the x64 version


R3048 | 838d04e9 | davidxn | 2/27/2019, 9:12 AM
--------------------------------------------------------------------------------
Missing Activation map check (PR#260 by davidxn)

* Adding check for missing activations on lines that have an activation-requiring action

* Adding skip check if the map isn't UDMF

* Oops, typo in name of check


R3047 | 227a0402 | DoomKrawa | 2/14/2019, 1:59 AM
--------------------------------------------------------------------------------
New defines for GetPlayerInfo (ZDaemon 1.10.07) (PR#257 by Krawa)


R3046 | 82101676 | volte | 1/27/2019, 3:27 PM
--------------------------------------------------------------------------------
Fix for rotated grid algorithm causing a freeze in some circumstances (PR#255 by Volte)


R3045 | 5c420357 | ZZYZX | 1/19/2019, 12:02 AM
--------------------------------------------------------------------------------
Fixed unused variable warnings; fixed compilation error in Renderer2D


R3044 | eaebf7ec | biwa | 1/18/2019, 11:56 PM
--------------------------------------------------------------------------------
Added paint selecting to visual mode (PR#248 by biwa)


R3043 | 5157dafd | volte | 1/15/2019, 10:44 PM
--------------------------------------------------------------------------------
Various fixes for rotated grid functionality (PR#253 by Volte)


R3042 | a1d28e1e | volte | 1/14/2019, 10:07 AM
--------------------------------------------------------------------------------
Grid rotation and alignment functionality (PR#252 by Volte)


R3041 | e1b9f315 | ZZYZX | 12/2/2018, 7:51 AM
--------------------------------------------------------------------------------
Updated ZDoom ACS definitions; Updated ZScript parser for compatibility with latest GZDoom


R3040 | a705dc1e | ZZYZX | 10/7/2018, 3:26 PM
--------------------------------------------------------------------------------
Maintenance: added missing FolderSelectDialog.cs


R3039 | 6fc15a17 | ZZYZX | 7/25/2018, 6:03 AM
--------------------------------------------------------------------------------
Fixed crash while trying to reference nonexistent vertices in Unreal models


R3038 | 80b7d86c | ZZYZX | 7/24/2018, 1:35 AM
--------------------------------------------------------------------------------
Added: color user variable, //$UserReinterpret for color control on integer user variable


R3037 | 04dc210d | ZZYZX | 7/24/2018, 12:27 AM
--------------------------------------------------------------------------------
Added: string/float user variables, //$UserDefaultValue &lt;value&gt; for specifying default user variable value


R3036 | 74e31b65 | ZZYZX | 7/16/2018, 11:33 AM
--------------------------------------------------------------------------------
Fixed Builder.exe.config, only this time properly


R3035 | a196457f | ZZYZX | 7/16/2018, 7:06 AM
--------------------------------------------------------------------------------
Fixed: GZDB wouldn't load plugins on certain paranoid systems due to plugin DLL's being "remote" and unsigned (reported by Lorenzo)


R3034 | 20f96cd1 | ZZYZX | 7/12/2018, 10:20 PM
--------------------------------------------------------------------------------
Added .iwad, .ipk3, .ipk7 extensions to recognized list (reported by someone somewhere some time ago...)


R3033 | 1933b0b6 | ZZYZX | 7/12/2018, 9:56 PM
--------------------------------------------------------------------------------
Changed Resource directory browser to use Win7 folder dialog, not Win9x one (reported by dpJudas)


R3032 | afd71080 | Marisa Kirisame | 7/5/2018, 2:50 AM
--------------------------------------------------------------------------------
Update .3d support to match coelckers/gzdoom#506 (PR#221 by Marisa_Kirisame)


R3031 | 50d458f7 | ZZYZX | 6/23/2018, 9:20 AM
--------------------------------------------------------------------------------
Fixed null reference in visual mode when trying to render a thing without a sector (reported by Ozymandias81)


R3030 | b026e58a | ZZYZX | 6/9/2018, 7:26 AM
--------------------------------------------------------------------------------
Added: MODELDEF #include support


R3029 | 3c433cfc | ZZYZX | 6/7/2018, 1:59 AM
--------------------------------------------------------------------------------
Fixed scalar in UE1 model reader (was 127, should be 128)


R3028 | 6768bc7f | JakeSmokie | 6/7/2018, 1:32 AM
--------------------------------------------------------------------------------
Added sector raise/lower by 128mp (PR #215 by JakeSmokie)


R3027 | 0f469e90 | ZZYZX | 5/28/2018, 1:12 AM
--------------------------------------------------------------------------------
Updated Unreal model loading to the fixed behavior (only this time really fixed)


R3026 | 320b5f01 | ZZYZX | 5/28/2018, 1:00 AM
--------------------------------------------------------------------------------
Updated Unreal model loading to the fixed behavior in GZDoom - axes were remapped incorrectly (I blame Marisa_Kirisame)


R3025 | 8af4a46c | ZZYZX | 5/27/2018, 6:06 PM
--------------------------------------------------------------------------------
Actually fixed vertex axes in Unreal models.  Fixed the order of rotations in MODELDEF Offsets (this was not releavent to Unreal issues)


R3024 | 260ffbe5 | ZZYZX | 5/27/2018, 1:25 PM
--------------------------------------------------------------------------------
Fixed skin remapping method


R3023 | 85f00ab9 | ZZYZX | 5/27/2018, 11:05 AM
--------------------------------------------------------------------------------
Added multiple texture support for Unreal models


R3022 | 634ba548 | ZZYZX | 5/26/2018, 11:00 PM
--------------------------------------------------------------------------------
Update zspecial.acs for ZDoom, revert ACC to 1.56


R3021 | 4213be1c | ZZYZX | 5/26/2018, 10:53 PM
--------------------------------------------------------------------------------
Added simple Unreal model support;  Fixed numerous issues with normal handling;  Fixed outright invalid handling of AngleOffset/PitchOffset/RollOffset in MODELDEF


R3020 | d6e1b815 | ZZYZX | 5/26/2018, 6:25 PM
--------------------------------------------------------------------------------
Added platform information to application log


R3019 | db362934 | ZZYZX | 4/15/2018, 5:22 PM
--------------------------------------------------------------------------------
Added platform information to the saved error report


R3018 | e9c83d06 | ZZYZX | 4/15/2018, 3:51 PM
--------------------------------------------------------------------------------
Fixed: GZDB was built against wrong SlimDX version (including 64-bit which was built against 32-bit SlimDX) - (reported by StrikerMan780, leodoom85, Rockstar Racoon)


R3017 | 1e129ba2 | ZZYZX | 4/14/2018, 4:11 PM
--------------------------------------------------------------------------------
Fixed: 64-bit updater had wrong path and would not update


R3016 | a2a6004a | ZZYZX | 4/14/2018, 3:59 PM
--------------------------------------------------------------------------------
Fixed (?): The new .NET 4.6.x JIT method inlining was fucking with GetCallingAssembly-based plugin detection


R3015 | 000ecfba | ZZYZX | 4/14/2018, 8:15 AM
--------------------------------------------------------------------------------
Made GZDB output 64-bit in the title


R3014 | d9dfab64 | ZZYZX | 4/14/2018, 8:11 AM
--------------------------------------------------------------------------------
Made some edits to the build scripts and auto-update routine to support 64-bit updating


R3013 | 0b14bdee | jewalky | 4/14/2018, 6:55 AM
--------------------------------------------------------------------------------
GZDB native 64-bit binary support (PR#197 by StrikerMan780)


R3012 | 0a5a2e81 | ZZYZX | 4/10/2018, 11:07 AM
--------------------------------------------------------------------------------
Updated ZDoom ACC to the latest dev build (reported by printz)


R3011 | 5344700f | ZZYZX | 4/10/2018, 10:54 AM
--------------------------------------------------------------------------------
Added UDMF desaturation preview in classic modes


R3010 | 9742a9f7 | ZZYZX | 4/10/2018, 9:41 AM
--------------------------------------------------------------------------------
Added UDMF desaturation preview in visual modes


R3009 | 88d98acd | ZZYZX | 3/31/2018, 4:13 AM
--------------------------------------------------------------------------------
Fixed: zero-radius point lights would crash upon entering things mode (reported by blood)


R3008 | 10167038 | ZZYZX | 3/31/2018, 4:01 AM
--------------------------------------------------------------------------------
Fixed: on a second thought, let's just make FileImageReader fall back to guessed image if possible...


R3007 | f7c2a577 | ZZYZX | 3/31/2018, 3:38 AM
--------------------------------------------------------------------------------
Fixed: made more correct checking for legal file formats; now it should actually validate the format upon loading


R3006 | abdacb32 | ZZYZX | 3/31/2018, 3:07 AM
--------------------------------------------------------------------------------
Fixed: flats are now unconditionally detected as Doom Flat if they are exactly 4096 bytes long and inside F_ markers or flats directory.  (reported by Chickenlegz)


R3005 | 995e23f2 | ZZYZX | 3/24/2018, 4:40 PM
--------------------------------------------------------------------------------
Enabled parsing of NaN in UDMF so that the existing buggy maps load;  made it throw exceptions when a NaN vertex is added to the map


R3004 | efd2ded0 | ZZYZX | 2/4/2018, 3:20 AM
--------------------------------------------------------------------------------
Made 2D spotlight projection even more accurate (reported by Gutawer)


R3003 | a0ef5209 | ZZYZX | 2/3/2018, 11:18 PM
--------------------------------------------------------------------------------
Fixed light color picker to work with spotlights


R3002 | f97b0b2e | ZZYZX | 2/3/2018, 9:28 PM
--------------------------------------------------------------------------------
Made 2D spotlight projection more accurate


R3001 | 4462224a | ZZYZX | 2/3/2018, 8:30 PM
--------------------------------------------------------------------------------
Oops quickfix: inherited generic lights did not work


R3000 | 57911718 | ZZYZX | 2/3/2018, 8:16 PM
--------------------------------------------------------------------------------
Added proper spotlight preview in 2D mode


R2999 | e91fe947 | ZZYZX | 2/3/2018, 7:16 PM
--------------------------------------------------------------------------------
Added string support for spotlight colors


R2998 | 6565b83a | ZZYZX | 2/3/2018, 6:27 PM
--------------------------------------------------------------------------------
Moved spotlights to separate directory;  fixed parameter names;  added animated spotlights to game configurations


R2997 | 184982dc | ZZYZX | 2/3/2018, 6:18 PM
--------------------------------------------------------------------------------
Added spotlight preview in visual mode


R2996 | 089906ba | ZZYZX | 2/3/2018, 4:50 PM
--------------------------------------------------------------------------------
Removed leftovers of default string value implementation


R2995 | d8bee559 | ZZYZX | 2/3/2018, 12:31 PM
--------------------------------------------------------------------------------
Did some maxcode refactoring about dynamic lights;  added initial spotlight support (at least they are recognized as lights now)


R2994 | 8375ece2 | ZZYZX | 1/22/2018, 3:20 AM
--------------------------------------------------------------------------------
Fixed collection modification inside foreach. (reported by Lud)


R2993 | 1d36d3fe | ZZYZX | 12/24/2017, 4:45 PM
--------------------------------------------------------------------------------
Updated ZScript parser for const array definition support (reported by SanyaWaffles)


R2992 | d428272f | Anthony M. Cook | 11/7/2017, 7:37 PM
--------------------------------------------------------------------------------
The indoor lightning descriptions were reversed. (#164) (by acook)


R2991 | f0364c15 | ZZYZX | 10/24/2017, 9:58 PM
--------------------------------------------------------------------------------
Fixed one-line issue in model lighting pipeline (reported by everyone)


R2990 | 3f357319 | ZZYZX | 9/6/2017, 8:57 AM
--------------------------------------------------------------------------------
Fixed: allow dotted identifier in array dimensions


R2989 | e7328e4c | ZZYZX | 8/26/2017, 10:09 PM
--------------------------------------------------------------------------------
Added support for non-1.2 pixel ratios if view stretching is enabled (reported by Nash);  Fixed: map names in quotes were not recognized properly.


R2988 | b8e68083 | ZZYZX | 8/24/2017, 6:24 AM
--------------------------------------------------------------------------------
Fixed: BaseVisualMode object was used before fully initialized (reported by Martix10)


R2987 | 7168ad20 | Mistranger | 8/24/2017, 6:24 AM
--------------------------------------------------------------------------------
Add "Mouse selection threshold" option (#141 by Mistranger)

* Mouse selection threshold

* Cleanup

* Fix selection bug


R2986 | c9162c6f | ZZYZX | 8/10/2017, 6:01 AM
--------------------------------------------------------------------------------
Fixed: builtin dynamic lights were rendered at wrong height (reported by +Ku6EPyXOBEPTKA+)


R2985 | 113d86a5 | Ioan Chera | 8/4/2017, 11:53 PM
--------------------------------------------------------------------------------
Add the fields new to Eternity 3.42.03 (#135) (by printz)

* Replace the wrong portal_ceil_alpha and portal_floor_alpha with alphaceiling and alphafloor.

* Added the new fields of Eternity 3.42.03


R2984 | c0b3f983 | ZZYZX | 7/26/2017, 9:34 AM
--------------------------------------------------------------------------------
Fixed minor translucent rendering issue


R2983 | a122dacf | ZZYZX | 7/26/2017, 8:35 AM
--------------------------------------------------------------------------------
Added lights on models


R2982 | febc91ad | ZZYZX | 7/25/2017, 10:16 AM
--------------------------------------------------------------------------------
Fixed (?) esoteric plugin issue


R2981 | 131c51d7 | biwa | 7/18/2017, 4:56 AM
--------------------------------------------------------------------------------
Added improvements to the "Fit Texture" action: (#124) (by biwa)

- Dialog can't be resized anymore
- Dialog can be canceled by pressing the escape key
- Changed input boxes to the appropriate GZDB version, so steps and modifier key work correctly
- Added checkboxes to automatically fit the textures optimally based on the width/height of the line(s) in respect to the width/height of the texture
- Added input boxes to manually set a width/height pattern size of the texture that will be used when automatically fitting textures


R2980 | f14a4bd6 | ZZYZX | 6/20/2017, 11:30 AM
--------------------------------------------------------------------------------
Added new flags for internal dynamic lights (reported by Nash)


R2979 | 7603e5fa | ZZYZX | 5/28/2017, 8:38 PM
--------------------------------------------------------------------------------
Fixed: INHERITACTORPITCH was actually changed along with USEACTORPITCH...doesn't really make sense compatibility-wise but there it is. (reported by alekv)


R2978 | d9d8c352 | ZZYZX | 5/10/2017, 12:53 PM
--------------------------------------------------------------------------------
Fixed: pitch formula was duplicated and not changed in one of the places. (reported by Ozymandias81)


R2977 | 0e43985f | ZZYZX | 5/9/2017, 8:13 PM
--------------------------------------------------------------------------------
Fixed: flipped +USEACTORPITCH direction for recent GZDoom versions;  this can be reverted by putting "buggymodeldefpitch = true;" in the game configuration for your specific projects if they are using old GZDoom versions.  Note: already added for Zandronum.


R2976 | 04324cd1 | ZZYZX | 5/8/2017, 8:06 PM
--------------------------------------------------------------------------------
Fixed (?) cross-thread bitmap usage. (reported by Xane123)


R2975 | 021bcf69 | Sean Baggaley | 4/29/2017, 6:52 AM
--------------------------------------------------------------------------------
Fix texture filtering not disabling properly (resolves #106) (#107 by csnxs)


R2974 | ad6ae111 | ZZYZX | 4/29/2017, 3:56 AM
--------------------------------------------------------------------------------
Fixed: render sorting issues with multiple translucent 3D floors next to each other on different heights


R2973 | de7445b7 | ZZYZX | 4/17/2017, 2:40 AM
--------------------------------------------------------------------------------
Fixed nested template types handling in ZScript parser


R2972 | b4d38e3d | Ioan Chera | 4/14/2017, 6:58 PM
--------------------------------------------------------------------------------
Replace the wrong portal_ceil_alpha and portal_floor_alpha with alphaceiling and alphafloor. (#101 by printz)


R2971 | 594dab97 | ZZYZX | 4/10/2017, 6:48 PM
--------------------------------------------------------------------------------
Fixed: regression in texture selection window caused by previous fixes (reported by simc2)


R2970 | 0c4051a5 | ZZYZX | 4/10/2017, 6:45 PM
--------------------------------------------------------------------------------
Fixed 0.5/1.0 second sector light blinking specials (reported by printz)


R2969 | 3d943f12 | ZZYZX | 4/10/2017, 6:33 PM
--------------------------------------------------------------------------------
Fixed: Internal: added off-grid vertices check to BuilderModes project


R2968 | 08b15cb8 | davidxn | 4/10/2017, 1:52 PM
--------------------------------------------------------------------------------
Added error check for vertices with non-integer positions (#94 by davidxn)


R2967 | 983dea1b | ZZYZX | 4/4/2017, 4:06 AM
--------------------------------------------------------------------------------
Fixed: all the old magic in SafeDistanceToSq is now only working for non-UDMF maps


R2966 | 8dbe5f7a | ZZYZX | 4/4/2017, 4:04 AM
--------------------------------------------------------------------------------
Fixed: Visplane Explorer depended on the old behavior of SafeDistanceToSq. (reported by riderr3)


R2965 | 356eac34 | ZZYZX | 4/3/2017, 10:45 AM
--------------------------------------------------------------------------------
Internal: Oops: removed debug leftovers (x2)


R2964 | b80c8feb | ZZYZX | 4/3/2017, 10:42 AM
--------------------------------------------------------------------------------
Internal: Oops: removed debug leftovers


R2963 | a2c9de39 | ZZYZX | 4/3/2017, 10:40 AM
--------------------------------------------------------------------------------
Fixed: changing flat names around is wrong... (reported by Lud)


R2962 | 20c94662 | ZZYZX | 4/3/2017, 3:48 AM
--------------------------------------------------------------------------------
Fixed: 'Compiling the editor' help page had slightly broken CSS reference. (reported by Kappes Buur)


R2961 | 3013723e | davidxn | 4/3/2017, 1:20 AM
--------------------------------------------------------------------------------
Improve MakeDoor form - options for line special and tag (PR #91 by davidxn)


R2960 | 153c63b5 | ZZYZX | 3/28/2017, 6:11 PM
--------------------------------------------------------------------------------
Fixed: the model should be Z-scaled to 0.83 even in unstretched view to ensure that models fit the geometry right (reported by Ozymandias81)


R2959 | bb650fa6 | ZZYZX | 3/28/2017, 5:07 AM
--------------------------------------------------------------------------------
Updated ZScript parser to support abstract on classes


R2958 | 10aa7e94 | ZZYZX | 3/24/2017, 8:19 PM
--------------------------------------------------------------------------------
Fixed translucent sprites. Added visual stencil color preview. (reported by Lud)


R2957 | aff6998d | ZZYZX | 3/24/2017, 7:15 PM
--------------------------------------------------------------------------------
Fixed: reduced magic in Linedef.SafeDistanceToSq - fixes line/sector selection with 0.125mp grid (reported by camaxide)


R2956 | 816e61d1 | ZZYZX | 3/24/2017, 6:47 PM
--------------------------------------------------------------------------------
Added: binding actions to horizontal mouse wheel


R2955 | 480a1152 | ZZYZX | 3/19/2017, 9:19 AM
--------------------------------------------------------------------------------
Fixed: 3D floor with translucent texture but 255 alpha was rendered opaque.


R2954 | 6fc1dac3 | ZZYZX | 3/18/2017, 10:34 AM
--------------------------------------------------------------------------------
Readme: minor fixes.


R2953 | e9030bd5 | ZZYZX | 3/18/2017, 10:33 AM
--------------------------------------------------------------------------------
Readme: devbuilds link should point to the right page.


R2952 | 814fdd90 | ZZYZX | 3/17/2017, 8:48 AM
--------------------------------------------------------------------------------
Fixed: texture copy/paste in the visual mode was detected as failed pasting and caused a beep. (reported by DOOMGABR, abbuw, Turret_Master)


R2951 | 6f1b6c72 | ZZYZX | 3/15/2017, 1:29 AM
--------------------------------------------------------------------------------
Fixed: forgot to add ZDDomPoint sprites...


R2950 | 53ce14fc | ZZYZX | 3/14/2017, 11:52 PM
--------------------------------------------------------------------------------
Internal: fixed compiler warnings


R2949 | 579b90a1 | ZZYZX | 3/14/2017, 11:31 AM
--------------------------------------------------------------------------------
Fixed: the old way of checking for GZDB's directory writability would not work in certain versions of WINE/Mono


R2948 | dceeed6b | ZZYZX | 3/12/2017, 6:26 PM
--------------------------------------------------------------------------------
Fixed: removing a thing should also remove it from the visible things list. (reported by DOOMGABR)


R2947 | 36af3424 | ZZYZX | 3/12/2017, 6:12 PM
--------------------------------------------------------------------------------
Internal: removed debug code from Renderer3D.


R2946 | d3b4060f | ZZYZX | 3/12/2017, 6:10 PM
--------------------------------------------------------------------------------
Merge branch 'master' of github.com:jewalky/GZDoom-Builder-Bugfix


R2945 | 35f8c5e1 | ZZYZX | 3/12/2017, 6:10 PM
--------------------------------------------------------------------------------
Fixed: cutting a thing in visual mode would leave disposed BaseVisualThings in the selection. (reported by DOOMGABR)


R2944 | bbeadf65 | Ioan Chera | 3/12/2017, 5:45 PM
--------------------------------------------------------------------------------
Eternity config: add polycross property and remove 'copy' thing types (PR#79 by ioan-chera)


R2943 | 9bd51a01 | ZZYZX | 3/12/2017, 4:26 AM
--------------------------------------------------------------------------------
Updated ZDoom ACS compiler


R2942 | ee28f1d0 | ZZYZX | 3/9/2017, 9:09 AM
--------------------------------------------------------------------------------
Made Skulltag item sprites optional to support default Skulltag+Zandronum config without producing 100 errors


R2941 | 589b6746 | ZZYZX | 3/9/2017, 8:24 AM
--------------------------------------------------------------------------------
Fixed: returned accidentally lost Skulltag thing types


R2940 | ce6074fd | ZZYZX | 3/9/2017, 8:01 AM
--------------------------------------------------------------------------------
Internal: Oops: removed useless leftover file


R2939 | 4f8f3907 | ZZYZX | 3/9/2017, 7:58 AM
--------------------------------------------------------------------------------
Updated Zandronum game configurations to include invasion spawners and MBF items (dog, evil sceptre, unholy bible, beta lost soul)


R2938 | 509fb55e | ZZYZX | 3/8/2017, 3:32 PM
--------------------------------------------------------------------------------
Fixed field caption for floor glow color.


R2937 | 957314a9 | ZZYZX | 3/8/2017, 3:24 PM
--------------------------------------------------------------------------------
Fixed: field name for things is called color_sprites.


R2936 | d8701b7a | ZZYZX | 3/8/2017, 3:00 PM
--------------------------------------------------------------------------------
Added: proper GUI tab for color-related sector properties. The tab now hosts Doom64 lighting as well as old color-related things (floor/ceiling glow, light color, fade color and desaturation).


R2935 | 87a2a14d | ZZYZX | 3/8/2017, 1:34 PM
--------------------------------------------------------------------------------
Fixed: FAIL medal sprite in zandronum.pk3 was not parsed correctly


R2934 | 4611aa1b | ZZYZX | 3/7/2017, 7:35 PM
--------------------------------------------------------------------------------
Added more specific debug logging to random NullPointerException crash place


R2933 | 717e48ed | ZZYZX | 3/6/2017, 5:06 PM
--------------------------------------------------------------------------------
Fixed: for scaled walls, texture offsets should not be scaled (reported by Tormentor667)


R2932 | bbe651d3 | ZZYZX | 3/5/2017, 8:08 PM
--------------------------------------------------------------------------------
Camera texture can be longer than 8 characters


R2931 | 92825a08 | ZZYZX | 3/5/2017, 8:07 PM
--------------------------------------------------------------------------------
Updated ZScript parser to the latest syntax


R2930 | 8c36eafb | ZZYZX | 3/4/2017, 6:50 AM
--------------------------------------------------------------------------------
Fixed state lookup logic for sprite guessing; it should always prefer SPRITE_CHECK_STATES to using the random first frame.


R2929 | 522c1e3f | ZZYZX | 3/3/2017, 4:25 PM
--------------------------------------------------------------------------------
Fixed: never pick up POL5 frame definition from Actor::GenericCrush. Ew, blood.


R2928 | 4b1a31c3 | ZZYZX | 3/3/2017, 4:13 PM
--------------------------------------------------------------------------------
Fixed: duration 0 frames should be skipped if there are nonzero frames after them (reported by Tormentor667, Ozymandias81). Fixed crash if some actor had a modeldef entry but doesn't anymore.


R2927 | f97c15ae | ZZYZX | 3/3/2017, 10:33 AM
--------------------------------------------------------------------------------
Fixed: Internal: made most 'get' calls in WADReader use synchronized MemoryStream duplicate as opposed to operating on WAD stream directly. Hopefully fixes multithreading issues with sprite loading. (reported by Mysterious Haruko, camaxide)


R2926 | 59c13209 | ZZYZX | 3/2/2017, 10:14 AM
--------------------------------------------------------------------------------
Fixed: flats and textures with the same name were not cached correctly in the texture browser. (reported by DOOMGABR)


R2925 | 52e771fe | ZZYZX | 3/1/2017, 2:57 PM
--------------------------------------------------------------------------------
Internal: Fixed: builtin light alteration by actor flags logic in GetGZLightTypeByClass


R2924 | 61085027 | ZZYZX | 3/1/2017, 2:36 PM
--------------------------------------------------------------------------------
Fixed: actor flags with inheritance from GZDoom dynamic lights (i.e. PointLight)


R2923 | 748fe9e2 | ZZYZX | 3/1/2017, 2:21 PM
--------------------------------------------------------------------------------
Fixed: inheritance from game configuration for dynamic lights; Fixed: visual representation of inherited lights (reported by Nash); Fixed: inherited thing arguments from game configuration; Added: //$ClearArgs for clearing inherited arguments.


R2922 | 125844b3 | ZZYZX | 3/1/2017, 8:35 AM
--------------------------------------------------------------------------------
Fixed: sprite replacements with different rotation count weren't handled correctly. (reported by DOOMGABR)


R2921 | 6661ed44 | ZZYZX | 2/26/2017, 2:03 AM
--------------------------------------------------------------------------------
Fixed: saving a script would reset scrolling to the top


R2920 | 39889a94 | ZZYZX | 2/25/2017, 6:30 AM
--------------------------------------------------------------------------------
Fixed: arg0str TextBox wasn't aligned to the right on Windows 10 (reported by SanyaWaffles)


R2919 | 72352792 | ZZYZX | 2/25/2017, 1:08 AM
--------------------------------------------------------------------------------
Changed: just use //$ArgNStr to check if arg0str is supported. If the argument is present, arg0str will be shown.


R2918 | 2bb2c92a | ZZYZX | 2/25/2017, 1:04 AM
--------------------------------------------------------------------------------
Fixed: don't use script control for non-script arg0str. That breaks things.


R2917 | 6d171733 | ZZYZX | 2/25/2017, 12:41 AM
--------------------------------------------------------------------------------
Added: custom arg0str things with //$ArgNAllowStr and //$ArgNStr (title for string version)


R2916 | 1a8b9d40 | ZZYZX | 2/25/2017, 12:31 AM
--------------------------------------------------------------------------------
Added: search&replace support for non-script arg0str


R2915 | e7ed533e | ZZYZX | 2/23/2017, 5:10 AM
--------------------------------------------------------------------------------
Added: arg0str for non-script specials in Search (only output, matching and replacement not work yet)


R2914 | 3748ea63 | ZZYZX | 2/23/2017, 5:01 AM
--------------------------------------------------------------------------------
Fixed: handling of arg0str in non-script specials in info panel; default arg0str.


R2913 | 5ff54ab3 | ZZYZX | 2/23/2017, 4:19 AM
--------------------------------------------------------------------------------
Added: arg0str in non-script specials. Kinda.


R2912 | 3ac39598 | ZZYZX | 2/23/2017, 3:54 AM
--------------------------------------------------------------------------------
Fixed: forgot to add ZDaemon_common.cfg; Fixed: Internal: removed hardcoded arg0str only for scripts


R2911 | 1cb3682c | ZZYZX | 2/20/2017, 3:42 AM
--------------------------------------------------------------------------------
Updated ZDaemon configuration and related files (13.02.2017 by Krawa)


R2910 | 0ec18242 | ZZYZX | 2/19/2017, 11:13 PM
--------------------------------------------------------------------------------
Fixed: SplitLinesByVertices could leave disposed lines for iteration, which resulted in crashes on certain geometry while using 'Replace with Dragged Geometry'.


R2909 | e2fa70cd | ZZYZX | 2/19/2017, 10:21 PM
--------------------------------------------------------------------------------
Internal: Oops: removed debug logging


R2908 | dba70886 | ZZYZX | 2/19/2017, 10:14 PM
--------------------------------------------------------------------------------
Internal: threw out a lot of unoptimized code in TraceSector. Now using Tools.FindPotentialSectorAt.


R2907 | 6988bae7 | ZZYZX | 2/19/2017, 9:30 PM
--------------------------------------------------------------------------------
Fixed: check for mathing argument lists was doing god-knows-what. Should now be ok.


R2906 | 679f2eec | ZZYZX | 2/19/2017, 9:26 PM
--------------------------------------------------------------------------------
Fixed: check for matching argument lists was severely broken and was resetting or not resetting almost randomly


R2905 | 271df46f | ZZYZX | 2/19/2017, 9:07 PM
--------------------------------------------------------------------------------
Added: script editor will now automatically trim trailing whitespace on save.


R2904 | bd00eef8 | ZZYZX | 2/18/2017, 10:40 PM
--------------------------------------------------------------------------------
Fixed: preferences window size was off


R2903 | 4a79c748 | jewalky | 2/15/2017, 12:48 PM
--------------------------------------------------------------------------------
Merge pull request #43 from Xabis/master

Fixed crash with arg type 14, and support target class filter


R2902 | d3289d01 | Xabis | 2/15/2017, 11:03 AM
--------------------------------------------------------------------------------
* Fixed a crash if setting an argument to the thing type ($Arg#Type = 14) on a decorate actor
* Added support for using the "Target Class" filter for argument thing types. Configure using the new $Arg$TargetClasses property. Note: only actors with a valid classname may be added to the filter.


R2901 | 3540f55a | jewalky | 2/14/2017, 12:37 PM
--------------------------------------------------------------------------------
Merge pull request #42 from Xabis/master

Direct tag-to-tag associations


R2900 | b4fbcf5d | ZZYZX | 2/14/2017, 10:27 AM
--------------------------------------------------------------------------------
Fixed: 'forbidden' lumps are not supposed to count towards matching while detecting map type


R2899 | a886a53e | Xabis | 2/14/2017, 9:33 AM
--------------------------------------------------------------------------------
* A direct tag-to-tag relationship can now be established between two things, which allows event lines to be properly setup between them. This is intended for interpolation and patrol specials which are linked via a shared tag, instead of an argument. A POSITIVE value represents the parent thing, where a NEGATIVE value represents the child thing.
* Added interpolation and patrol point specials to the persistent event line processing


R2898 | 4a624785 | ZZYZX | 2/14/2017, 7:48 AM
--------------------------------------------------------------------------------
Fixed: 'Save into' would detect non-map lumps with the same name as maps and ask if you want to save over...


R2897 | d4686082 | ZZYZX | 2/14/2017, 6:10 AM
--------------------------------------------------------------------------------
Fixed: in case there are other (non-map) lumps in the archive that have the same name as a map (e.g. MB2 patch and MB2 map in idl201x WADs) only the valid map is read.


R2896 | 780482f4 | ZZYZX | 2/14/2017, 5:39 AM
--------------------------------------------------------------------------------
Fixed: consequential duplicate maps weren't handled properly


R2895 | f8959507 | ZZYZX | 2/14/2017, 5:25 AM
--------------------------------------------------------------------------------
Fixed: old map format is now autodetected when saving a map over an existing one. Saving a map in different format shouldn't leave junk lumps anymore.


R2894 | d9eecbdc | ZZYZX | 2/14/2017, 2:13 AM
--------------------------------------------------------------------------------
Internal: reverted mysterious MaxED edit in map saving functions


R2893 | dee1e0f4 | ZZYZX | 2/14/2017, 1:57 AM
--------------------------------------------------------------------------------
Internal: removed now unneeded CopyAllLumpsExceptMap


R2892 | b996d8a3 | ZZYZX | 2/14/2017, 1:56 AM
--------------------------------------------------------------------------------
Internal: not copying all lumps manually anymore on 'Save As'. The WAD is copied with File.Copy anyway.


R2891 | 12314508 | ZZYZX | 2/12/2017, 5:02 PM
--------------------------------------------------------------------------------
Fixed: Find&Replace in Script Editor would go into an infinite loop if replacement contains the searched text


R2890 | db1db76b | ZZYZX | 2/12/2017, 4:06 PM
--------------------------------------------------------------------------------
Fixed: Doom64 lighting was not displayed in 2D modes


R2889 | 6bb79c1c | ZZYZX | 2/12/2017, 2:23 PM
--------------------------------------------------------------------------------
Fixed: Internal: StairSectorBuilder wasn't marked as dependent on Builder project


R2888 | 946e8051 | ZZYZX | 2/12/2017, 10:33 AM
--------------------------------------------------------------------------------
Added: action numbers in linedef action selection dialog; Fixed: improper usages of 'Window' white color in place of 'Control' gray color in dialogs.


R2887 | bffb499f | ZZYZX | 2/12/2017, 8:35 AM
--------------------------------------------------------------------------------
Fixed: removed useless rounding to 1px in Draw Curve, Draw Ellipse, Draw Rectangle, Draw Grid tools; this performed incorrectly with grid sizes less than 1px


R2886 | 251c89f3 | ZZYZX | 2/11/2017, 7:45 AM
--------------------------------------------------------------------------------
Supposedly fixed handling of multidimensional arrays in ZScript, as well as specifying array dimensions in the type


R2885 | 6f76b538 | ZZYZX | 2/10/2017, 5:27 PM
--------------------------------------------------------------------------------
Added very basic ZDaemon configuration


R2884 | 02d5ce4c | ZZYZX | 2/10/2017, 2:32 AM
--------------------------------------------------------------------------------
Internal: Oops: missing files


R2883 | db9bb4f4 | ZZYZX | 2/9/2017, 9:14 AM
--------------------------------------------------------------------------------
Info panel might work a bit faster now


R2882 | e3ebe7dc | ZZYZX | 2/9/2017, 6:49 AM
--------------------------------------------------------------------------------
Fixed: additive-translucent geometry should not be lit


R2881 | d47dd9a5 | ZZYZX | 2/9/2017, 5:45 AM
--------------------------------------------------------------------------------
Fixed: slightly incorrect texture name offsets in classic view in the texture browser


R2880 | fbbfaad5 | ZZYZX | 2/9/2017, 5:20 AM
--------------------------------------------------------------------------------
Fixed: changing brightness of upper/lower/middle sidedef did not update the whole sidedef brightness until 3D mode restart


R2879 | cafd1a6f | ZZYZX | 2/9/2017, 5:03 AM
--------------------------------------------------------------------------------
Fixed: lights were not applied to translucent textures


R2878 | 3d69ec12 | ZZYZX | 2/9/2017, 4:28 AM
--------------------------------------------------------------------------------
Fixed: lights behind the camera shouldn't count towards the max lights counter


R2877 | 2b69b38e | ZZYZX | 2/9/2017, 3:28 AM
--------------------------------------------------------------------------------
Added dynamic light count = 256 for high end users. Fixed: incorrect attenuated&lt;-&gt;subtractive light ordering caused invisible subtractive lights.


R2876 | e62bbba9 | ZZYZX | 2/8/2017, 6:07 PM
--------------------------------------------------------------------------------
Internal: ZScript: now using StringBuilder in the internal tokenizer loops, might speed it up a bit


R2875 | 1fb1167e | ZZYZX | 2/8/2017, 4:39 PM
--------------------------------------------------------------------------------
Fixed: Internal: resumed resource would lose readonly attribute


R2874 | 7f2f51d4 | ZZYZX | 2/8/2017, 4:26 PM
--------------------------------------------------------------------------------
Added: primitive support for ZScript in the script editor (all classes in the current file are listed)


R2873 | 1382d144 | ZZYZX | 2/8/2017, 1:55 PM
--------------------------------------------------------------------------------
Added: basic support for automatic user variables from ZScript classes, currently only for int variables (as supported by GZDoom).


R2872 | 0d43a7be | ZZYZX | 2/8/2017, 9:21 AM
--------------------------------------------------------------------------------
Fixed: 'Texture sizes below names' was handled incorrectly with 'Show texture sizes' disabled


R2871 | ed6e5985 | ZZYZX | 2/8/2017, 8:58 AM
--------------------------------------------------------------------------------
Fixed: item selection gradient in classic views was severely off.


R2870 | 46cc1df0 | ZZYZX | 2/8/2017, 8:36 AM
--------------------------------------------------------------------------------
Merge anotak's optimizations - stage 4: Texture Browser


R2869 | 4faed76b | ZZYZX | 2/8/2017, 4:20 AM
--------------------------------------------------------------------------------
Merge anotak's optimizations - stage 3


R2868 | 0fe77cf8 | ZZYZX | 2/8/2017, 4:18 AM
--------------------------------------------------------------------------------
Merge anotak's optimizations - stage 2


R2867 | 09b8c27d | ZZYZX | 2/8/2017, 4:18 AM
--------------------------------------------------------------------------------
Merge anotak's optimizations - stage 1


R2866 | 34d1af94 | ZZYZX | 2/7/2017, 10:02 AM
--------------------------------------------------------------------------------
Reverted anotak's PR: it causes 'Cancel' button in Edit windows to automatically do undo or something similar, breaking maps completely


R2865 | 2821149a | jewalky | 2/7/2017, 12:56 AM
--------------------------------------------------------------------------------
Merge pull request #31 from anotak/master

Speedup on opening properties windows


R2864 | b5f7db1d | anotak | 2/6/2017, 8:53 PM
--------------------------------------------------------------------------------
Speedup on opening properties windows


R2863 | 52b47cd0 | anotak | 2/5/2017, 10:10 PM
--------------------------------------------------------------------------------
Revert "Revert "actionmanager change""

This reverts commit 4d9d1eda0f30b1e7ff0b776ac6a04ffb40d6a7d3.


R2862 | 4d9d1eda | anotak | 2/5/2017, 9:40 PM
--------------------------------------------------------------------------------
Revert "actionmanager change"

This reverts commit a3ff16cacb8960afa2f0531d99fd00be354792c5.


R2861 | a3ff16ca | anotak | 2/5/2017, 6:47 PM
--------------------------------------------------------------------------------
actionmanager change

actionmanager change


R2860 | 6971f6df | ZZYZX | 2/4/2017, 12:03 PM
--------------------------------------------------------------------------------
Internal: ~ConfigurationInfo destructor might be called before full construction took place


R2859 | 5a5c6d04 | ZZYZX | 2/4/2017, 7:25 AM
--------------------------------------------------------------------------------
Internal: ZScriptTokenizer shouldn't reinitialize static stuff on every construction


R2858 | e6ca4958 | ZZYZX | 2/2/2017, 11:15 PM
--------------------------------------------------------------------------------
Fixed: links should now open in the default browser and not what GZDB thinks to be the default browser.
Fixed: ZScript parser should no more crash on severely invalid code.


R2857 | 7e502a1f | ZZYZX | 2/1/2017, 9:34 PM
--------------------------------------------------------------------------------
Fixed: color_absolute is not actually in GZDoom


R2856 | cb8473fa | ZZYZX | 2/1/2017, 10:16 AM
--------------------------------------------------------------------------------
Added: 3D floor should be affected by control sector's color_floor and color_ceiling.


R2855 | 76b2b1be | ZZYZX | 2/1/2017, 9:10 AM
--------------------------------------------------------------------------------
Added: an option to display image sizes below names, not over texture previews


R2854 | 71440fb2 | ZZYZX | 2/1/2017, 7:29 AM
--------------------------------------------------------------------------------
Implemented more reliable dynlight-surface angle clip threshold


R2853 | fc7b9ec9 | ZZYZX | 2/1/2017, 6:53 AM
--------------------------------------------------------------------------------
Removed dynlight-surface angle clip threshold - it didn't work properly anyway


R2852 | 469942d2 | ZZYZX | 1/31/2017, 11:57 PM
--------------------------------------------------------------------------------
Fixed: glow should apply before Doom64 coloring


R2851 | 42c2fc20 | ZZYZX | 1/31/2017, 11:48 PM
--------------------------------------------------------------------------------
Added: rendering of Doom64 lighting


R2850 | b80ead12 | ZZYZX | 1/31/2017, 10:29 PM
--------------------------------------------------------------------------------
Added custom fields for Doom64 lighting in the ZDoom configuration


R2849 | 24c8b049 | ZZYZX | 1/29/2017, 8:20 PM
--------------------------------------------------------------------------------
fixed: First and last texture entires could never be selected using up/down controls


R2848 | 1cd255fb | ZZYZX | 1/28/2017, 6:56 PM
--------------------------------------------------------------------------------
Fixed: autoaligning and limited floodfill didn't work for selection.


R2847 | f4947a20 | ZZYZX | 1/26/2017, 5:33 AM
--------------------------------------------------------------------------------
Added: more magic to the autoalign/select neighbours logic; These functions should not anymore wrap around to the opposite side of two-sided linedefs, allowing you to select back and front sides separately using shift+click, and reducing infinite broken autoalign loops.


R2846 | dd48b5ed | ZZYZX | 1/26/2017, 2:01 AM
--------------------------------------------------------------------------------
Fixed: internal images were a bit broken by the previous commit


R2845 | 7de5d10c | ZZYZX | 1/25/2017, 11:09 PM
--------------------------------------------------------------------------------
Fixed: long texture names are no longer activated for Doom flat images (GZDoom doesn't support these)


R2844 | 5ebdbd12 | ZZYZX | 1/25/2017, 7:31 AM
--------------------------------------------------------------------------------
Fixed: 65:Plat_UpByValue had incorrect argument description


R2843 | ee936152 | ZZYZX | 1/20/2017, 7:05 PM
--------------------------------------------------------------------------------
ZScript: added #region support


R2842 | 4c636a6d | ZZYZX | 1/20/2017, 6:16 PM
--------------------------------------------------------------------------------
ZScript: added support for //$GZDB_SKIP special comment in the root scope.


R2841 | 8c9514fb | ZZYZX | 1/20/2017, 5:44 PM
--------------------------------------------------------------------------------
Fixed: broken previous gitbuild


R2840 | a5a942c7 | ZZYZX | 1/20/2017, 5:13 PM
--------------------------------------------------------------------------------
Fixed: lump saving in script editor after editing archive with SLADE.\n Fixed: checking for concurrent modification in script editor while trying to save the lump.


R2839 | a705e47f | ZZYZX | 1/19/2017, 2:59 PM
--------------------------------------------------------------------------------
Fixed GLDEFS attenuate 1 and subtractive 1 logic


R2838 | 49f55120 | ZZYZX | 1/19/2017, 2:27 PM
--------------------------------------------------------------------------------
Added: GLDEFS support for 'attenuate 1' keyword


R2837 | 30a5edfd | ZZYZX | 1/19/2017, 2:17 PM
--------------------------------------------------------------------------------
Added: attenuated dynamic light support


R2836 | 819ef649 | ZZYZX | 1/18/2017, 11:16 PM
--------------------------------------------------------------------------------
Fixed: wild exception while replacing ZScript actor from DECORATE


R2835 | 55b24eef | ZZYZX | 1/17/2017, 10:35 PM
--------------------------------------------------------------------------------
Fixed: ZScript: scale property should be expanded into xscale and yscale; Fixed: if actor's Spawn state starts with TNT1, first non-TNT1 frame will be used


R2834 | 87fdd67f | ZZYZX | 1/17/2017, 10:34 AM
--------------------------------------------------------------------------------
ZScript: himBHcomment arguments should be stripped of whitespace


R2833 | a1dc4bb1 | ZZYZX | 1/17/2017, 10:19 AM
--------------------------------------------------------------------------------
Internal: Remembered various ZScript operators for the future; Script Editor: fixed script type icons


R2832 | 7a70ac8c | ZZYZX | 1/17/2017, 1:40 AM
--------------------------------------------------------------------------------
Internal: removed parser stuff from ActorStructure, StateStructure, StateGoto classes


R2831 | b783ea1c | ZZYZX | 1/17/2017, 1:20 AM
--------------------------------------------------------------------------------
ZScript: enabled custom GZDB actor properties in Default block (//$ comments, same as DECORATE)


R2830 | a85a7a40 | ZZYZX | 1/17/2017, 12:39 AM
--------------------------------------------------------------------------------
Renamed default category Decorate to User-defined


R2829 | c1387a8e | ZZYZX | 1/17/2017, 12:19 AM
--------------------------------------------------------------------------------
Internal: refactored ZScriptTokenizer.ExpectToken for less redundancy


R2828 | dc72c533 | ZZYZX | 1/16/2017, 9:28 PM
--------------------------------------------------------------------------------
ZScript: fixed odd cases of inheritance (class SpecialShotgun : Shotgun replaces Shotgun) causing stack overflow


R2827 | 05a160b5 | ZZYZX | 1/16/2017, 9:13 PM
--------------------------------------------------------------------------------
ZScript: moved actor inheritance code to separate step; ZScript: ported game configuration inheritance code from DECORATE


R2826 | 8fa63cae | ZZYZX | 1/16/2017, 8:58 PM
--------------------------------------------------------------------------------
Fixed: DECORATE and ZScript parsers would ignore TNT1 when used in states


R2825 | 0787f960 | ZZYZX | 1/16/2017, 8:53 PM
--------------------------------------------------------------------------------
GLDEFS, MODELDEF: Included ZScript actors in missing class check


R2824 | 3bdfadc1 | ZZYZX | 1/16/2017, 8:41 PM
--------------------------------------------------------------------------------
ZScript: implemented 'transient' and 'property' keywords


R2823 | 76213ae1 | ZZYZX | 1/16/2017, 6:56 PM
--------------------------------------------------------------------------------
Internal: tried to fix case sensitivity issues in X11R6RGB colors


R2822 | 17fb9157 | ZZYZX | 1/16/2017, 6:51 PM
--------------------------------------------------------------------------------
Fixed: MAPINFO parser wouldn't take quoted OutsideFogDensity


R2821 | 76ce87ea | ZZYZX | 1/16/2017, 4:10 AM
--------------------------------------------------------------------------------
Fixed null reference access while searching for superclass state; Fixed incorrect parsing of random() in frame duration; Fixed incorrect parsing of quoted sprite names


R2820 | 37a3eab1 | ZZYZX | 1/16/2017, 3:18 AM
--------------------------------------------------------------------------------
Enabled prototype ZScript support


R2819 | 8afd01f6 | ZZYZX | 1/16/2017, 12:20 AM
--------------------------------------------------------------------------------
Internal: Disconnected ZDoom actor state data from DECORATE parsing code


R2818 | a0674f13 | ZZYZX | 1/15/2017, 10:10 PM
--------------------------------------------------------------------------------
Internal: finished enumeration of ZSCript actor properties and flags


R2817 | ad5b542c | ZZYZX | 1/15/2017, 9:20 PM
--------------------------------------------------------------------------------
Internal: finished enumeration of ZScript actor fields and methods


R2816 | b42de7db | ZZYZX | 1/15/2017, 5:49 PM
--------------------------------------------------------------------------------
Internal: Moved ZScript class initialization logic to after querying all lumps


R2815 | db088027 | ZZYZX | 1/15/2017, 4:08 PM
--------------------------------------------------------------------------------
Enabled DECORATE classes to inherit ZScript ones


R2814 | 6147ed23 | ZZYZX | 1/15/2017, 3:35 PM
--------------------------------------------------------------------------------
Internal: disconnected actor parsing from generic ZDoom actor structure


R2813 | fbf1aefe | ZZYZX | 1/15/2017, 2:21 PM
--------------------------------------------------------------------------------
Internal: Fixed class extension, error reporting on invalid top-level keyword


R2812 | 856cb9f8 | ZZYZX | 1/15/2017, 2:03 PM
--------------------------------------------------------------------------------
Internal: Added ZScriptParser.cs, ZScriptTokenizer.cs


R2811 | 38ffc861 | ZZYZX | 1/15/2017, 2:00 PM
--------------------------------------------------------------------------------
Internal: started implementing ZScript parser. Nothing works for now, aside from the actual parsing code.


R2810 | 96ffb786 | ZZYZX | 1/15/2017, 8:12 AM
--------------------------------------------------------------------------------
Finished upgrading to VS2015


R2809 | e0fb41d3 | ZZYZX | 1/14/2017, 8:30 PM
--------------------------------------------------------------------------------
Changed ZDoom/GitHub links so that people can report issues to the correct page


R2808 | de781072 | ZZYZX | 1/14/2017, 7:20 PM
--------------------------------------------------------------------------------
Updated README.md


R2807 | de46f297 | ZZYZX | 1/14/2017, 7:20 PM
--------------------------------------------------------------------------------
Updated README.md


R2806 | 5a152767 | ZZYZX | 1/14/2017, 7:19 PM
--------------------------------------------------------------------------------
Updated README.md


R2805 | 5e110729 | ZZYZX | 1/14/2017, 7:12 PM
--------------------------------------------------------------------------------
Added IOException handling to image loading from disk (fixes GZDB Git issue #8)


R2804 | 8277d7b6 | ZZYZX | 1/14/2017, 5:39 PM
--------------------------------------------------------------------------------
fixed: Classic Texture Select: selected item in white background is supposed to be blue;
fixed: Texture Select: visible items were not clipped correctly;
fixed: 128x128 texture previews were too large for small window size in Texture Set editor


R2803 | 98432339 | ZZYZX | 1/14/2017, 5:00 PM
--------------------------------------------------------------------------------
Funny commit to make it increment the revision number. Also, edited Updater.ini.


R2802 | fa7c536a | ZZYZX | 1/14/2017, 3:41 PM
--------------------------------------------------------------------------------
Product name somehow reset AGAIN. Fixed.


R2801 | 741897af | ZZYZX | 1/14/2017, 3:40 PM
--------------------------------------------------------------------------------
Actually changed the product name


R2800 | 668cb137 | ZZYZX | 1/14/2017, 3:22 PM
--------------------------------------------------------------------------------
Updated GIT build batch


R2799 | 107b4887 | ZZYZX | 1/14/2017, 3:20 PM
--------------------------------------------------------------------------------
Fixed the output name in gzbuilder_setup.iss


R2798 | 58211523 | ZZYZX | 1/14/2017, 3:14 PM
--------------------------------------------------------------------------------
Always show the revision number in window title, also renamed to GZDB-Bugfix


R2797 | ebd7fb1a | ZZYZX | 1/14/2017, 2:35 PM
--------------------------------------------------------------------------------
Upgrade to VS2015 (14.0)


R2796 | 36a5aa6c | ZZYZX | 1/9/2017, 4:32 AM
--------------------------------------------------------------------------------
Even with used textures on top disabled, textures should be separate from directories


R2795 | 88ff83b7 | ZZYZX | 1/8/2017, 9:21 PM
--------------------------------------------------------------------------------
Use the word 'flats' if currently browsing flats


R2794 | e43e3e12 | ZZYZX | 1/8/2017, 9:11 PM
--------------------------------------------------------------------------------
Removed global 'available textures' header from classic view


R2793 | 36381c51 | ZZYZX | 1/8/2017, 9:00 PM
--------------------------------------------------------------------------------
Should not have used textures category if not having them on top


R2792 | 819d2788 | ZZYZX | 1/8/2017, 8:47 PM
--------------------------------------------------------------------------------
Initial classic view mode in texture browser


R2791 | b3442f4f | MaxED | 1/8/2017, 2:05 PM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/m-x-d/GZDoom-Builder


R2790 | 2b24ce3c | MaxED | 1/8/2017, 2:04 PM
--------------------------------------------------------------------------------
Updated, Textures Browser: texture name length is now taken into account when calculating the width of texture items.
Internal: moved thing helper shapes creation logic from ThingsMode to LinksCollector.


R2789 | ae11b169 | Ioan Chera | 1/8/2017, 11:06 AM
--------------------------------------------------------------------------------
Eternity config: add thing class1 class2 class3 (#5)

* Updated the EE config linedefs, fixing stuff around
* Added back the class definitions for the Eternity namespace
The only namespaces where they're unneeded are the vanilla games. Otherwise it's safe and important to keep class1, class2, class3 in case Hexen pops up
* Added new special (273) to UDMF Eternity linedefs
* Added special 140 to the Eternity linedefs


R2788 | 9dc31afa | Ioan Chera | 1/7/2017, 2:56 PM
--------------------------------------------------------------------------------
Updated the EE config linedefs, fixing stuff around (#4)


R2787 | a41058be | MaxED | 1/7/2017, 12:53 PM
--------------------------------------------------------------------------------
Fixed, Script Editor: bottom panel was not automatically expanded after adding a script error.
Fixed, Script Editor: in some cases extra indentation was added to the duplicated line when using "Duplicate Line" command.
Added, Script Editor: some editor comments were missing from ZDoom_DECORATE.cfg.
Fixed, Game Configurations: fixed a crash when overriding an existing linedef action definition by a one from a different category (this fixes Issue #1).


R2786 | 1c684f72 | MaxED | 1/6/2017, 4:59 AM
--------------------------------------------------------------------------------
Added, Things mode, Visual mode: added the ability to specify minimum/maximum argument range hint shapes using special DECORATE comments and Game Configuration properties (loosely based on range finder patch by Xabis).
Updated documentation ("Game Configuration - Action Argument Settings" and "DECORATE keys" pages).


R2785 | cd854779 | MaxED | 1/6/2017, 2:01 AM
--------------------------------------------------------------------------------
Fixed, Classic modes, UDMF: grid size didn't go below 1 mu. when zooming in when "Dynamic grid size" option was enabled.
Internal: restored GridSetup DB2 compatibility.
Updated ZDoom_ACS.cfg (SetFogDensity, SetSectorGlow).


R2784 | bd74d1d3 | Max Waine | 1/5/2017, 11:58 AM
--------------------------------------------------------------------------------
Added Plane_Copy to Eternity config (#2)


R2783 | a7d24178 | MaxED | 1/4/2017, 5:28 AM
--------------------------------------------------------------------------------
Visual mode, UDMF: added rendering support for fogdensity and floor/ceiling glow properties.
Internal, build tools: use origin/master to get commits count and current hash instead of local master.


R2782 | c9ab3274 | MaxED | 12/30/2016, 2:45 AM
--------------------------------------------------------------------------------
Merge branch 'master' of https://github.com/m-x-d/GZDoom-Builder


R2781 | 7052dbec | MaxED | 12/30/2016, 2:31 AM
--------------------------------------------------------------------------------
Fixed, Sector Edit window, UDMF: fixed some incorrect tooltips.


R2780 | 6bb37efb | MaxED | 12/30/2016, 2:43 AM
--------------------------------------------------------------------------------
Changed some step values to better match with the values being edited.


R2779 | 9c1ea6fd | MaxED | 12/30/2016, 2:31 AM
--------------------------------------------------------------------------------
Fixed, Sector Edit window, UDMF: fixed some incorrect tooltips.


R2778 | f44ddc23 | MaxED | 12/29/2016, 10:37 AM
--------------------------------------------------------------------------------
Internal: looks like "git rev-parse --short" is not guaranteed to output a 7-char hash...


R2777 | 92cc0133 | Ioan Chera | 12/29/2016, 9:58 AM
--------------------------------------------------------------------------------
Eternity config (#1)

Updated the Eternity UDMF configurations with the latest items.


R2776 | a9c19754 | MaxED | 12/29/2016, 7:15 AM
--------------------------------------------------------------------------------
Added, Sector Edit window, UDMF: added UI support for "floor_reflect", "ceiling_reflect", "floorglowcolor", "floorglowheight", "ceilingglowcolor", "ceilingglowheight" and "fogdensity" UDMF properties.
Updated ZDoom ACC.


R2775 | be1e7996 | MaxED | 12/28/2016, 4:24 AM
--------------------------------------------------------------------------------
Internal: Git commit hash is how shown in the About window.
Internal: Git commit hashes are now shown in the Update window changelog.
Internal: Exception window now links to GitHub Issue Tracker instead of zdoom.org GZDB thread.


R2774 | 9f4e700c | MaxED | 12/28/2016, 3:32 AM
--------------------------------------------------------------------------------
Updated Eternity game configurations with the ones provided by printz.
Internal: renamed several build batch files, updated relevant info in the documentation.


R2773 | 659250e8 | MaxED | 12/28/2016, 3:29 AM
--------------------------------------------------------------------------------
Internal: removed some old unused resource/test/documentation files. This reduces repository size by approx. 20Mb.


R2772 | be7ba0a0 | MaxED | 12/27/2016, 5:59 AM
--------------------------------------------------------------------------------
Added: minimum grid size is now 0.125 instead of 1.


R2771 | e1213074 | MaxED | 12/27/2016, 5:52 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2770 | 2bffd068 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2769 | 16593e3f | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2768 | c746f3b5 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2767 | f5dd1430 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2766 | 072271ea | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2765 | 7a320728 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2764 | 2d78ae71 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2763 | 07df0862 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2762 | a6330346 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2761 | a715d903 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2760 | 6cc07cd4 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2759 | 642c3d38 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2758 | 0b3a128f | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2757 | b50361fb | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2756 | 17865428 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2755 | f2fb07c0 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2754 | 4c499aab | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2753 | 509d23b4 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2752 | 60b6a90d | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2751 | 17c3fa41 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2750 | 1584a180 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2749 | c9877c04 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2748 | 50b04c0b | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2747 | 91d5c6c9 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2746 | 1755a4f0 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2745 | 4df915c3 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2744 | 08635012 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2743 | cf1279db | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2742 | 65babc18 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2741 | 8bc73767 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2740 | c6a1f908 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2739 | cddd12bf | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2738 | 3c33eabb | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2737 | 8ba249bd | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2736 | a5869600 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2735 | 9979647d | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2734 | 15bbf380 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2733 | 2091b851 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2732 | 39bdc350 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2731 | 460b3b21 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2730 | 50722ea2 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2729 | f9a1e2ac | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2728 | 29c58825 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2727 | c36ce4ae | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2726 | a96e4604 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2725 | 4b75b7c9 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2724 | 270c7bc4 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2723 | 7cd8ad24 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2722 | 6945bac7 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2721 | be66cfb3 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2720 | 4015db28 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2719 | 7ba5e4f9 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2718 | 4115d73b | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2717 | 9889f756 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2716 | 52b85895 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2715 | 8eb97a4e | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2714 | d68002ab | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2713 | 507ea669 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2712 | 28f83eaa | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2711 | 34df5652 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2710 | 9c5bbe8d | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2709 | 6c2ca31b | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2708 | 513cb320 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2707 | 60b6d3cb | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2706 | 5fb4e3e0 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2705 | e049b9d4 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2704 | 96a599a2 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2703 | 731bd825 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2702 | cf4c5003 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2701 | 7b510317 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2700 | 6f25254f | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2699 | c8195d9b | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2698 | 5da768f3 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2697 | 00fe3924 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2696 | afd1c650 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2695 | a3545b7d | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2694 | 9b8677a5 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2693 | 9d808038 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2692 | a2fd4e9b | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2691 | 400bd0ac | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2690 | d6dd1fd5 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2689 | 2cd3f1b5 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2688 | d28856e6 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2687 | 0eaee1b3 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2686 | d293c8b6 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2685 | f1a82387 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2684 | 4292395f | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2683 | 449cffe6 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2682 | b0b517f5 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2681 | 2604df89 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2680 | 2cb05cfa | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2679 | 010d3db7 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2678 | ebcec12c | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2677 | 994df539 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2676 | e3b1ea94 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2675 | fabef11f | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2674 | ba270cdf | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2673 | 6e379e07 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2672 | c9cd01bd | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2671 | d9e7eca1 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2670 | 8f3643cd | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2669 | 779dd0c5 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2668 | 45c0335a | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2667 | acbba3f2 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2666 | 2657114c | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2665 | 2c27f218 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2664 | 0844729d | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2663 | c57576fb | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2662 | bca2fba7 | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2661 | 7759480a | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2660 | baadfede | MaxED | 12/27/2016, 5:51 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2659 | e695f296 | MaxED | 12/27/2016, 5:50 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2658 | b87ecfcf | MaxED | 12/27/2016, 5:48 AM
--------------------------------------------------------------------------------
Obligatory commit count matching procedure. Sorry for inconvenience...


R2657 | 84886d10 | MaxED | 12/27/2016, 4:12 AM
--------------------------------------------------------------------------------
Internal: more updates to the build toolchain...


R2656 | ed323373 | MaxED | 12/27/2016, 2:12 AM
--------------------------------------------------------------------------------
Internal: updated the manual ("Compiling GZDoom Builder" page) and UI to reference GitHub/Git instead of SourceForge/SVN.
Internal: post build event in Builder.csproj worked only when compiling using batch files.
Internal: updated README.md.


R2655 | f9c2bbe4 | MaxED | 12/26/2016, 3:05 PM
--------------------------------------------------------------------------------
Internal: updated build tools and scripts to work with Git instead of SVN.


R2654 | 9e056d80 | MaxED | 12/26/2016, 6:44 AM
--------------------------------------------------------------------------------
Create README.md


R2653 | a8f4f67f | MaxED | 12/26/2016, 5:37 AM
--------------------------------------------------------------------------------
Internal: rewritten part of NodesViewerMode to use iteration instead of recursion.
Internal: post build event in Builder.csproj worked only in VS 2008.


R2652 | b37bc84f | MaxED | 12/25/2016, 1:00 PM
--------------------------------------------------------------------------------
Fixed, Script Editor: fixed incorrect function calltip position when the cursor was positioned in a wrapped part of a wrapped line.
Updated ZDoom_DECORATE.cfg.


R2651 | 26687a2e | MaxED | 12/24/2016, 1:52 PM
--------------------------------------------------------------------------------
Added, Textures Browser: "[All]" folder is now added to each map resource. It holds all textures found in that resource.
Fixed, Textures Browser: only name filtering is now applied to folder-type image items, filtering is never applied to "go to parent folder" image items.
Fixed, Textures Browser: in some cases "Backspace" key was ignored by the Filter textbox.
Fixed, Textures Browser: "Ctrl-Backspace" key combo now clears Filter textbox instead of adding an unknown char to it.


R2650 | f2db0e1d | MaxED | 12/23/2016, 4:39 AM
--------------------------------------------------------------------------------
Changed, Textures Browser: frames/names of used textures are now drawn using a different color.
Changed, Textures Browser: the browser now toggles between showing used textures on the top of the list and showing textures in alphabetical order instead of toggling between showing all textures and used textures.


R2649 | 447851e4 | MaxED | 12/22/2016, 7:04 AM
--------------------------------------------------------------------------------
Added, Textures Browser: redesigned textures list. Textures preview size can now be changed from the Textures Browser window. Folders are now shown in the textures list.
Fixed, Script Editor: Find and Replace window now sets keyboard focus to the input textbox when opening the window/switching between tabs.
Fixed, Nodes Viewer mode: SEGS overflows were not handled, causing a crash. Also extended SEGS limit is now used.
Updated ZDoom_DECORATE.cfg (A_SetSize).


R2648 | d73ea867 | MaxED | 12/21/2016, 4:03 PM
--------------------------------------------------------------------------------
Fixed, Script Editor: MD5 hash of text files stored in PK3 was calculated incorrectly, resulting in false warning messages when saving.


R2647 | cfc92d90 | MaxED | 12/16/2016, 1:23 PM
--------------------------------------------------------------------------------
Added, Draw Lines mode: added "Remove First Vertex" action (Ctrl-Backspace). It removes the first drawn vertex from the drawing session. Renamed "Remove Previous Vertex" action to "Remove Last Vertex".
Changed, Classic modes: added a limit on how far the view can be scrolled from the editable map area.
Fixed, Drag geometry modes: in some cases incorrect vertices were removed when using "Replace with dragged geometry" drag mode.
Fixed, Game configurations: sector special 195 ("Hidden Sector") was missing from Hexen/UDMF specials list.


R2646 | 45c3cbaa | MaxED | 12/12/2016, 4:35 AM
--------------------------------------------------------------------------------
Added, Script Editor: added script configurations / auto-detection support for GAMEINFO, FONTDEFS and KEYCONF text lumps.
Fixed, "Open Map Options" and "Change Map" windows: fixed incorrect size of the items in the maps list when using high-DPI scaling.
Updated ZDoom_DECORATE.cfg and ZDoom_MAPINFO.cfg.


R2645 | b283fab7 | MaxED | 12/10/2016, 1:33 PM
--------------------------------------------------------------------------------
Fixed, action arguments control: in some cases named script name was not displayed.
Fixed, Script Editor: Delete key was not working in the text editor (because it was hijacked by context menu action, which requires a selection to be active).


R2644 | da024743 | MaxED | 12/8/2016, 5:11 AM
--------------------------------------------------------------------------------
Applied skybox cubemap creation performance increase patch by Xabis.
Added, MAPINFO parser: added support for "Skybox" map block property.


R2643 | 88363a1a | MaxED | 12/8/2016, 4:10 AM
--------------------------------------------------------------------------------
Added, Script Editor: added "Find usages" option (available in the "Search" menu, via text editor context menu, via Ctrl-Shift-F shortcut and in the "Find and Replace" window).
Added, Script Editor: double-clicking text resource tab header now shows the corresponding resource in the Resources tree.
Updated, Game configurations, UDMF: added several missing Thing renderstyles.


R2642 | 5dd45ffd | MaxED | 12/2/2016, 5:45 AM
--------------------------------------------------------------------------------
Updated, Script Editor: redesigned "Find and Replace" window. It can now search/replace in all opened tabs and all detected text resources.
Fixed, Script Editor: resources list control was incorrectly positioned when using DPI scaling.


R2641 | a31c6b66 | MaxED | 11/30/2016, 12:12 PM
--------------------------------------------------------------------------------
Fixed, Script Editor: resources navigator was always loading the first WAD lump with matching name when trying to open any of several WAD lumps with matching names.
Reverted, Visual mode: looks like all additional cases of displaying sky hack added in r2755 were actually undefined engine behaviors, not the "proper" shy hack... Reverted implementation to the wiki definition of the sky hack.


R2640 | 019e26f1 | MaxED | 11/28/2016, 2:17 PM
--------------------------------------------------------------------------------
Fixed, Tag Explorer: in some cases Tag Explorer update logic was switching focus from the Script Editor to the main window.


R2639 | 1523d06e | MaxED | 11/28/2016, 12:01 PM
--------------------------------------------------------------------------------
Updated, Visual mode: some cases when the sky hack must be applied were not handled.
Updated, Script editor: script editor was unable to show error location after double-clicking on it in the Warnings and Errors window when said location was inside of a WAD located in a PK3 file.
Updated, text lumps tracking: already parsed DECORATE/GLDEFS lumps are now added to the text lumps list even when DECORATE/GLDEFS parsing fails, allowing you to fix errors without the need to use external tools.
Fixed: in some cases the editor could stuck in an infinite loop when searching for wad lumps.


R2638 | 18dc8ceb | MaxED | 11/26/2016, 12:03 PM
--------------------------------------------------------------------------------
Fixed: in some cases only the last data (sprite/texture/patch etc.) range was detected in WADs.
Fixed, Script Editor: Cut/Copy/Paste/Undo/Redo keyboard shortcuts were handled incorrectly when quick search textbox was focused.
Fixed, Script Editor: Find next/Find previous quick search button actions were handled incorrectly.
Updated documentation.


R2637 | aecd017b | MaxED | 11/25/2016, 4:02 PM
--------------------------------------------------------------------------------
Added, Errors and Warnings window: most of warnings/errors related to (G)ZDoom text lump parsing can now be double-clicked to show warning/error source in the Script Editor.
Fixed: some map format conversion errors were never displayed, because errors list was cleared after performing map conversion.
Fixed: 3d floor indicators in 2D modes were not updated after leaving Visual mode.
Fixed: some UDMF-only interface buttons were never removed after converting map format from UDMF.


R2636 | 9553042c | MaxED | 11/24/2016, 1:09 PM
--------------------------------------------------------------------------------
Added, Script Editor: unreferenced ACS files are now shown in the Resources list.
Added, Script Editor: MENUDEF and SBARINFO files/lumps are now shown in the Resources list.
Fixed, ACS handling: fixed a crash when trying to parse an #include file, when specified path was absolute.


R2635 | 894279b4 | MaxED | 11/24/2016, 3:55 AM
--------------------------------------------------------------------------------
Added, Script Editor: added "Script Navigator" tab. It shows and allows to open text resources loaded by the editor.
WARNING: because of the large amount of added/modified code, bugs are possible, so backup your resources, save often and report bugs.


R2634 | 36ff694e | MaxED | 11/22/2016, 4:07 AM
--------------------------------------------------------------------------------
Fixed: window size and location was not saved when closing a maximized or minimized window.


R2633 | 21cab1d1 | MaxED | 11/21/2016, 5:03 AM
--------------------------------------------------------------------------------
Added, Game configurations, ZDoom: Ambient sound things (14001 - 14064) were missing arguments definitions.
Fixed, Make Sectors mode: in some cases sector shape detection logic returned incorrect shape, or no shape at all.


R2632 | 0cc53742 | MaxED | 11/19/2016, 12:43 PM
--------------------------------------------------------------------------------
Fixed, Things mode: fixed a crash when deleting Light/Ambient Sound things when "Show Dynamic Light Radii" / "Show Ambient Sound Radii" settings were enabled.
Fixed: WAD lump index was not appended to lump name when reporting errors during ZDoom text lumps parsing.


R2631 | c0b46bc6 | MaxED | 11/18/2016, 9:34 AM
--------------------------------------------------------------------------------
Added, Game configurations, ZDoom: added Line_SetBlocking (55) linedef action.
Fixed, Draw Rectangle mode: fixed a crash caused by incorrectly changing text labels array when accepting the drawing.
Fixed, "Check unknown ACS scripts" error check: named scripts check was performed incorrectly causing it to fail on script names containing uppercase letters.


R2630 | 787b78af | MaxED | 11/16/2016, 4:17 PM
--------------------------------------------------------------------------------
Fixed, Visual mode, UDMF: "lightfloor" sector property was not applied when calculating thing brightness.
Fixed, Directional Shading mode: "lightabsolute" / "lightfloorabsolute" properties were checked incorrectly.


R2629 | 6c38ab26 | MaxED | 11/16/2016, 12:43 PM
--------------------------------------------------------------------------------
This somehow evaded previous commit...


R2628 | fb937b9e | MaxED | 11/16/2016, 12:31 PM
--------------------------------------------------------------------------------
Added "Apply Directional Shading" mode. It can be used to apply directional colored flat shading to sloped terrain sectors (line and vertex slopes are supported) and sidedefs.
Updated ZDoom ACC.
Updated ZDoom_ACS.cfg.


R2627 | 7d3a0c77 | MaxED | 11/14/2016, 2:22 AM
--------------------------------------------------------------------------------
Changed, Game configurations: "default" property is no longer mandatory for universal field definitions.
Fixed, Game Configurations window: map resources were not marked for reloading after pasting resources to currently used game configuration.
Fixed, Game configurations: "Platform Generic Change" action's arg2 value must be in octics.


R2626 | 83493928 | MaxED | 11/11/2016, 4:54 AM
--------------------------------------------------------------------------------
Fixed: copied sidedef settings were not applied when using "Paste properties" and "Paste properties special" actions in Doom/Hexen map formats.


R2625 | 4306e277 | MaxED | 11/10/2016, 11:18 AM
--------------------------------------------------------------------------------
Fixed map lumps duplication when saving the map several times after converting the map from/to UDMF map format by changing it in the Map Options window.
Fixed, cosmetic: in some cases incorrect resource loading time was displayed after saving the map.


R2624 | 0a6a6bbd | MaxED | 11/10/2016, 4:07 AM
--------------------------------------------------------------------------------
Restored the ability to paste map elements copied in DB2/DB64.


R2623 | c2ef0802 | MaxED | 11/9/2016, 4:35 PM
--------------------------------------------------------------------------------
Changed, Sector drawing: sector height is set to 0 when the nearest sector's height is &lt; 0 (previously default sector height was used when the nearest sector's height was &lt;= 0).


R2622 | 437fe9ce | MaxED | 11/9/2016, 2:07 AM
--------------------------------------------------------------------------------
Updated, GLDEFS parser: updated glowing texture parsing logic to better match GZDoom logic.
Removed, GLDEFS parser: removed GLOOME glow definitions support code.


R2621 | fc9d18b9 | MaxED | 11/8/2016, 1:09 AM
--------------------------------------------------------------------------------
Added high-DPI support to Updater.


R2620 | aa7abbf6 | MaxED | 11/4/2016, 5:41 AM
--------------------------------------------------------------------------------
Updater: replaced "The editor needs to be closed" message with a custom window.


R2619 | 5f245423 | MaxED | 11/4/2016, 2:48 AM
--------------------------------------------------------------------------------
Added script editor configurations for the most of ZDoom text lumps.
A minor code refactoring.


R2618 | e7769524 | MaxED | 11/1/2016, 1:44 PM
--------------------------------------------------------------------------------
Updated, Curve Linedefs mode: distance/angle are now changed using bigger increments when being modified by mouse-dragging. You can hold Shift to enable increments by 1 unit.
Updated, Curve Linedefs mode: changing angle by mouse-dragging when "Fixed circular curve" option is enabled is now performed in a more predictable way.
Updated, Curve Linedefs mode: generated geometry is now merged with existing geometry.
Added, Curve Linedefs mode: a hint label is now displayed when modifying settings using mouse-dragging.
Added, Curve Linedefs mode: number of curve vertices can now be changed using LMB+RMB-drag.


R2617 | 9534a20e | MaxED | 10/31/2016, 11:52 AM
--------------------------------------------------------------------------------
Optimized map geometry merging performance when creating drawn lines.
Optimized map geometry merging performance when pasting map geometry.
Added, Curve Linedefs mode: added "Flip Curve" button.
Updater: partially rewrote fix from the previous commit.


R2616 | 80761dbc | MaxED | 10/31/2016, 7:49 AM
--------------------------------------------------------------------------------
Updater: fixed a crash when trying to set taskbar progress on Windows XP.


R2615 | 4c2b6092 | MaxED | 10/28/2016, 2:32 PM
--------------------------------------------------------------------------------
Silenced some compiler warnings...


R2614 | a70d9d00 | MaxED | 10/28/2016, 2:08 PM
--------------------------------------------------------------------------------
Fixed the editor crashing/locking up when trying to read TEXTUREX patch containing invalid data.


R2613 | 8570922d | MaxED | 10/28/2016, 2:07 PM
--------------------------------------------------------------------------------
Fixed the editor crashing/locking up when trying to read TEXTUREX patch containing invalid data.


R2612 | 3e132f1c | MaxED | 10/26/2016, 3:33 PM
--------------------------------------------------------------------------------
Changed, Curve Linedefs mode: re-designed the mode UI. Alternative control options are now available (check Help tab while the mode is active).
Changed, Curve Linedefs mode: changed curve generation logic. Setting Distance to 0 will now divide selected linedefs into equal parts.
Changed, Curve Linedefs mode: curve vertices are now drawn.
Updated ZDoom_DECORATE.cfg.


R2611 | a6351a9d | MaxED | 10/24/2016, 4:30 PM
--------------------------------------------------------------------------------
Updated: sector triangulation logic now works ~50% faster than DB2 implementation.


R2610 | 9908e411 | MaxED | 10/24/2016, 12:19 PM
--------------------------------------------------------------------------------
Added, Game configurations: added "ignoreddirectories" parameter. It lists directory names to be ignored when loading PK3/PK7/Directory resources.
Added, Game configurations: added "ignoredextensions" parameter. It lists file extensions to be ignored when loading PK3/PK7/Directory resources.
Updated: sector triangulation logic now works ~20% faster.
Changed: a case when a pk3/pk7 archive contains several entries with identical filename is now treated as a warning, not as an error.
Fixed, Visual mode: absolute floor/ceiling brightness should not be affected by brightness transfer effects (like 3d floors).
Fixed, Draw Lines mode: in some cases unclosed sectors were created when several points were successively drawn at the same location.
Updated documentation.


R2609 | 0b853c9d | MaxED | 10/14/2016, 11:08 AM
--------------------------------------------------------------------------------
Actually, removing Updater.exe from version control was not such a bright idea...


R2608 | ebb372bc | MaxED | 10/14/2016, 11:01 AM
--------------------------------------------------------------------------------
Updater: moved SharpCompress code into a separate embedded library. Seems to stop some anti-viruses detecting it as a trojan/virus.
Updated ZDoom_DECORATE.cfg (A_SetInventory).


R2607 | 70d35bf1 | MaxED | 10/11/2016, 5:58 AM
--------------------------------------------------------------------------------
Added, Edit Sectors window: added UI for floor/ceiling portals.
Updated ZDoom_DECORATE.cfg.
Updated documentation ("Game Configuration - Sectors Settings" page).


R2606 | 908f5d4c | MaxED | 10/10/2016, 7:45 AM
--------------------------------------------------------------------------------
Internal, tools: added VersionFromSVN and ChangelogMaker sources.


R2605 | 100c4ae9 | MaxED | 10/10/2016, 7:14 AM
--------------------------------------------------------------------------------
Added: some numeric text inputs now support expressions (e.g. (23+15)*1.5). - inspired by https://www.doomworld.com/vb/doom-editing/91089-gzdoombuilder-patch-expression-evaluation-for-sector-heights/
